<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_activite" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-futbol"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TITRE"); ?></p>
<?php
	unset($req_activite,$row_activite,$rows_activite);
	$req_activite=mysqli_query($link_bdd,"SELECT * FROM `activites_membres` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom_activite ASC");
	if (mysqli_num_rows($req_activite)!="")
	{
		while ($row_activite=mysqli_fetch_array($req_activite))
		{
			$rows_activite[]=$row_activite;
		}
		echo '<table id="tableau_activite" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_NOM_ACTIVITE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_MEMBRE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TYPE").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_CLUB").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_activite);$i++)
		{
			$req_membre2=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' AND id='".Decryptage($rows_activite[$i]['id_membre'])."'");
			$row_membre2=mysqli_fetch_array($req_membre2);
			echo '<tr id="table_activite'.$rows_activite[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_activite[$i]['nom_activite']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($row_membre2['nom']).' '.Decryptage($row_membre2['prenom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TYPE_".Decryptage($rows_activite[$i]['type'])).'</p></td>
					<td class="textegauche verticalalignhaut">';
			$decoupe_horaires=explode("|",Decryptage($rows_activite[$i]["horaires"]));
			sort($decoupe_horaires,SORT_STRING);
			for ($j=0;$j<count($decoupe_horaires);$j++)
			{
				$decoupe=explode("~",$decoupe_horaires[$j]);
				echo '<p class="font12 lineheight24">'.str_replace('%date',Langue("LBL_JOUR".$decoupe[0]),str_replace('%heure_debut',$decoupe[1],str_replace('%heure_fin',$decoupe[2],Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES_DECOUPE")))).'</p>';
			}
			echo '	</td>
					<td class="textegauche verticalalignhaut">';
			if (Decryptage($rows_activite[$i]['nom_club'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_activite[$i]['nom_club']).'</p>';}
			if (Decryptage($rows_activite[$i]['rue_club'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_activite[$i]['rue_club']).'</p>';}
			if (Decryptage($rows_activite[$i]['complement_club'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_activite[$i]['complement_club']).'</p>';}
			if (Decryptage($rows_activite[$i]['codepostal_club'])!="" || Decryptage($rows_activite[$i]['ville_club'])!="")
			{
				echo '<p class="font12 lineheight24">';
				if (Decryptage($rows_activite[$i]['codepostal_club'])!="") {echo Decryptage($rows_activite[$i]['codepostal_club']).' ';}
				if (Decryptage($rows_activite[$i]['ville_club'])!="") {echo Decryptage($rows_activite[$i]['ville_club']);}
				echo '</p>';
			}
			if (Decryptage($rows_activite[$i]['telephone_club'])!="" || Decryptage($rows_activite[$i]['telephone2_club'])!="" || Decryptage($rows_activite[$i]['mobile_club'])!="")
			{
				echo '<p class="font12 lineheight24">';
				$msg="";
				if (Decryptage($rows_activite[$i]['telephone_club'])!="") {$msg .=Decryptage($rows_activite[$i]['telephone_club']);}
				if (Decryptage($rows_activite[$i]['telephone2_club'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_activite[$i]['telephone2_club']);}
				if (Decryptage($rows_activite[$i]['mobile_club'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_activite[$i]['mobile_club']);}
				echo $msg.'</p>';
			}
			if (Decryptage($rows_activite[$i]['email_club'])!="" || Decryptage($rows_activite[$i]['email2_club'])!="")
			{
				echo '<p class="font12 lineheight24">';
				$msg="";
				if (Decryptage($rows_activite[$i]['email_club'])!="") {$msg .=Decryptage($rows_activite[$i]['email_club']);}
				if (Decryptage($rows_activite[$i]['email2_club'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_activite[$i]['email2_club']);}
				echo $msg.'</p>';
			}
			echo '	</td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_activite'.$rows_activite[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("activites_membres","ajouter_activite&id='.$rows_activite[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_activite").click(function(event) 
	{
		event.preventDefault();
<?php
		$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."'");
		if (mysqli_num_rows($req_membre)=="") {echo 'alert("'.Langue_JS("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_MEMBRE_DABORD").'")';} else {echo 'Message(1);Action_Page("activites_membres","ajouter_activite");';}
?>
	});

	$("#tableau_activite").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
