<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "activites_membres/parametres.php";
	
	if ($_POST['id']=="")
	{
		$id=Construit_Id("activites_membres",10);
		$req=mysqli_query($link_bdd,"INSERT INTO `activites_membres` (id,id_util) VALUES ('".$id."','".$_SESSION['id_util']."')");
	}
	else {$id=$_POST['id'];}
	
	foreach ($tableau_activites AS $cle => $value)
	{
		if ($cle!="id" && $cle!="horaires")
		{
			if (isset($_POST[$cle]))
			{
				$_POST[$cle]=nl2br2($_POST[$cle]);
				if (get_magic_quotes_gpc()) { $_POST[$cle]=stripslashes($_POST[$cle]); }
				$_POST[$cle]=mysqli_real_escape_string($link_bdd,$_POST[$cle]);
				if ($cle=="datedebut_adhesion" || $cle=="datefin_adhesion") {$_POST[$cle]=Date_Convertir($_POST[$cle],Parametre_Util('format_date'),"Y-m-d");}
				if ($cle=="montant_adhesion") {$_POST[$cle]=Convertir_Nombre_BDD($_POST[$cle]);}
				$req=mysqli_query($link_bdd,"UPDATE `activites_membres` SET `".$cle."`='".Encryptage($_POST[$cle])."' WHERE id='".$id."'");
			}
		}
	}
	
	$jours=$_POST['jours'];
	$heures_debut=$_POST['heures_debut'];
	$heures_fin=$_POST['heures_fin'];
	$horaires="";
	for ($i=0;$i<count($jours);$i++)
	{
		if ($jours[$i]!="" && $heures_debut[$i]!="" && $heures_fin[$i]!="" && $heures_debut[$i]!="--" && $heures_fin[$i]!="--") 
		{
			$horaires .=$jours[$i].'~'.$heures_debut[$i].'~'.$heures_fin[$i].'|';
		}
	}
	$horaires=substr($horaires,0,-1);
	$req=mysqli_query($link_bdd,"UPDATE `activites_membres` SET `horaires`='".Encryptage($horaires)."' WHERE id='".$id."'");

	echo $id;
?>