<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	$dumpfile = 'Backup_'.date('Y-m-d_H-i-s').'.sql.gz';
	$fp = gzopen("./tmp/".$dumpfile, 'w');
	$out = 'SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";'."\n";
	$out .= 'SET AUTOCOMMIT = 0;'."\n";
	$out .= 'START TRANSACTION;'."\n";
	$out .= 'SET time_zone = "+00:00";'."\n";

	$out .= '/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;'."\n";
	$out .= '/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;'."\n";
	$out .= '/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;'."\n";
	$out .= '/*!40101 SET NAMES utf8mb4 */;'."\n";

	gzwrite($fp, $out);
	$out = '';

	$tables = mysqli_query($link_bdd,"SHOW TABLE STATUS");
	$c = 0;
	while ($table = mysqli_fetch_assoc($tables))
	{
		$tableName = $table['Name'];
		if ($tableName!="pays")
		{
			$tmp = mysqli_query($link_bdd,"SHOW CREATE TABLE `$tableName`");

			$create = mysqli_fetch_assoc($tmp);
			$out .= "\n\n".$create['Create Table'].' ;';

			mysqli_free_result($tmp);
			unset($tmp);

			gzwrite($fp, $out);
			$out = '';

			$tmp = mysqli_query($link_bdd,"SHOW COLUMNS FROM `$tableName`");
			$rows = array();
			while ($row = mysqli_fetch_assoc($tmp))
			{
				$rows[] = $row['Field'];
			}

			mysqli_free_result($tmp);
			unset($tmp, $row);

			$tmp = mysqli_query($link_bdd,"SELECT * FROM `$tableName`");
			$count = mysqli_num_rows($tmp);

			if ($count > 0)
			{
				$out .= "\nINSERT INTO `$tableName` (`".implode('`, `', $rows)."`) VALUES ";
				$i = 1;
				$limit = 1;
				while ($entry = mysqli_fetch_assoc($tmp))
				{
					$out .= "\n(";
					$tmp2 = array();

					foreach ($rows as $row)
					{
						$tmp2[] = "'" . mysqli_real_escape_string($link_bdd,$entry[$row]) . "'";
					}

					$out .= implode(', ', $tmp2);
					$out .= $i++ === $count ? ');' : ')';

					if ($limit > 100)
					{
						$out .= ";\nINSERT INTO `$tableName` (`".implode('`, `', $rows)."`) VALUES ";
						$limit = 1;
					}
					else
					{
						$out .= $i === $count+1 ? '' : ',';
						$limit++;
					}
					gzwrite($fp, $out);
					$out = '';
				}
				mysqli_free_result($tmp);
				unset($tmp, $tmp2, $i, $count, $entry);
			}
		}
		$c++;
	}

	$out = "\n\n".'/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;'."\n";
	$out .= '/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;'."\n";
	$out .= '/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;'."\n";
	gzwrite($fp, $out);

	gzclose($fp);
	
	$req = mysqli_query($link_bdd,"UPDATE `configuration` SET valeur='".date("Y-m-d")."' WHERE cle='derniere_sauvegarde_bdd'");

	echo $dumpfile;
?>