<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "agenda/parametres.php";
	foreach ($tableau_rdv AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur["id"]="";
	$tableau_valeur["heure_debut"]="0";
	$tableau_valeur["heure_fin"]="1";
	$tableau_valeur["date"]=$_GET['date'];
	$tableau_valeur["pays"]=Parametre_Util("pays");
	
	if (isset($_GET['id']))
	{
		$req_rdv=mysqli_query($link_bdd,"SELECT * FROM `agenda` WHERE id='".$_GET['id']."'");
		$row_rdv=mysqli_fetch_array($req_rdv);
		$tableau_valeur["id"]=$row_rdv['id'];
		foreach ($tableau_rdv AS $cle => $value)
		{
			if ($cle=="id_membre" || $cle=="date" || $cle=="heure_debut" || $cle=="heure_fin") {$tableau_valeur[$cle]=$row_rdv[$cle];} else {$tableau_valeur[$cle]=Decryptage($row_rdv[$cle]);}
		}
	}

	$liste_heure="";
	for ($i=0;$i<=23;$i++)
	{
		for ($j=0;$j<=3;$j++)
		{
			$option=$i*4+$j;
			$minute=$j*15;
			if ($minute=="0") {$minute="00";}
			$liste_heure .='<option value="'.$option.'">'.$i.':'.$minute.'</option>';
		}
	}
	$liste_heure .='<option value="96">0:00</option>';
	
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_membre="";
	$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC, prenom ASC");
	while ($row_membre=mysqli_fetch_array($req_membre))
	{
		$rows_membre[]=$row_membre;
	}
	for ($i=0;$i<count($rows_membre);$i++)
	{
		$liste_id[$i]=$rows_membre[$i]['id'];
		$liste_nom[$i]=Decryptage($rows_membre[$i]['nom']);
		$liste_prenom[$i]=Decryptage($rows_membre[$i]['prenom']);
	}
	array_multisort($liste_nom,SORT_ASC,SORT_STRING,$liste_prenom,SORT_ASC,SORT_STRING,$liste_id);
	for ($i=0;$i<count($rows_membre);$i++)
	{
		$liste_membre .='<option value="'.$liste_id[$i].'">'.$liste_nom[$i].' '.$liste_prenom[$i].'</option>';
	}
	if ($tableau_valeur["id_membre"]=="") {$tableau_valeur["id_membre"]=$liste_id[0];}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_rdv" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-table"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_AJOUTER"); ?></p>
	<form id="form_rdv" name="form_rdv" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="agenda">
	<input type="hidden" id="action" name="action" value="save_rdv">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="hidden" id="date" name="date" value="<?php echo $tableau_valeur['date']; ?>">
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_INTITULE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="intitule" name="intitule" value="<?php echo $tableau_valeur['intitule']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_HEURE_DEBUT").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="3" class="textbox textbox2 padding10_tout font12" id="heure_debut" name="heure_debut"><?php echo $liste_heure; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_PERSONNE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="id_membre" name="id_membre"><?php echo $liste_membre; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_HEURE_FIN").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="heure_fin" name="heure_fin"><?php echo $liste_heure; ?></select></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_LIEU"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_LIEU"); ?><br /><input tabIndex="5" type="text" class="textbox textbox2 padding10_tout font12" id="lieu" name="lieu" value="<?php echo $tableau_valeur['lieu']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="11" type="text" class="textbox textbox2 padding10_tout font12" id="telephone" name="telephone" value="<?php echo $tableau_valeur['telephone']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="6" type="text" class="textbox textbox2 padding10_tout font12" id="rue" name="rue" value="<?php echo $tableau_valeur['rue']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="12" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2" name="telephone2" value="<?php echo $tableau_valeur['telephone2']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="7" type="text" class="textbox textbox2 padding10_tout font12" id="complement" name="complement" value="<?php echo $tableau_valeur['complement']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="13" type="text" class="textbox textbox2 padding10_tout font12" id="mobile" name="mobile" value="<?php echo $tableau_valeur['mobile']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal" name="codepostal" value="<?php echo $tableau_valeur['codepostal']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="14" type="text" class="textbox textbox10 padding10_tout font12" id="email" name="email" value="<?php echo $tableau_valeur['email']; ?>"> <i id="ouvrir_email" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="9" type="text" class="textbox textbox2 padding10_tout font12" id="ville" name="ville" value="<?php echo $tableau_valeur['ville']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="15" type="text" class="textbox textbox10 padding10_tout font12" id="email2" name="email2" value="<?php echo $tableau_valeur['email2']; ?>"> <i id="ouvrir_email2" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="10" class="textbox textbox2 padding10_tout font12" id="pays" name="pays"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabIndex="16" class="textbox textbox7 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_rdv" id="bouton_rdv"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_rdv" id="bouton_supprimer_rdv">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_rdv" id="bouton_annuler_rdv"><?php echo Langue("BTN_VIE_QUOTIDIENNE_AGENDA_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-140;
	$(".textbox4").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox7").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#heure_debut").val("<?php echo $tableau_valeur['heure_debut']; ?>");
	$("#heure_fin").val("<?php echo $tableau_valeur['heure_fin']; ?>");
	$("#pays").val("<?php echo $tableau_valeur['pays']; ?>");
	$("#id_membre").val("<?php echo $tableau_valeur['id_membre']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#heure_debut").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#heure_fin").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#id_membre").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email").click(function(event) {event.preventDefault();if (checkRegexp($("#email"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email").val();}});
	$("#ouvrir_email2").click(function(event) {event.preventDefault();if (checkRegexp($("#email2"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2").val();}});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_imprimer_rdv").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_annuler_rdv").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_rdv").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=agenda&action=index&date_en_cours=<?php echo Date_Convertir($tableau_valeur['date'],"Y-m-d",Parametre_Util("format_date")); ?>";
	});
	
	$("#bouton_rdv").click(function(event)
	{
		event.preventDefault();
		$("#form_rdv").submit();
	});
	
	$("#bouton_supprimer_rdv").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_rdv").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=agenda&action=supprimer_rdv&date=<?php echo $tableau_valeur['date']; ?>&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#telephone").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}});
	$("#telephone2").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}});
	$("#mobile").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile"),regex_defaut['tel'])) {bValid=false;$("#mobile").addClass("form-erreur");} else {$("#mobile").removeClass("form-erreur");}});

	$("#email").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email"),regex_defaut['email'])) {bValid=false;$("#email").addClass("form-erreur");} else {$("#email").removeClass("form-erreur");}});
	$("#email2").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2"),regex_defaut['email'])) {bValid=false;$("#email2").addClass("form-erreur");} else {$("#email2").removeClass("form-erreur");}});

	$("#form_rdv").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#intitule"))) {bValid=false;$("#intitule").addClass("form-erreur");} else {$("#intitule").removeClass("form-erreur");}
		if (!checkValue($("#heure_debut"))) {bValid=false;$("#heure_debut_chosen a").addClass("form-erreur");} else {$("#heure_debut_chosen a").removeClass("form-erreur");}
		if (!checkValue($("#heure_fin"))) {bValid=false;$("#heure_fin_chosen a").addClass("form-erreur");} else {$("#heure_fin_chosen a").removeClass("form-erreur");}
		if (checkValue($("#heure_debut")) && checkValue($("#heure_fin")))
		{
			if (parseInt($("#heure_debut").val(),10)>parseInt($("#heure_fin").val(),10)) {bValid=false;$("#heure_debut_chosen a").addClass("form-erreur");$("#heure_fin_chosen a").addClass("form-erreur");} else {$("#heure_debut_chosen a").removeClass("form-erreur");$("#heure_fin_chosen a").removeClass("form-erreur");}
		}
		
		if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile"),regex_defaut['tel'])) {bValid=false;$("#mobile").addClass("form-erreur");} else {$("#mobile").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email"),regex_defaut['email'])) {bValid=false;$("#email").addClass("form-erreur");} else {$("#email").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2"),regex_defaut['email'])) {bValid=false;$("#email2").addClass("form-erreur");} else {$("#email2").removeClass("form-erreur");}
		if (bValid==true)
		{
			$("#bouton_rdv").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("agenda","ajouter_rdv&date=<?php echo $tableau_valeur['date']; ?>&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
