<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="ajouter_rdv" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_AJOUTER"); ?>" class="tooltip font24 fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><span id="bouton_imprimer_agenda" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-table"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_TITRE"); ?></p>
<?php
		if (isset($_GET['date_en_cours'])) 
		{
			$date_en_cours=$_GET['date_en_cours'];
		}
		else
		{
			$date_en_cours=Date_Convertir(date("Y-m-d"),"Y-m-d",Parametre_Util('format_date'));
		}
		$date_query=Date_Convertir($date_en_cours,Parametre_Util('format_date'),"Y-m-d");
		echo '<p class="textecentre font16 fontgras padding20_bas">'.Langue("LBL_DATE").$espace[$_SESSION['langue_util']].': <input type="text" class="textbox padding10_tout font16 fontgras" id="date_en_cours" name="date_en_cours" value="'.$date_en_cours.'" size="15" maxlength="10"></p>';
		$ligne1="";
		$ligne2="";
		for ($i=0;$i<=23;$i++)
		{
			$ligne1 .='<th colspan=4 class="textecentre font12 padding10_haut padding10_bas">'.$i.':00</th>';
			$ligne2 .='<th class="textecentre font10 case_quart">&nbsp;</th><th class="textecentre font10 case_quart">&nbsp;</th><th class="textecentre font10 case_quart">&nbsp;</th><th class="textecentre font10 case_quart">&nbsp;</th>';
		}
		$ligne="<tr>";
		for ($j=0;$j<=95;$j++)
		{
			$ligne .='<td class="case_vide_util font2">&nbsp;</td>';
		}
		$ligne .="</tr>";
		echo '<div class="div_table_agenda"><table width="2600px" cellspacing="0" cellpadding="0" border="0" class="table_agenda fontnormal"><tr><th class="case_nom" rowspan=2>&nbsp;</th>'.$ligne1.'</tr><tr>'.$ligne2.'</tr>';
		$req_animaux=mysqli_query($link_bdd,"SELECT * FROM `animaux` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
		if (mysqli_num_rows($req_animaux)!="")
		{
			echo '<tr><th class="font12 fontgras textegauche padding10_tout">&nbsp;</th>';
			echo '<td class="case_vide font12 verticalalignhaut" colspan=96>';
			while ($row_animaux=mysqli_fetch_array($req_animaux))
			{
				$rows_animaux[]=$row_animaux;
			}
			for ($i=0;$i<count($rows_animaux);$i++)
			{
				if (Decryptage($rows_animaux[$i]["vaccins"])!="")
				{
					$decoupe_vaccins=explode("|",Decryptage($rows_animaux[$i]["vaccins"]));
					$ligne2="";
					if ($i==count($rows_animaux)-1) {$ligne2=$ligne;}
					for ($j=0;$j<count($decoupe_vaccins);$j++)
					{
						$decoupe=explode("~",$decoupe_vaccins[$j]);
						if ($decoupe[2]!="")
						{
							if ($decoupe[3]=="0" && ($decoupe[2]<=$date_query || date("Y-m-d",mktime(0,0,0,substr($date_query,5,2),substr($date_query,8,2)+15,substr($date_query,0,4)))>=$decoupe[2])) {echo '<table cellspacing="0" cellpadding="0" border=0 class="table_rappel_vaccin_animal" width="100%">'.$ligne.'<tr><td colspan="100" class="textecentre font10 padding5_tout">'.Decryptage($rows_animaux[$i]["nom"]).' - '.Langue("LBL_VIE_QUOTIDIENNE_AGENDA_RAPPEL_AFAIRE").$espace[$_SESSION['langue_util']].': '.$decoupe[1].'</td></tr>'.$ligne2.'</table>';}
						}
					}
				}
			}
			echo '</td></tr>';
		}
		$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC, prenom ASC");
		if (mysqli_num_rows($req_membre)!="")
		{
			while ($row_membre=mysqli_fetch_array($req_membre))
			{
				$rows_membre[]=$row_membre;
			}
			for ($i=0;$i<count($rows_membre);$i++)
			{
				$liste_id[$i]=$rows_membre[$i]['id'];
				$liste_nom[$i]=Decryptage($rows_membre[$i]['nom']);
				$liste_prenom[$i]=Decryptage($rows_membre[$i]['prenom']);
				$liste_datedenaissance[$i]=Decryptage($rows_membre[$i]['date_naissance']);
				$liste_vaccins[$i]=Decryptage($rows_membre[$i]['vaccins']);
			}
			array_multisort($liste_nom,SORT_ASC,SORT_STRING,$liste_prenom,SORT_ASC,SORT_STRING,$liste_id,$liste_datedenaissance,$liste_vaccins);
			for ($i=0;$i<count($rows_membre);$i++)
			{
				echo '<tr><th class="font12 fontgras textegauche padding10_tout">'.$liste_nom[$i].' '.$liste_prenom[$i].'</th>';
				echo '<td class="case_vide font12 verticalalignhaut" colspan=96>';
				if (substr($liste_datedenaissance[$i],5,5)==substr($date_query,5,5)) {echo '<table cellspacing="0" cellpadding="0" border=0 class="table_anniversaire" width="100%">'.$ligne.'<tr><td colspan="100" class="textecentre font10 padding5_tout">'.Langue("LBL_VIE_QUOTIDIENNE_AGENDA_ANNIVERSAIRE").'</td></tr>'.$ligne.'</table>';}
				if ($liste_vaccins[$i]!="")
				{
					$ligne2="";
					if ($j==count($rows_membre)-1) {$ligne2=$ligne;}
					$decoupe_vaccins=explode("|",$liste_vaccins[$i]);
					for ($j=0;$j<count($decoupe_vaccins);$j++)
					{
						$decoupe=explode("~",$decoupe_vaccins[$j]);
						if ($decoupe[2]!="")
						{
							if ($decoupe[3]=="0" && ($decoupe[2]<=$date_query || date("Y-m-d",mktime(0,0,0,substr($date_query,5,2),substr($date_query,8,2)+15,substr($date_query,0,4)))>=$decoupe[2])) {echo '<table cellspacing="0" cellpadding="0" border=0 class="table_rappel_vaccin_membre" width="100%">'.$ligne.'<tr><td colspan="100" class="textecentre font10 padding5_tout">'.Langue("LBL_VIE_QUOTIDIENNE_AGENDA_RAPPEL_AFAIRE").$espace[$_SESSION['langue_util']].': '.$decoupe[1].'</td></tr>'.$ligne2.'</table>';}
						}
					}
				}
				$req_rdv=mysqli_query($link_bdd,"SELECT * FROM `agenda` WHERE date='".$date_query."' AND id_util='".$_SESSION['id_util']."' AND id_membre='".$liste_id[$i]."' ORDER BY heure_debut ASC");
				if (mysqli_num_rows($req_rdv)!="")
				{
					echo '<table cellspacing="0" cellpadding="0" border=0 align="left">'.$ligne.'<tr>';
					for ($j=0;$j<=95;$j++)
					{
						$req_rdv=mysqli_query($link_bdd,"SELECT * FROM `agenda` WHERE date='".$date_query."' AND heure_debut<='".$j."' AND heure_fin>'".$j."' AND id_util='".$_SESSION['id_util']."' AND id_membre='".$liste_id[$i]."' ORDER BY heure_debut ASC");
						if (mysqli_num_rows($req_rdv)!="")
						{
							$row_rdv=mysqli_fetch_array($req_rdv);
							$longueur=$row_rdv['heure_fin']-$row_rdv['heure_debut'];
							$min=15*($row_rdv['heure_debut']-4*floor($row_rdv['heure_debut']/4));
							if ($min<15) {$min="0".$min;}
							$heure_debut=floor($row_rdv['heure_debut']/4).":".$min;
							$min=15*($row_rdv['heure_fin']-4*floor($row_rdv['heure_fin']/4));
							if ($min<15) {$min="0".$min;}
							$heure_fin=floor($row_rdv['heure_fin']/4).":".$min;
							$adresse="";
							if (Decryptage($row_rdv['lieu'])!="" || Decryptage($row_rdv['rue'])!="" || Decryptage($row_rdv['complement'])!="" || Decryptage($row_rdv['codepostal'])!="" || Decryptage($row_rdv['ville'])!="")
							{
								$adresse='<br />';
								$plus="";
								if (Decryptage($row_rdv['lieu'])!="") {$adresse .="<br /><i class='fas fa-map-marker-alt font12 verticalalignmilieu'></i> ".Decryptage($row_rdv['lieu']);}
								if (Decryptage($row_rdv['rue'])!="") {if ($adresse!='<br />') {$plus="fontnoirtooltip";} $adresse .="<br /><i class='fas fa-map-marker-alt font12 ".$plus." verticalalignmilieu'></i> ".Decryptage($row_rdv['rue']);}
								if (Decryptage($row_rdv['complement'])!="") {if ($adresse!='<br />') {$plus="fontnoirtooltip";} $adresse .="<br /><i class='fas fa-map-marker-alt font12 ".$plus." verticalalignmilieu'></i> ".Decryptage($row_rdv['complement']);}
								$cp=false;
								if (Decryptage($row_rdv['codepostal'])!="") {if ($adresse!='<br />') {$plus="fontnoirtooltip";} $adresse .="<br /><i class='fas fa-map-marker-alt font12 ".$plus." verticalalignmilieu'></i> ".Decryptage($row_rdv['codepostal']);$cp=true;}
								if (Decryptage($row_rdv['ville'])!="") 
								{
									if ($adresse!='<br />') {$plus="fontnoirtooltip";}
									if ($cp==false)
									{
										$adresse .="<br /><i class='fas fa-map-marker-alt font12 ".$plus." verticalalignmilieu'></i> ".Decryptage($row_rdv['ville']);
									} else {$adresse .=" ".Decryptage($row_rdv['ville']);}
								}
								if (Decryptage($row_rdv['pays'])!="") 
								{
									$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` WHERE cle='".Decryptage($row_rdv['pays'])."'");
									$row_pays=mysqli_fetch_array($req_pays);
									$adresse .="<br /><i class='fas fa-map-marker-alt font12 fontnoirtooltip verticalalignmilieu'></i> ".$row_pays[$_SESSION['langue_util']];
								}
							}
							if (Decryptage($row_rdv['telephone'])!="" || Decryptage($row_rdv['telephone2'])!="" || Decryptage($row_rdv['mobile'])!="")
							{
								$adresse .="<br /><i class='fas fa-phone-alt font12 verticalalignmilieu'></i> ";
								if (Decryptage($row_rdv['telephone'])!="") {$adresse .=Decryptage($row_rdv['telephone']).' - ';}
								if (Decryptage($row_rdv['telephone2'])!="") {$adresse .=Decryptage($row_rdv['telephone2']).' - ';}
								if (Decryptage($row_rdv['mobile'])!="") {$adresse .=Decryptage($row_rdv['mobile']).' - ';}
								$adresse=substr($adresse,0,strlen($adresse)-3);
							}
							if (Decryptage($row_rdv['email'])!="" || Decryptage($row_rdv['email2'])!="")
							{
								$adresse .="<br /><i class='fas fa-at font12 verticalalignmilieu'></i> ";
								if (Decryptage($row_rdv['email'])!="") {$adresse .=Decryptage($row_rdv['email']).' - ';}
								if (Decryptage($row_rdv['email2'])!="") {$adresse .=Decryptage($row_rdv['email2']).' - ';}
								$adresse=substr($adresse,0,strlen($adresse)-3);
							}
							echo '<td colspan="'.$longueur.'" id="case_'.$row_rdv['id'].'" class="tooltip padding5_tout case_rdv souris_main font10" title="'.$heure_debut.'-'.$heure_fin.'<br />'.Decryptage($row_rdv['intitule']).$adresse.'">'.Decryptage($row_rdv['intitule']).'</td>';
							$j=$row_rdv['heure_fin']-1;
							echo '<script language="Javascript">
									$(document).ready(function()
									{
										$("#case_'.$row_rdv['id'].'").tooltipster({contentAsHTML:true,delay: 0,theme:"tooltipster-borderless",trigger:"hover",side:"bottom",distance:3});
										$("#case_'.$row_rdv['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("agenda","ajouter_rdv&date='.$date_query.'&id='.$row_rdv['id'].'");});
									});
								  </script>';
						}
						else
						{
							echo '<td class="case_vide_util font10">&nbsp;</td>';
						}
					}
					echo '</tr>'.$ligne.'</table>';
				}
				echo '</td></tr>';
			}
		}
		echo '</table></div>';
		echo '</div>'; // Fin de la zone d'impression
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=$(window).width()-40;
	$(".div_table_agenda").css("width",largeur+"px");
	
	$("#ajouter_rdv").click(function(event) 
	{
		event.preventDefault();
<?php
		$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."'");
		if (mysqli_num_rows($req_membre)=="") {echo 'alert("'.Langue_JS("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_MEMBRE_DABORD").'")';} else {echo 'Message(1);Action_Page("agenda","ajouter_rdv&date='.$date_query.'");';}
?>
	});

	$("#date_en_cours").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	$("#date_en_cours").change(function(event)
	{
		event.preventDefault();
		Message(1);
		Action_Page("agenda","index&date_en_cours="+$("#date_en_cours").val());
	});

	$("#bouton_imprimer_agenda").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
});
</script>
