<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-cookie"></i> <?php echo Langue("LBL_AUTRES_COOKIES"); ?></p>
	<p class="font12 lineheight24 textejustifie"><?php echo Langue("LBL_AUTRES_COOKIES_PASCOOKIE").$espace[$_SESSION['langue_util']].':'; ?></p>
	<ul class="font12 lineheight24 textejustifie">
		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_BRAVE_BROWSER"); if (substr(Langue("LBL_AUTRES_COOKIES_BRAVE_BROWSER"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_BRAVE_BROWSER"),1,strlen(Langue("LBL_AUTRES_COOKIES_BRAVE_BROWSER")));} ?>
		<li><b>Brave Browser</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_CHROME"); if (substr(Langue("LBL_AUTRES_COOKIES_CHROME"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_CHROME"),1,strlen(Langue("LBL_AUTRES_COOKIES_CHROME")));} ?>
		<li><b>Chrome (<?php echo Langue("LBL_AUTRES_COOKIES_CHROME_ORDINATEUR"); ?>)</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_CHROME_ANDROID"); if (substr(Langue("LBL_AUTRES_COOKIES_CHROME_ANDROID"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_CHROME_ANDROID"),1,strlen(Langue("LBL_AUTRES_COOKIES_CHROME_ANDROID")));} ?>
		<li><b>Chrome (Android)</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_CHROME_IPAD"); if (substr(Langue("LBL_AUTRES_COOKIES_CHROME_IPAD"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_CHROME_IPAD"),1,strlen(Langue("LBL_AUTRES_COOKIES_CHROME_IPAD")));} ?>
		<li><b>Chrome (iPad / iPhone)</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_EDGE"); if (substr(Langue("LBL_AUTRES_COOKIES_EDGE"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_EDGE"),1,strlen(Langue("LBL_AUTRES_COOKIES_EDGE")));} ?>
		<li><b>Edge</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_FIREFOX"); if (substr(Langue("LBL_AUTRES_COOKIES_FIREFOX"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_FIREFOX"),1,strlen(Langue("LBL_AUTRES_COOKIES_FIREFOX")));} ?>
		<li><b>Firefox</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_INTERNET_EXPLORER"); if (substr(Langue("LBL_AUTRES_COOKIES_INTERNET_EXPLORER"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_INTERNET_EXPLORER"),1,strlen(Langue("LBL_AUTRES_COOKIES_INTERNET_EXPLORER")));} ?>
		<li><b>Internet Explorer</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_MAXTHON"); if (substr(Langue("LBL_AUTRES_COOKIES_MAXTHON"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_MAXTHON"),1,strlen(Langue("LBL_AUTRES_COOKIES_MAXTHON")));} ?>
		<li><b>Maxthon</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_OPERA"); if (substr(Langue("LBL_AUTRES_COOKIES_OPERA"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_OPERA"),1,strlen(Langue("LBL_AUTRES_COOKIES_OPERA")));} ?>
		<li><b>Opera</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_SAFARI"); if (substr(Langue("LBL_AUTRES_COOKIES_SAFARI"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_SAFARI"),1,strlen(Langue("LBL_AUTRES_COOKIES_SAFARI")));} ?>
		<li><b>Safari</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_SAMSUNG_INTERNET"); if (substr(Langue("LBL_AUTRES_COOKIES_SAMSUNG_INTERNET"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_SAMSUNG_INTERNET"),1,strlen(Langue("LBL_AUTRES_COOKIES_SAMSUNG_INTERNET")));} ?>
		<li><b>Samsung Internet</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_SUSHI_BROWSER"); if (substr(Langue("LBL_AUTRES_COOKIES_SUSHI_BROWSER"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_SUSHI_BROWSER"),1,strlen(Langue("LBL_AUTRES_COOKIES_SUSHI_BROWSER")));} ?>
		<li><b>Sushi Browser</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_UR_BROWSER"); if (substr(Langue("LBL_AUTRES_COOKIES_UR_BROWSER"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_UR_BROWSER"),1,strlen(Langue("LBL_AUTRES_COOKIES_UR_BROWSER")));} ?>
		<li><b>UR Browser</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_VIVALDI"); if (substr(Langue("LBL_AUTRES_COOKIES_VIVALDI"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_VIVALDI"),1,strlen(Langue("LBL_AUTRES_COOKIES_VIVALDI")));} ?>
		<li><b>Vivaldi</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>

		<?php $plus=""; $lien=Langue("LBL_AUTRES_COOKIES_YANDEX_BROWSER"); if (substr(Langue("LBL_AUTRES_COOKIES_YANDEX_BROWSER"),0,1)=="*") {$plus=' ('.Langue("LBL_AUTRES_COOKIES_ANGLAIS").')';$lien=substr(Langue("LBL_AUTRES_COOKIES_YANDEX_BROWSER"),1,strlen(Langue("LBL_AUTRES_COOKIES_YANDEX_BROWSER")));} ?>
		<li><b>Yandex Browser</b><?php echo $espace[$_SESSION['langue_util']].': <a href="'.$lien.'" class="lien_bleu" target="_blank">'.$lien; ?></a><?php echo $plus; ?></li>
	</ul>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
});
</script>
