<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "compte/parametres.php";
	$req_compte=mysqli_query($link_bdd,"SELECT * FROM `utilisateurs` WHERE id='".$_SESSION['id_util']."'");
	$row_compte=mysqli_fetch_array($req_compte);
	foreach ($tableau_compte AS $cle => $value)
	{
		$tableau_valeur[$cle]=$row_compte[$cle];
	}

	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-user"></i> <?php echo Langue("LBL_ADMINISTRATION_COMPTE"); ?></p>
	<form id="form_compte" name="form_compte" action="index2.php" method="POST">
	<input type="hidden" id="module" name="module" value="compte">
	<input type="hidden" id="action" name="action" value="save_compte">
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_CONNEXION_VOTRE_IDENTIFIANT").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" maxlength="50" type="text" class="textbox textbox4 padding10_tout font12" id="identifiant" name="identifiant" value="<?php echo $tableau_valeur['identifiant']; ?>"><p id="msg_identifiant_compte" class="fontrouge font12 textegauche">&nbsp;</p></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_ADMINISTRATION_MDP"); ?><br /><input tabIndex="2" maxlength="25" type="password" class="textbox textbox2 padding10_tout font12" id="motdepasse" name="motdepasse" value=""><p id="msg_motdepasse_compte" class="fontrouge font12 textegauche">&nbsp;</p></td>
				<td width="50%">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_ADMINISTRATION_MDP_CONFIRM"); ?><br /><input tabIndex="3" maxlength="25" type="password" class="textbox textbox2 padding10_tout font12" id="confirm_motdepasse" name="confirm_motdepasse" value=""></td>
				<td width="50%">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_ADMINISTRATION_PARAMETRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="4" class="textbox textbox4 padding10_tout font12" id="pays" name="pays"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_ADMINISTRATION_MONNAIE"); ?><br /><select tabIndex="8" class="textbox textbox4 padding10_tout font12" id="monnaie" name="monnaie"><?php echo $liste_monnaie; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_ADMINISTRATION_LANGUE"); ?><br /><select tabIndex="5" class="textbox textbox4 padding10_tout font12" id="langue" name="langue">
<?php
				foreach ($langue_appli AS $cle => $value)
				{
					echo '<option value="'.$cle.'"';
					if ($cle==$tableau_valeur['langue']) {echo ' SELECTED';}
					echo '>'.$value.'</option>';
				}
?>
				</select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_ADMINISTRATION_UNITE_MASSE"); ?><br /><select tabIndex="9" class="textbox textbox4 padding10_tout font12" id="unite_masse" name="unite_masse">
					<option value="1" <?php if ($tableau_valeur['unite_masse']==1) {echo 'SELECTED';} ?>>g / kg / mg</option>
					<option value="2" <?php if ($tableau_valeur['unite_masse']==2) {echo 'SELECTED';} ?>>lbs / oz</option>
				</select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_ADMINISTRATION_FORMAT_DATE"); ?><br /><select tabIndex="6" class="textbox textbox4 padding10_tout font12" id="format_date" name="format_date">
<?php
				for ($i=0;$i<count($format_date_dispo);$i++)
				{
					echo '<option value="'.$format_date_dispo[$i].'"';
					if ($format_date_dispo[$i]==$tableau_valeur['format_date']) {echo ' SELECTED';}
					echo '>'.$format_date_dispo[$i].'</option>';
				}
?>
				</select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_ADMINISTRATION_UNITE_CALORIE"); ?><br /><select tabIndex="10" class="textbox textbox4 padding10_tout font12" id="unite_calorie" name="unite_calorie">
					<option value="1" <?php if ($tableau_valeur['unite_calorie']==1) {echo 'SELECTED';} ?>>J / kJ</option>
					<option value="2" <?php if ($tableau_valeur['unite_calorie']==2) {echo 'SELECTED';} ?>>cal / kcal</option>
				</select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_ADMINISTRATION_FORMAT_NOMBRE"); ?><br /><select tabIndex="7" class="textbox textbox4 padding10_tout font12" id="format_nombre" name="format_nombre">
					<option value="1" <?php if ($tableau_valeur['format_nombre']==1) {echo 'SELECTED';} ?>>1 234 567,89</option>
					<option value="6" <?php if ($tableau_valeur['format_nombre']==6) {echo 'SELECTED';} ?>>1 234 567.89</option>
					<option value="2" <?php if ($tableau_valeur['format_nombre']==2) {echo 'SELECTED';} ?>>1.234.567,89</option>
					<option value="3" <?php if ($tableau_valeur['format_nombre']==3) {echo 'SELECTED';} ?>>1,234,567.89</option>
					<option value="4" <?php if ($tableau_valeur['format_nombre']==4) {echo 'SELECTED';} ?>>1'234'567,89</option>
					<option value="5" <?php if ($tableau_valeur['format_nombre']==5) {echo 'SELECTED';} ?>>1'234'567.89</option>
					<option value="7" <?php if ($tableau_valeur['format_nombre']==7) {echo 'SELECTED';} ?>>1234567,89</option>
					<option value="8" <?php if ($tableau_valeur['format_nombre']==8) {echo 'SELECTED';} ?>>1234567.89</option>
				</select></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		<p class="textegauche padding20_bas"><button tabIndex="11" class="bouton textbox3 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_compte" id="bouton_compte"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-40)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox3").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox4").css("width",largeur+"px");
	
	$("#pays").val("<?php echo $tableau_valeur['pays']; ?>");
	$("#monnaie").val("<?php echo $tableau_valeur['monnaie']; ?>");
	$("#unite_calorie").val("<?php echo $tableau_valeur['unite_calorie']; ?>");
	$("#unite_masse").val("<?php echo $tableau_valeur['unite_masse']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#pays").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#langue").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#format_date").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#format_nombre").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#monnaie").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#unite_calorie").chosen({width: largeur+"px",disable_search_threshold: 10});
	$("#unite_masse").chosen({width: largeur+"px",disable_search_threshold: 10});
	
	$("#bouton_compte").click(function(event)
	{
		event.preventDefault();
		$("#form_compte").submit();
	});
	
	$("#form_compte").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#identifiant"))) 
		{
			bValid=false;
			$("#identifiant").addClass("form-erreur");
			$("#msg_identifiant_compte").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_IDENTIFIANT_VIDE"); ?>");
		}
		else
		{
			$("#identifiant").removeClass("form-erreur");
			$("#msg_identifiant_compte").html("");
		}
		if ($("#motdepasse").val()!=$("#confirm_motdepasse").val())
		{
			bValid=false;
			$("#motdepasse").addClass("form-erreur");
			$("#confirm_motdepasse").addClass("form-erreur");
			$("#msg_motdepasse_compte").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_MOTDEPASSE_CONFIRM"); ?>");
		}
		else
		{
			$("#motdepasse").removeClass("form-erreur");
			$("#confirm_motdepasse").removeClass("form-erreur");
			$("#msg_motdepasse_compte").html("&nbsp;");
		}
		if (bValid==true)
		{
			$("#bouton_compte").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			data = $form.serialize();
			var request = $.ajax({type: "POST", url: url, data: data});
			request.done(function(msg)
			{
				Action_Page("compte","index");
			});
		}
	});
});
</script>
