<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_compte" title="<?php echo Langue("LBL_FINANCES_COMPTES_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-university"></i> <?php echo Langue("LBL_FINANCES_COMPTES_TITRE"); ?></p>
<?php
	unset($req_compte,$row_compte,$rows_compte);
	$req_compte=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_compte)!="")
	{
		while ($row_compte=mysqli_fetch_array($req_compte))
		{
			$rows_compte[]=$row_compte;
		}
		echo '<table id="tableau_compte" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr>
				<th width="30%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_NOM").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_BANQUE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_NUMERO_COMPTE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_SOLDE_ESTIME").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_SOLDE_RAPPROCHE").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_compte);$i++)
		{
			$plus="";
			$plus2="";
			$rows_compte[$i]['solde']=Decryptage($rows_compte[$i]['solde']);
			if ($rows_compte[$i]['solde']<0) {$plus="fontrouge";}
			$monnaie=Decryptage($rows_compte[$i]['monnaie']);
			if (!isset($totaux_rapproches[$monnaie])) {$totaux_rapproches[$monnaie]=0;}
			$totaux_rapproches[$monnaie]=$totaux_rapproches[$monnaie]+$rows_compte[$i]['solde'];
			$req_estime=mysqli_query($link_bdd,"SELECT SUM(montant) AS total FROM `operations_bancaires` WHERE id_compte='".$rows_compte[$i]['id']."' AND rapproche!='1'");
			$total_compte=$rows_compte[$i]['solde'];
			if (mysqli_num_rows($req_estime)!="")
			{
				$row_estime=mysqli_fetch_array($req_estime);
				$total_compte=$total_compte+$row_estime['total'];
			}
			if (!isset($totaux_estimes[$monnaie])) {$totaux_estimes[$monnaie]=0;}
			$totaux_estimes[$monnaie]=$totaux_estimes[$monnaie]+$total_compte;
			if ($total_compte<0) {$plus2="fontrouge";}
			echo '<tr id="table_compte'.$rows_compte[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_compte[$i]['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_compte[$i]['banque']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_compte[$i]['numero_compte']).'</p></td>
					<td class="textedroite verticalalignhaut"><p class="font12 lineheight24 '.$plus2.'">'.Convertir_Nombre_Ecran($total_compte,2).' '.$monnaie.'</p></td>
					<td class="textedroite verticalalignhaut"><p class="font12 lineheight24 '.$plus.'">'.Convertir_Nombre_Ecran($rows_compte[$i]['solde'],2).' '.$monnaie.'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_compte'.$rows_compte[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("comptes_bancaires","ajouter_compte&id='.$rows_compte[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody><tfoot><tr>
				<td colspan=3 class="textedroite verticalalignhaut"><p class="font12 lineheight24 fontgras">'.Langue("LBL_FINANCES_COMPTES_TOTAL").'</p></td>
				<td class="textedroite verticalalignhaut"><p class="font12 lineheight24 fontgras">';
		foreach ($totaux_estimes AS $cle => $value)
		{
			$plus="";
			if ($value<0) {$plus="fontrouge";}
			echo '<font class="'.$plus.'">'.Convertir_Nombre_Ecran($value,2).' '.$cle.'</font><br />';
		}
		echo '	</p></td>
				<td class="textedroite verticalalignhaut"><p class="font12 lineheight24 fontgras">';
		foreach ($totaux_rapproches AS $cle => $value)
		{
			$plus="";
			if ($value<0) {$plus="fontrouge";}
			echo '<font class="'.$plus.'">'.Convertir_Nombre_Ecran($value,2).' '.$cle.'</font><br />';
		}
		echo '	</p></td></tr></tfoot></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_FINANCES_COMPTES_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_compte").click(function(event) {event.preventDefault();Message(1);Action_Page("comptes_bancaires","ajouter_compte");});

	$("#tableau_compte").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 25,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
