<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="liste_listes" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_TITRE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-shopping-cart fa-stack-1x fontblanc fa-inverse"></i></span><span id="liste_produits" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_LISTE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-barcode fa-stack-1x fontblanc fa-inverse"></i></span><span id="ajouter_magasin" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main margin30_droite"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-store"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_LISTE"); ?></p>
<?php
	unset($req_magasin,$row_magasin,$rows_magasin);
	$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_magasin)!="")
	{
		while ($row_magasin=mysqli_fetch_array($req_magasin))
		{
			$rows_magasin[]=$row_magasin;
		}
		echo '<table id="tableau_magasin" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="30%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_NOM").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_CATEGORIE").'</p></th>
				<th width="50%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_COORDONNEES").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_magasin);$i++)
		{
			echo '<tr id="table_magasin'.$rows_magasin[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_magasin[$i]['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_CATEGORIE_".Decryptage($rows_magasin[$i]['genre'])).'</p></td>
					<td class="textegauche verticalalignhaut">';
			if (Decryptage($rows_magasin[$i]['rue'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_magasin[$i]['rue']).'</p>';}
			if (Decryptage($rows_magasin[$i]['complement'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_magasin[$i]['complement']).'</p>';}
			if (Decryptage($rows_magasin[$i]['codepostal'])!="" || Decryptage($rows_magasin[$i]['ville'])!="")
			{
				echo '<p class="font12 lineheight24">';
				if (Decryptage($rows_magasin[$i]['codepostal'])!="") {echo Decryptage($rows_magasin[$i]['codepostal']).' ';}
				if (Decryptage($rows_magasin[$i]['ville'])!="") {echo Decryptage($rows_magasin[$i]['ville']);}
				echo '</p>';
			}
			if (Decryptage($rows_magasin[$i]['telephone'])!="" || Decryptage($rows_magasin[$i]['telephone2'])!="" || Decryptage($rows_magasin[$i]['mobile'])!="")
			{
				echo '<p class="font12 lineheight24">';
				$msg="";
				if (Decryptage($rows_magasin[$i]['telephone'])!="") {$msg .=Decryptage($rows_magasin[$i]['telephone']);}
				if (Decryptage($rows_magasin[$i]['telephone2'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_magasin[$i]['telephone2']);}
				if (Decryptage($rows_magasin[$i]['mobile'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_magasin[$i]['mobile']);}
				echo $msg.'</p>';
			}
			if ($rows_magasin[$i]['email']!="" || $rows_magasin[$i]['email2']!="")
			{
				echo '<p class="font12 lineheight24">';
				$msg="";
				if (Decryptage($rows_magasin[$i]['email'])!="") {$msg .=Decryptage($rows_magasin[$i]['email']);}
				if (Decryptage($rows_magasin[$i]['email2'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_magasin[$i]['email2']);}
				echo $msg.'</p>';
			}
			echo '	</td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_magasin'.$rows_magasin[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","ajouter_magasin&id='.$rows_magasin[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#liste_listes").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","index");});
	$("#liste_produits").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","produits");});
	$("#ajouter_magasin").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","ajouter_magasin");});

	$("#tableau_magasin").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 20,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
