<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="liste_listes" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_TITRE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-shopping-cart fa-stack-1x fontblanc fa-inverse"></i></span><span id="liste_magasins" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_LISTE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-store fa-stack-1x fontblanc fa-inverse"></i></span><span id="ajouter_produit" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main margin30_droite"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-barcode"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_LISTE"); ?></p>
<?php
	unset($req_produits,$row_produits,$rows_produits);
	$req_produits=mysqli_query($link_bdd,"SELECT * FROM `produits` WHERE id_util='".$_SESSION['id_util']."'");
	if (mysqli_num_rows($req_produits)!="")
	{
		while ($row_produits=mysqli_fetch_array($req_produits))
		{
			$rows_produits[]=$row_produits;
		}
		echo '<table id="tableau_produits" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_NOM").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_CATEGORIE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_MARQUE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_CONDITIONNEMENT").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_PRIX").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_produits);$i++)
		{
			$prix="";
			if ($rows_produits[$i]['prix']!="")
			{
				$decoupe_prix=explode('|',$rows_produits[$i]['prix']);
				for ($j=0;$j<count($decoupe_prix);$j++)
				{
					$decoupe=explode("~",$decoupe_prix[$j]);
					$req_mag=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id='".$decoupe[0]."'");
					if (mysqli_num_rows($req_mag)!="")
					{
						$row_mag=mysqli_fetch_array($req_mag);
						switch (Parametre_Util("format_nombre"))
						{
							case "1":$decoupe[1]=number_format($decoupe[1],2,',',' ');break;
							case "2":$decoupe[1]=number_format($decoupe[1],2,',','.');break;
							case "3":$decoupe[1]=number_format($decoupe[1],2,'.',',');break;
							case "4":$decoupe[1]=number_format($decoupe[1],2,",","'");break;
							case "5":$decoupe[1]=number_format($decoupe[1],2,".","'");break;
							case "6":$decoupe[1]=number_format($decoupe[1],2,'.',' ');break;
							case "7":$decoupe[1]=number_format($decoupe[1],2,',','');break;
						}
						$prix .=Decryptage($row_mag['nom']).$espace[$_SESSION['langue_util']].': '.$decoupe[1].' '.$decoupe[2].'<br />';
					}
				}
				$prix=substr($prix,0,-6);
			}
			echo '<tr id="table_produits'.$rows_produits[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_produits[$i]['nom'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue('LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_'.$rows_produits[$i]['categorie']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_produits[$i]['marque'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_produits[$i]['conditionnement'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$prix.'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_produits'.$rows_produits[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","ajouter_produit&id='.$rows_produits[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#liste_listes").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","index");});
	$("#liste_magasins").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","magasins");});
	$("#ajouter_produit").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","ajouter_produit");});

	var groupColumn = 1;
	var table = $("#tableau_produits").DataTable({
		"responsive": true,
		"pageLength": 25,
		"columnDefs": [
            { "visible": false, "targets": groupColumn }
        ],
		"order": [[ groupColumn, 'asc' ],[ 0, "asc" ]],
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>,
        "drawCallback": function ( settings ) {
            var api = this.api();
            var rows = api.rows( {page:'current'} ).nodes();
            var last=null;
 
            api.column(groupColumn, {page:'current'} ).data().each( function ( group, i ) {
                if ( last !== group ) {
                    $(rows).eq( i ).before(
                        '<tr class="group"><td colspan="4">'+group+'</td></tr>'
                    );
 
                    last = group;
                }
            } );
        }
	});
    $('#tableau_produits tbody').on( 'click', 'tr.group', function () {
        var currentOrder = table.order()[0];
        if ( currentOrder[0] === groupColumn && currentOrder[1] === 'asc' ) {
            table.order( [ groupColumn, 'desc' ] ).draw();
        }
        else {
            table.order( [ groupColumn, 'asc' ] ).draw();
        }
    } );
});
</script>
