<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "equipements_immobiliers/parametres.php";
	foreach ($tableau_equipement_immobilier AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur['id_bien_immo']="";
	$tableau_valeur["type"]="0";
	$tableau_valeur["pays_achat"]=Parametre_Util("pays");
	$tableau_valeur["pays_garantie"]=Parametre_Util("pays");
	$tableau_valeur["monnaie_achat"]=Parametre_Util("monnaie");
	
	if (isset($_GET['id']))
	{
		$req_equipement_immo=mysqli_query($link_bdd,"SELECT * FROM `equipements_immobiliers` WHERE id='".$_GET['id']."'");
		$row_equipement_immo=mysqli_fetch_array($req_equipement_immo);
		$tableau_valeur['id']=$row_equipement_immo['id'];
		foreach ($tableau_equipement_immobilier AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_equipement_immo[$cle]));
		}
	}
	
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
	
	$liste_biens_immo="";
	$req_bien_immo=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	while ($row_bien_immo=mysqli_fetch_array($req_bien_immo))
	{
		$rows_bien_immo[]=$row_bien_immo;
	}
	for ($i=0;$i<count($rows_bien_immo);$i++)
	{
		$liste_id_immo[$i]=$rows_bien_immo[$i]['id'];
		$liste_nom_immo[$i]=Decryptage($rows_bien_immo[$i]['nom']);
	}
	array_multisort($liste_nom_immo,SORT_ASC,SORT_STRING,$liste_id_immo);
	for ($i=0;$i<count($rows_bien_immo);$i++)
	{
		$liste_biens_immo .='<option value="'.$liste_id_immo[$i].'">'.$liste_nom_immo[$i].'</option>';
	}
	if ($tableau_valeur['id_bien_immo']=="") {$tableau_valeur['id_bien_immo']=$liste_id_immo[0];}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_equipement_immo" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-couch"></i> <?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_AJOUTER"); ?></p>
	<form id="form_equipement_immo" name="form_equipement_immo" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="equipements_immobiliers">
	<input type="hidden" id="action" name="action" value="save_equipement_immo">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_equipement_immo" name="fichier_equipement_immo" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=10 class="verticalalignhaut">
<?php
					if (file_exists("./cache/equipements_immobiliers/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/equipements_immobiliers/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_EQUIPEMENTS_IMMOBILIERS_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_EQUIPEMENTS_IMMOBILIERS_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_NOM_BIEN"); ?><br /><select tabindex="2" name="id_bien_immo" id="id_bien_immo" class="textbox textbox2 padding10_tout font12"><?php echo $liste_biens_immo; ?></select></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DESCRIPTION"); ?><br /><textarea tabindex="3" name="description" id="description" class="textbox textbox2 padding10_tout font12 fontnormal" rows=5><?php echo $tableau_valeur['description']; ?></textarea></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE"); ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="type" name="type">
					<option value="0" <?php if ($tableau_valeur['type']=="0") {echo "SELECTED";} ?>><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_0"); ?></option>
					<option value="1" <?php if ($tableau_valeur['type']=="1") {echo "SELECTED";} ?>><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['type']=="2") {echo "SELECTED";} ?>><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_2"); ?></option>
					<option value="3" <?php if ($tableau_valeur['type']=="3") {echo "SELECTED";} ?>><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_3"); ?></option>
					<option value="4" <?php if ($tableau_valeur['type']=="4") {echo "SELECTED";} ?>><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_4"); ?></option>
				</select>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DATE_ACHAT"); ?><br /><input tabIndex="5" type="text" class="textbox padding10_tout font12" id="date_achat" name="date_achat" value="<?php echo Date_Convertir($tableau_valeur['date_achat'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_MONTANT"); ?><br /><input tabIndex="6" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="montant_achat" name="montant_achat" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['montant_achat'],2); ?>"><select tabindex="7" name="monnaie_achat" id="monnaie_achat" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_LIEU_ACHAT"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_MAGASIN"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="nom_achat" name="nom_achat" value="<?php echo $tableau_valeur['nom_achat']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="14" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_achat" name="telephone_achat" value="<?php echo $tableau_valeur['telephone_achat']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="9" type="text" class="textbox textbox2 padding10_tout font12" id="rue_achat" name="rue_achat" value="<?php echo $tableau_valeur['rue_achat']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="15" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_achat" name="telephone2_achat" value="<?php echo $tableau_valeur['telephone2_achat']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="10" type="text" class="textbox textbox2 padding10_tout font12" id="complement_achat" name="complement_achat" value="<?php echo $tableau_valeur['complement_achat']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="16" type="text" class="textbox textbox2 padding10_tout font12" id="fax_achat" name="fax_achat" value="<?php echo $tableau_valeur['fax_achat']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="11" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_achat" name="codepostal_achat" value="<?php echo $tableau_valeur['codepostal_achat']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="17" type="text" class="textbox textbox10 padding10_tout font12" id="email_achat" name="email_achat" value="<?php echo $tableau_valeur['email_achat']; ?>"> <i id="ouvrir_email_achat" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="12" type="text" class="textbox textbox2 padding10_tout font12" id="ville_achat" name="ville_achat" value="<?php echo $tableau_valeur['ville_achat']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="18" type="text" class="textbox textbox10 padding10_tout font12" id="email2_achat" name="email2_achat" value="<?php echo $tableau_valeur['email2_achat']; ?>"> <i id="ouvrir_email2_achat" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="13" class="textbox textbox2 padding10_tout font12" id="pays_achat" name="pays_achat"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="19" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_achat" name="facebook_achat" value="<?php echo $tableau_valeur['facebook_achat']; ?>"> <i id="ouvrir_facebook_achat" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="22" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_achat" name="linkedin_achat" value="<?php echo $tableau_valeur['linkedin_achat']; ?>"> <i id="ouvrir_linkedin_achat" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="20" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_achat" name="twitter_achat" value="<?php echo $tableau_valeur['twitter_achat']; ?>"> <i id="ouvrir_twitter_achat" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="23" type="text" class="textbox textbox10 padding10_tout font12" id="xing_achat" name="xing_achat" value="<?php echo $tableau_valeur['xing_achat']; ?>"> <i id="ouvrir_xing_achat" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="21" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_achat" name="siteweb_achat" value="<?php echo $tableau_valeur['siteweb_achat']; ?>"> <i id="ouvrir_siteweb_achat" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_GARANTIE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DUREE"); ?><br /><input tabIndex="24" type="text" class="textbox textbox2 padding10_tout font12" id="duree_garantie" name="duree_garantie" value="<?php echo $tableau_valeur['duree_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DATE_DEBUT_GARANTIE"); ?><br /><input tabIndex="25" type="text" class="textbox padding10_tout font12" id="datedebut_garantie" name="datedebut_garantie" value="<?php echo Date_Convertir($tableau_valeur['datedebut_garantie'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DATE_FIN_GARANTIE"); ?><br /><input tabIndex="26" type="text" class="textbox padding10_tout font12" id="datefin_garantie" name="datefin_garantie" value="<?php echo Date_Convertir($tableau_valeur['datefin_garantie'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_ORGANISME_GARANTIE"); ?><br /><input tabIndex="27" type="text" class="textbox textbox2 padding10_tout font12" id="nom_garantie" name="nom_garantie" value="<?php echo $tableau_valeur['nom_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="33" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_garantie" name="telephone_garantie" value="<?php echo $tableau_valeur['telephone_garantie']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="28" type="text" class="textbox textbox2 padding10_tout font12" id="rue_garantie" name="rue_garantie" value="<?php echo $tableau_valeur['rue_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="34" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_garantie" name="telephone2_garantie" value="<?php echo $tableau_valeur['telephone2_garantie']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="29" type="text" class="textbox textbox2 padding10_tout font12" id="complement_garantie" name="complement_garantie" value="<?php echo $tableau_valeur['complement_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="35" type="text" class="textbox textbox2 padding10_tout font12" id="fax_garantie" name="fax_garantie" value="<?php echo $tableau_valeur['fax_garantie']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="30" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_garantie" name="codepostal_garantie" value="<?php echo $tableau_valeur['codepostal_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="36" type="text" class="textbox textbox10 padding10_tout font12" id="email_garantie" name="email_garantie" value="<?php echo $tableau_valeur['email_garantie']; ?>"> <i id="ouvrir_email_garantie" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="31" type="text" class="textbox textbox2 padding10_tout font12" id="ville_garantie" name="ville_garantie" value="<?php echo $tableau_valeur['ville_garantie']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="37" type="text" class="textbox textbox10 padding10_tout font12" id="email2_garantie" name="email2_garantie" value="<?php echo $tableau_valeur['email2_garantie']; ?>"> <i id="ouvrir_email2_garantie" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="32" class="textbox textbox2 padding10_tout font12" id="pays_garantie" name="pays_garantie"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="38" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_garantie" name="facebook_garantie" value="<?php echo $tableau_valeur['facebook_garantie']; ?>"> <i id="ouvrir_facebook_garantie" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="41" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_garantie" name="linkedin_garantie" value="<?php echo $tableau_valeur['linkedin_garantie']; ?>"> <i id="ouvrir_linkedin_garantie" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="39" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_garantie" name="twitter_garantie" value="<?php echo $tableau_valeur['twitter_garantie']; ?>"> <i id="ouvrir_twitter_garantie" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="42" type="text" class="textbox textbox10 padding10_tout font12" id="xing_garantie" name="xing_garantie" value="<?php echo $tableau_valeur['xing_garantie']; ?>"> <i id="ouvrir_xing_garantie" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="40" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_garantie" name="siteweb_garantie" value="<?php echo $tableau_valeur['siteweb_garantie']; ?>"> <i id="ouvrir_siteweb_garantie" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabindex="43" class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_equipement_immo" id="bouton_equipement_immo"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_equipement_immo" id="bouton_supprimer_equipement_immo">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_equipement_immo" id="bouton_annuler_equipement_immo"><?php echo Langue("BTN_BIENS_IMMOBILIERS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	$(".textbox11").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#type").val("<?php echo $tableau_valeur['type']; ?>");
	$("#monnaie_achat").val("<?php echo $tableau_valeur['monnaie_achat']; ?>");
	$("#pays_achat").val("<?php echo $tableau_valeur['pays_achat']; ?>");
	$("#pays_garantie").val("<?php echo $tableau_valeur['pays_garantie']; ?>");
	$("#id_bien_immo").val("<?php echo $tableau_valeur['id_bien_immo']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#type").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#monnaie_achat").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_achat").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_garantie").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#id_bien_immo").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#email_achat"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_achat").val();}});
	$("#ouvrir_email2_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_achat"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_achat").val();}});
	$("#ouvrir_email_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#email_garantie"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_garantie").val();}});
	$("#ouvrir_email2_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_garantie"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_garantie").val();}});
	
	$("#ouvrir_facebook_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_achat"),regex_defaut['facebook'])) {window.open($("#facebook_achat").val());}});
	$("#ouvrir_twitter_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_achat"),regex_defaut['twitter'])) {window.open($("#twitter_achat").val());}});
	$("#ouvrir_linkedin_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_achat"),regex_defaut['linkedin'])) {window.open($("#linkedin_achat").val());}});
	$("#ouvrir_xing_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_achat"),regex_defaut['xing'])) {window.open($("#xing_achat").val());}});
	$("#ouvrir_siteweb_achat").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_achat"),regex_defaut['url'])) {window.open($("#siteweb_achat").val());}});
	$("#ouvrir_facebook_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_garantie"),regex_defaut['facebook'])) {window.open($("#facebook_garantie").val());}});
	$("#ouvrir_twitter_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_garantie"),regex_defaut['twitter'])) {window.open($("#twitter_garantie").val());}});
	$("#ouvrir_linkedin_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_garantie"),regex_defaut['linkedin'])) {window.open($("#linkedin_garantie").val());}});
	$("#ouvrir_xing_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_garantie"),regex_defaut['xing'])) {window.open($("#xing_garantie").val());}});
	$("#ouvrir_siteweb_garantie").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_garantie"),regex_defaut['url'])) {window.open($("#siteweb_garantie").val());}});

	$("#date_achat").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#datedebut_garantie").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
	}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#datefin_garantie").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
	}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_equipement_immo").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_equipement_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=equipements_immobiliers&action=index";
	});
	
	$("#bouton_supprimer_equipement_immo").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_equipement_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=equipements_immobiliers&action=supprimer_equipement_immo&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_equipement_immo").click(function(event)
	{
		event.preventDefault();
		$("#form_equipement_immo").submit();
	});
	
	$("#bouton_imprimer_equipement_immo").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_equipement_immo").click();
	});
	
	$("#fichier_equipement_immo").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#montant_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#montant_achat"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_achat").addClass("form-erreur");} else {$("#montant_achat").removeClass("form-erreur");}});
	$("#duree_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#duree_garantie"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#duree_garantie").addClass("form-erreur");} else {$("#duree_garantie").removeClass("form-erreur");}});

	$("#telephone_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_achat"),regex_defaut['tel'])) {bValid=false;$("#telephone_achat").addClass("form-erreur");} else {$("#telephone_achat").removeClass("form-erreur");}});
	$("#telephone2_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_achat"),regex_defaut['tel'])) {bValid=false;$("#telephone2_achat").addClass("form-erreur");} else {$("#telephone2_achat").removeClass("form-erreur");}});
	$("#fax_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_achat"),regex_defaut['tel'])) {bValid=false;$("#fax_achat").addClass("form-erreur");} else {$("#fax_achat").removeClass("form-erreur");}});
	$("#telephone_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_garantie"),regex_defaut['tel'])) {bValid=false;$("#telephone_garantie").addClass("form-erreur");} else {$("#telephone_garantie").removeClass("form-erreur");}});
	$("#telephone2_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_garantie"),regex_defaut['tel'])) {bValid=false;$("#telephone2_garantie").addClass("form-erreur");} else {$("#telephone2_garantie").removeClass("form-erreur");}});
	$("#fax_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_garantie"),regex_defaut['tel'])) {bValid=false;$("#fax_garantie").addClass("form-erreur");} else {$("#fax_garantie").removeClass("form-erreur");}});

	$("#email_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_achat"),regex_defaut['email'])) {bValid=false;$("#email_achat").addClass("form-erreur");} else {$("#email_achat").removeClass("form-erreur");}});
	$("#email2_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_achat"),regex_defaut['email'])) {bValid=false;$("#email2_achat").addClass("form-erreur");} else {$("#email2_achat").removeClass("form-erreur");}});
	$("#email_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_garantie"),regex_defaut['email'])) {bValid=false;$("#email_garantie").addClass("form-erreur");} else {$("#email_garantie").removeClass("form-erreur");}});
	$("#email2_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_garantie"),regex_defaut['email'])) {bValid=false;$("#email2_garantie").addClass("form-erreur");} else {$("#email2_garantie").removeClass("form-erreur");}});

	$("#facebook_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_achat"),regex_defaut['facebook'])) {bValid=false;$("#facebook_achat").addClass("form-erreur");} else {$("#facebook_achat").removeClass("form-erreur");}});
	$("#twitter_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_achat"),regex_defaut['twitter'])) {bValid=false;$("#twitter_achat").addClass("form-erreur");} else {$("#twitter_achat").removeClass("form-erreur");}});
	$("#linkedin_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_achat"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_achat").addClass("form-erreur");} else {$("#linkedin_achat").removeClass("form-erreur");}});
	$("#xing_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_achat"),regex_defaut['xing'])) {bValid=false;$("#xing_achat").addClass("form-erreur");} else {$("#xing_achat").removeClass("form-erreur");}});
	$("#siteweb_achat").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_achat"),regex_defaut['url'])) {bValid=false;$("#siteweb_achat").addClass("form-erreur");} else {$("#siteweb_achat").removeClass("form-erreur");}});
	$("#facebook_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_garantie"),regex_defaut['facebook'])) {bValid=false;$("#facebook_garantie").addClass("form-erreur");} else {$("#facebook_garantie").removeClass("form-erreur");}});
	$("#twitter_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_garantie"),regex_defaut['twitter'])) {bValid=false;$("#twitter_garantie").addClass("form-erreur");} else {$("#twitter_garantie").removeClass("form-erreur");}});
	$("#linkedin_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_garantie"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_garantie").addClass("form-erreur");} else {$("#linkedin_garantie").removeClass("form-erreur");}});
	$("#xing_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_garantie"),regex_defaut['xing'])) {bValid=false;$("#xing_garantie").addClass("form-erreur");} else {$("#xing_garantie").removeClass("form-erreur");}});
	$("#siteweb_garantie").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_garantie"),regex_defaut['url'])) {bValid=false;$("#siteweb_garantie").addClass("form-erreur");} else {$("#siteweb_garantie").removeClass("form-erreur");}});

	$("#form_equipement_immo").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#montant_achat"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_achat").addClass("form-erreur");} else {$("#montant_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#duree_garantie"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#duree_garantie").addClass("form-erreur");} else {$("#duree_garantie").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone_achat"),regex_defaut['tel'])) {bValid=false;$("#telephone_achat").addClass("form-erreur");} else {$("#telephone_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_achat"),regex_defaut['tel'])) {bValid=false;$("#telephone2_achat").addClass("form-erreur");} else {$("#telephone2_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_achat"),regex_defaut['tel'])) {bValid=false;$("#fax_achat").addClass("form-erreur");} else {$("#fax_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_garantie"),regex_defaut['tel'])) {bValid=false;$("#telephone_garantie").addClass("form-erreur");} else {$("#telephone_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_garantie"),regex_defaut['tel'])) {bValid=false;$("#telephone2_garantie").addClass("form-erreur");} else {$("#telephone2_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_garantie"),regex_defaut['tel'])) {bValid=false;$("#fax_garantie").addClass("form-erreur");} else {$("#fax_garantie").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email_achat"),regex_defaut['email'])) {bValid=false;$("#email_achat").addClass("form-erreur");} else {$("#email_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_achat"),regex_defaut['email'])) {bValid=false;$("#email2_achat").addClass("form-erreur");} else {$("#email2_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_garantie"),regex_defaut['email'])) {bValid=false;$("#email_garantie").addClass("form-erreur");} else {$("#email_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_garantie"),regex_defaut['email'])) {bValid=false;$("#email2_garantie").addClass("form-erreur");} else {$("#email2_garantie").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#facebook_achat"),regex_defaut['facebook'])) {bValid=false;$("#facebook_achat").addClass("form-erreur");} else {$("#facebook_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_achat"),regex_defaut['twitter'])) {bValid=false;$("#twitter_achat").addClass("form-erreur");} else {$("#twitter_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_achat"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_achat").addClass("form-erreur");} else {$("#linkedin_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_achat"),regex_defaut['xing'])) {bValid=false;$("#xing_achat").addClass("form-erreur");} else {$("#xing_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_achat"),regex_defaut['url'])) {bValid=false;$("#siteweb_achat").addClass("form-erreur");} else {$("#siteweb_achat").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#facebook_garantie"),regex_defaut['facebook'])) {bValid=false;$("#facebook_garantie").addClass("form-erreur");} else {$("#facebook_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_garantie"),regex_defaut['twitter'])) {bValid=false;$("#twitter_garantie").addClass("form-erreur");} else {$("#twitter_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_garantie"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_garantie").addClass("form-erreur");} else {$("#linkedin_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_garantie"),regex_defaut['xing'])) {bValid=false;$("#xing_garantie").addClass("form-erreur");} else {$("#xing_garantie").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_garantie"),regex_defaut['url'])) {bValid=false;$("#siteweb_garantie").addClass("form-erreur");} else {$("#siteweb_garantie").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_equipement_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("equipements_immobiliers","ajouter_equipement_immo&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
