<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_equipement_immo" title="<?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-couch"></i> <?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TITRE"); ?></p>
<?php
	unset($req_equipement_immo,$row_equipement_immo,$rows_equipement_immo);
	$req_equipement_immo=mysqli_query($link_bdd,"SELECT * FROM `equipements_immobiliers` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_equipement_immo)!="")
	{
		while ($row_equipement_immo=mysqli_fetch_array($req_equipement_immo))
		{
			$rows_equipement_immo[]=$row_equipement_immo;
		}
		echo '<table id="tableau_equipement_immo" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_NOM").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_NOM_BIEN").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DATE_ACHAT").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_DATE_FIN_GARANTIE").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_equipement_immo);$i++)
		{
			$req_bien_immo=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id='".$rows_equipement_immo[$i]['id_bien_immo']."'");
			$row_bien_immo=mysqli_fetch_array($req_bien_immo);
			echo '<tr id="table_equipement_immo'.$rows_equipement_immo[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_equipement_immo[$i]['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($row_bien_immo['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TYPE_".Decryptage($rows_equipement_immo[$i]['type'])).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Date_Convertir(Decryptage($rows_equipement_immo[$i]['date_achat']),"Y-m-d",Parametre_Util('format_date')).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Date_Convertir(Decryptage($rows_equipement_immo[$i]['datefin_garantie']),"Y-m-d",Parametre_Util('format_date')).'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_equipement_immo'.$rows_equipement_immo[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("equipements_immobiliers","ajouter_equipement_immo&id='.$rows_equipement_immo[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_EQUIPEMENTS_IMMOBILIERS_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_equipement_immo").click(function(event) {event.preventDefault();Message(1);Action_Page("equipements_immobiliers","ajouter_equipement_immo");});

	$("#tableau_equipement_immo").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
