SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;


INSERT INTO `configuration` (`cle`, `valeur`) VALUES
('derniere_sauvegarde_bdd', '2020-03-23'),
('version_application', '1.1');

INSERT INTO `pays` (`cle`, `monnaie`, `fr_FR`, `en_GB`, `en_US`, `de_DE`, `es_ES`, `it_IT`, `pt_PT`) VALUES
('AD', 'EUR', 'Andorre', 'Andorra', 'Andorra', 'Andorra', 'Andorra', ' Andorra', 'Andorra'),
('AE', 'AED', 'Emirats arabes unis', 'United Arab Emirates', 'United Arab Emirates', 'Vereinigte Arabische Emirate', 'Emiratos Árabes Unidos (los)', ' Emirati Arabi Uniti', 'Emirados Árabes Unidos'),
('AF', 'AFN', 'Afghanistan', 'Afghanistan', 'Afghanistan', 'Afghanistan', 'Afganistán', ' Afghanistan', 'Afeganistão'),
('AG', 'XCD', 'Antigua et Barbuda', 'Antigua and Barbuda', 'Antigua and Barbuda', 'Antigua und Barbuda', 'Antigua y Barbuda', ' Antigua e Barbuda', 'Antígua e Barbuda'),
('AL', 'ALL', 'Albanie', 'Albania', 'Albania', 'Albanien', 'Albania', ' Albania', 'Albânia'),
('AM', 'AMD', 'Arménie', 'Armenia', 'Armenia', 'Armenien', 'Armenia', ' Armenia', 'Armênia'),
('AO', 'AOA', 'Angola', 'Angola', 'Angola', 'Angola', 'Angola', ' Angola', 'Angola'),
('AR', 'ARS', 'Argentine', 'Argentina', 'Argentina', 'Argentinien', 'Argentina', ' Argentina', 'Argentina'),
('AT', 'EUR', 'Autriche', 'Austria', 'Austria', 'Österreich', 'Austria', ' Austria', 'Áustria'),
('AU', 'AUD', 'Australie', 'Australia', 'Australia', 'Australien', 'Australia', ' Australia', 'Austrália'),
('AZ', 'AZN', 'Azerbaïdjan', 'Azerbaijan', 'Azerbaijan', 'Aserbaidschan', 'Azerbaiyán', ' Azerbaigian', 'Azerbaijão'),
('BA', 'BAM', 'Bosnie-Herzégovine', 'Bosnia and Herzegovina', 'Bosnia and Herzegovina', 'Bosnien und Herzegowina', 'Bosnia y Herzegovina', ' Bosnia ed Erzegovina', 'Bósnia e Herzegovina'),
('BB', 'BBD', 'Barbade', 'Barbados', 'Barbados', 'Barbados', 'Barbados', ' Barbados', 'Barbados'),
('BD', 'BDT', 'Bangladesh', 'Bangladesh', 'Bangladesh', 'Bangladesch', 'Bangladesh', ' Bangladesh', 'Bangladesh'),
('BE', 'EUR', 'Belgique', 'Belgium', 'Belgium', 'Belgien', 'Bélgica', ' Belgio', 'Bélgica'),
('BF', 'XOF', 'Burkina Faso', 'Burkina Faso', 'Burkina Faso', 'Burkina Faso', 'Burkina Faso', ' Burkina Faso', 'Burkina Faso'),
('BG', 'BGN', 'Bulgarie', 'Bulgaria', 'Bulgaria', 'Bulgarien', 'Bulgaria', ' Bulgaria', 'Bulgária'),
('BH', 'BHD', 'Bahrein', 'Bahrain', 'Bahrain', 'Bahrain', 'Bahrein', ' Bahrein', 'Bahrain'),
('BI', 'BIF', 'Burundi', 'Burundi', 'Burundi', 'Burundi', 'Burundi', ' Burundi', 'Burundi'),
('BJ', 'XOF', 'Bénin', 'Benin', 'Benin', 'Benin', 'Benin', ' Benin', 'Benim'),
('BN', 'BND', 'Brunéi Darussalam', 'Brunei Darussalam', 'Brunei Darussalam', 'Brunei Darussalam', 'Brunei Darussalam', ' Brunei', 'Brunei'),
('BO', 'BOB', 'Bolivie (État plurinational de)', 'Bolivia (Plurinational State of)', 'Bolivia (Plurinational State of)', 'Bolivien', 'Bolivia (Estado Plurinacional de)', ' Bolivia', 'Bolívia'),
('BR', 'BRL', 'Brésil', 'Brazil', 'Brazil', 'Brasilien', 'Brasil', ' Brasile', 'Brasil'),
('BS', 'BSD', 'Bahamas', 'The Bahamas', 'The Bahamas', 'Bahamas', 'Bahamas (las)', ' Bahamas', 'Bahamas'),
('BT', 'BTN', 'Bhoutan', 'Bhutan', 'Bhutan', 'Bhutan', 'Bhután', ' Bhutan', 'Butão'),
('BW', 'BWP', 'Botswana', 'Botswana', 'Botswana', 'Botswana', 'Botswana', ' Botswana', 'Botswana'),
('BY', 'BYN', 'Bélarus', 'Belarus', 'Belarus', 'Belarus (Weißrussland)', 'Belarús', ' Bielorussia', 'Bielorrússia'),
('BZ', 'BZD', 'Bélize', 'Belize', 'Belize', 'Belize', 'Belice', ' Belize', 'Belize'),
('CA', 'CAD', 'Canada', 'Canada', 'Canada', 'Kanada', 'Canadá', ' Canada', 'Canadá'),
('CD', 'CDF', 'Congo, République démocratique du', 'Congo (Democratic Republic of the)', 'Congo (Democratic Republic of the)', 'Kongo, Demokratische Republik', 'Congo (la República Democrática del)', ' RD del Congo', 'Congo, República Democrática do (antigo Zaire)'),
('CF', 'XAF', 'République centrafricaine', 'Central African Republic', 'Central African Republic', 'Zentralafrikanische Republik', 'República Centroafricana (la)', ' Rep. Centrafricana', 'Centro-Africana, República'),
('CG', 'XAF', 'Congo', 'Congo', 'Congo', 'Kongo, Republik', 'Congo (el)', ' Rep. del Congo', 'Congo, República do'),
('CH', 'CHF', 'Suisse', 'Switzerland', 'Switzerland', 'Schweiz (Confoederatio Helvetica)', 'Suiza', ' Svizzera', 'Suíça'),
('CI', 'XOF', 'Côte d\'Ivoire', 'Ivory Coast', 'Ivory Coast', 'Côte d’Ivoire (Elfenbeinküste)', 'Côte d\'Ivoire', ' Costa d\'Avorio', 'Costa do Marfim'),
('CK', 'NZD', 'Cook, Iles', 'Cook Islands', 'Cook Islands', 'Cookinseln', 'Cook, (las) Islas', ' Isole Cook', 'Cook, Ilhas'),
('CL', 'CLP', 'Chili', 'Chile', 'Chile', 'Chile', 'Chile', ' Cile', 'Chile'),
('CM', 'XAF', 'Cameroun', 'Cameroon', 'Cameroon', 'Kamerun', 'Camerún', ' Camerun', 'Camarões'),
('CN', 'CNY', 'Chine', 'China', 'China', 'China, Volksrepublik', 'China', ' Cina', 'China'),
('CO', 'COP', 'Colombie', 'Colombia', 'Colombia', 'Kolumbien', 'Colombia', ' Colombia', 'Colômbia'),
('CR', 'CRC', 'Costa Rica', 'Costa Rica', 'Costa Rica', 'Costa Rica', 'Costa Rica', ' Costa Rica', 'Costa Rica'),
('CU', 'CUP', 'Cuba', 'Cuba', 'Cuba', 'Kuba', 'Cuba', ' Cuba', 'Cuba'),
('CV', 'CVE', 'Cap-Vert', 'Cape Verde', 'Cape Verde', 'Kap Verde', 'Cabo Verde', ' Capo Verde', 'Cabo Verde'),
('CY', 'EUR', 'Chypre', 'Cyprus', 'Cyprus', 'Zypern', 'Chipre', ' Cipro', 'Chipre'),
('CZ', 'CZK', 'Tchèque, République', 'Czech Republic', 'Czech Republic', 'Tschechien', 'Chequia', ' Rep. Ceca', 'Checa, República'),
('DE', 'EUR', 'Allemagne', 'Germany', 'Germany', 'Deutschland', 'Alemania', ' Germania', 'Alemanha'),
('DJ', 'DJF', 'Djibouti', 'Djibouti', 'Djibouti', 'Dschibuti', 'Djibouti', ' Gibuti', 'Djibouti'),
('DK', 'DKK', 'Danemark', 'Denmark', 'Denmark', 'Dänemark', 'Dinamarca', ' Danimarca', 'Dinamarca'),
('DM', 'XCD', 'Dominique', 'Dominica', 'Dominica', 'Dominica', 'Dominica', ' Dominica', 'Dominica'),
('DO', 'DOP', 'Dominicaine, République', 'Dominican Republic', 'Dominican Republic', 'Dominikanische Republik', 'Dominicana, (la) República', ' Rep. Dominicana', 'Dominicana, República'),
('DZ', 'DZD', 'Algérie', 'Algeria', 'Algeria', 'Algerien', 'Argelia', ' Algeria', 'Argélia'),
('EC', 'USD', 'Equateur', 'Ecuador', 'Ecuador', 'Ecuador', 'Ecuador', ' Ecuador', 'Equador'),
('EE', 'EUR', 'Estonie', 'Estonia', 'Estonia', 'Estland', 'Estonia', ' Estonia', 'Estónia'),
('EG', 'EGP', 'Egypte', 'Egypt', 'Egypt', 'Ägypten', 'Egipto', ' Egitto', 'Egito'),
('ER', 'ERN', 'Erythrée', 'Eritrea', 'Eritrea', 'Eritrea', 'Eritrea', ' Eritrea', 'Eritreia'),
('ES', 'EUR', 'Espagne', 'Spain', 'Spain', 'Spanien', 'España', ' Spagna', 'Espanha'),
('ET', 'ETB', 'Ethiopie', 'Ethiopia', 'Ethiopia', 'Äthiopien', 'Etiopía', ' Etiopia', 'Etiópia'),
('FI', 'EUR', 'Finlande', 'Finland', 'Finland', 'Finnland', 'Finlandia', ' Finlandia', 'Finlândia'),
('FJ', 'FJD', 'Fidji', 'Fiji', 'Fiji', 'Fidschi', 'Fiji', ' Figi', 'Fiji'),
('FM', 'USD', 'Micronésie, Etats Fédérés de', 'Micronesia (Federated States of)', 'Micronesia (Federated States of)', 'Mikronesien', 'Micronesia (Estados Federados de)', ' Micronesia', 'Micronésia, Estados Federados da'),
('FR', 'EUR', 'France', 'France', 'France', 'Frankreich', 'Francia', ' Francia', 'França'),
('GA', 'XAF', 'Gabon', 'Gabon', 'Gabon', 'Gabun', 'Gabón', ' Gabon', 'Gabão'),
('GB', 'GBP', 'Royaume-Uni de Grande-Bretagne et d\'Irlande du Nord', 'United Kingdom of Great Britain and Northern Ireland', 'United Kingdom of Great Britain and Northern Ireland', 'Vereinigtes Königreich Großbritannien und Nordirland', 'Reino Unido de Gran Bretaña e Irlanda del Norte (el)', ' Regno Unito', 'Reino Unido da Grã-Bretanha e Irlanda do Norte'),
('GD', 'XCD', 'Grenade', 'Grenada', 'Grenada', 'Grenada', 'Granada', ' Grenada', 'Grenada'),
('GE', 'GEL', 'Géorgie', 'Georgia', 'Georgia', 'Georgien', 'Georgia', ' Georgia', 'Geórgia'),
('GH', 'GHS', 'Ghana', 'Ghana', 'Ghana', 'Ghana', 'Ghana', ' Ghana', 'Gana'),
('GI', 'GIP', 'Gibraltar', 'Gibraltar', 'Gibraltar', 'Gibraltar', 'Gibraltar', ' Gibilterra', 'Gibraltar'),
('GL', 'DKK', 'Groenland', 'Greenland', 'Greenland', 'Grönland', 'Groenlandia', ' Groenlandia', 'Groenlândia'),
('GM', 'GMD', 'Gambie', 'Gambia', 'Gambia', 'Gambia', 'Gambia (la)', ' Gambia', 'Gâmbia'),
('GN', 'GNF', 'Guinée', 'Guinea', 'Guinea', 'Guinea', 'Guinea', ' Guinea', 'Guiné-Conacri'),
('GQ', 'XAF', 'Guinée équatoriale', 'Equatorial Guinea', 'Equatorial Guinea', 'Äquatorialguinea', 'Guinea Ecuatorial', ' Guinea Equatoriale', 'Guiné Equatorial'),
('GR', 'EUR', 'Grèce', 'Greece', 'Greece', 'Griechenland', 'Grecia', ' Grecia', 'Grécia'),
('GT', 'GTQ', 'Guatemala', 'Guatemala', 'Guatemala', 'Guatemala', 'Guatemala', ' Guatemala', 'Guatemala'),
('GU', 'USD', 'Guam', 'Guam', 'Guam', 'Guam', 'Guam', ' Guam', 'Guam'),
('GW', 'XOF', 'Guinée-Bissau', 'Guinea-Bissau', 'Guinea-Bissau', 'Guinea-Bissau', 'Guinea Bissau', ' Guinea-Bissau', 'Guiné-Bissau'),
('GY', 'GYD', 'Guyana', 'Guyana', 'Guyana', 'Guyana', 'Guyana', ' Guyana', 'Guiana'),
('HK', 'HKD', 'Hong Kong', 'Hong Kong', 'Hong Kong', 'Hongkong', 'Hong Kong', ' Hong Kong', 'Hong Kong'),
('HN', 'HNL', 'Honduras', 'Honduras', 'Honduras', 'Honduras', 'Honduras', ' Honduras', 'Honduras'),
('HR', 'HRK', 'Croatie', 'Croatia', 'Croatia', 'Kroatien', 'Croacia', ' Croazia', 'Croácia'),
('HT', 'HTG', 'Haïti', 'Haiti', 'Haiti', 'Haiti', 'Haití', ' Haiti', 'Haiti'),
('HU', 'HUF', 'Hongrie', 'Hungary', 'Hungary', 'Ungarn', 'Hungría', ' Ungheria', 'Hungria'),
('ID', 'IDR', 'Indonésie', 'Indonesia', 'Indonesia', 'Indonesien', 'Indonesia', ' Indonesia', 'Indonésia'),
('IE', 'EUR', 'Irlande', 'Ireland', 'Ireland', 'Irland', 'Irlanda', ' Irlanda', 'Irlanda'),
('IL', 'ILS', 'Israël', 'Israel', 'Israel', 'Israel', 'Israel', ' Israele', 'Israel'),
('IN', 'INR', 'Inde', 'India', 'India', 'Indien', 'India', ' India', 'Índia'),
('IQ', 'IQD', 'Irak', 'Iraq', 'Iraq', 'Irak', 'Iraq', ' Iraq', 'Iraque'),
('IR', 'IRR', 'Iran, République islamique d\'', 'Iran (Islamic Republic of)', 'Iran (Islamic Republic of)', 'Iran, Islamische Republik', 'Irán (República Islámica de)', ' Iran', 'Irã'),
('IS', 'ISK', 'Islande', 'Iceland', 'Iceland', 'Island', 'Islandia', ' Islanda', 'Islândia'),
('IT', 'EUR', 'Italie', 'Italy', 'Italy', 'Italien', 'Italia', ' Italia', 'Itália'),
('JM', 'JMD', 'Jamaïque', 'Jamaica', 'Jamaica', 'Jamaika', 'Jamaica', ' Giamaica', 'Jamaica'),
('JO', 'JOD', 'Jordanie', 'Jordan', 'Jordan', 'Jordanien', 'Jordania', ' Giordania', 'Jordânia'),
('JP', 'JPY', 'Japon', 'Japan', 'Japan', 'Japan', 'Japón', ' Giappone', 'Japão'),
('KE', 'KES', 'Kenya', 'Kenya', 'Kenya', 'Kenia', 'Kenya', ' Kenya', 'Quênia'),
('KG', 'KGS', 'Kirghizistan', 'Kyrgyzstan', 'Kyrgyzstan', 'Kirgisistan', 'Kirguistán', ' Kirghizistan', 'Quirguistão'),
('KH', 'KHR', 'Cambodge', 'Cambodia', 'Cambodia', 'Kambodscha', 'Camboya', ' Cambogia', 'Cambodja'),
('KI', 'AUD', 'Kiribati', 'Kiribati', 'Kiribati', 'Kiribati', 'Kiribati', ' Kiribati', 'Kiribati'),
('KM', 'KMF', 'Comores', 'Comoros', 'Comoros', 'Komoren', 'Comoras (las)', ' Comore', 'Comores'),
('KN', 'XCD', 'Saint-Kitts-et-Nevis', 'Saint Kitts and Nevis', 'Saint Kitts and Nevis', 'St. Kitts und Nevis', 'Saint Kitts y Nevis', ' Saint Kitts e Nevis', 'São Cristóvão e Névis (Saint Kitts e Nevis)'),
('KP', 'KPW', 'Corée, République populaire démocratique de', 'Korea (Democratic People\'s Republic of)', 'Korea (Democratic People\'s Republic of)', 'Korea, Demokratische Volksrepublik', 'Corea (la República Popular Democrática de)', ' Corea del Nord', 'Coreia, República Democrática da (Coreia do Norte)'),
('KR', 'KRW', 'Corée, République de', 'Korea (Republic of)', 'Korea (Republic of)', 'Korea, Republik', 'Corea (la República de)', ' Corea del Sud', 'Coreia do Sul'),
('KW', 'KWD', 'Koweït', 'Kuwait', 'Kuwait', 'Kuwait', 'Kuwait', ' Kuwait', 'Kuwait'),
('KZ', 'KZT', 'Kazakhstan', 'Kazakhstan', 'Kazakhstan', 'Kasachstan', 'Kazajstán', ' Kazakistan', 'Cazaquistão'),
('LA', 'LAK', 'Lao, République démocratique populaire', 'Lao People\'s Democratic Republic', 'Lao People\'s Democratic Republic', 'Laos, Demokratische Volksrepublik', 'Lao, (la) República Democrática Popular', ' Laos', 'Laos'),
('LB', 'LBP', 'Liban', 'Lebanon', 'Lebanon', 'Libanon', 'Líbano', ' Libano', 'Líbano'),
('LC', 'XCD', 'Sainte-Lucie', 'Saint Lucia', 'Saint Lucia', 'St. Lucia', 'Santa Lucía', ' Saint Lucia', 'Santa Lúcia'),
('LI', 'CHF', 'Liechtenstein', 'Liechtenstein', 'Liechtenstein', 'Liechtenstein', 'Liechtenstein', ' Liechtenstein', 'Liechtenstein'),
('LK', 'LKR', 'Sri Lanka', 'Sri Lanka', 'Sri Lanka', 'Sri Lanka', 'Sri Lanka', ' Sri Lanka', 'Sri Lanka'),
('LR', 'LRD', 'Libéria', 'Liberia', 'Liberia', 'Liberia', 'Liberia', ' Liberia', 'Libéria'),
('LS', 'LSL', 'Lesotho', 'Lesotho', 'Lesotho', 'Lesotho', 'Lesotho', ' Lesotho', 'Lesoto'),
('LT', 'EUR', 'Lituanie', 'Lithuania', 'Lithuania', 'Litauen', 'Lituania', ' Lituania', 'Lituânia'),
('LU', 'EUR', 'Luxembourg', 'Luxembourg', 'Luxembourg', 'Luxemburg', 'Luxemburgo', ' Lussemburgo', 'Luxemburgo'),
('LV', 'EUR', 'Lettonie', 'Latvia', 'Latvia', 'Lettland', 'Letonia', ' Lettonia', 'Letônia'),
('LY', 'LYD', 'Libye', 'Libya', 'Libya', 'Libyen', 'Libia', ' Libia', 'Líbia'),
('MA', 'MAD', 'Maroc', 'Morocco', 'Morocco', 'Marokko', 'Marruecos', ' Marocco', 'Marrocos'),
('MC', 'EUR', 'Monaco', 'Monaco', 'Monaco', 'Monaco', 'Mónaco', ' Monaco', 'Mônaco'),
('MD', 'MDL', 'Moldovie, République de', 'Moldova (Republic of)', 'Moldova (Republic of)', 'Moldawien (Republik Moldau)', 'Moldova (la República de)', ' Moldavia', 'Moldávia'),
('ME', 'EUR', 'Monténégro', 'Montenegro', 'Montenegro', 'Montenegro', 'Montenegro', ' Montenegro', 'Montenegro'),
('MG', 'MGA', 'Madagascar', 'Madagascar', 'Madagascar', 'Madagaskar', 'Madagascar', ' Madagascar', 'Madagáscar'),
('MH', 'USD', 'Marshall, Iles', 'Marshall Islands', 'Marshall Islands', 'Marshallinseln', 'Marshall, (las) Islas', ' Isole Marshall', 'Marshall, Ilhas'),
('MK', 'MKD', 'Macédoine, l\'ex-République yougoslave de', 'Macedonia (the former Yugoslav Republic of)', 'Macedonia (the former Yugoslav Republic of)', 'Mazedonien', 'Macedonia (la ex República Yugoslava de)', ' Macedonia del Nord', 'Macedônia, República da'),
('ML', 'XOF', 'Mali', 'Mali', 'Mali', 'Mali', 'Malí', ' Mali', 'Mali'),
('MM', 'MMK', 'Myanmar', 'Myanmar', 'Myanmar', 'Myanmar (Burma)', 'Myanmar', ' Birmania', 'Myanmar (antiga Birmânia)'),
('MN', 'MNT', 'Mongolie', 'Mongolia', 'Mongolia', 'Mongolei', 'Mongolia', ' Mongolia', 'Mongólia'),
('MR', 'MRU', 'Mauritanie', 'Mauritania', 'Mauritania', 'Mauretanien', 'Mauritania', ' Mauritania', 'Mauritânia'),
('MT', 'EUR', 'Malte', 'Malta', 'Malta', 'Malta', 'Malta', ' Malta', 'Malta'),
('MU', 'MUR', 'Maurice', 'Mauritius', 'Mauritius', 'Mauritius', 'Mauricio', ' Mauritius', 'Maurícia'),
('MV', 'MVR', 'Maldives', 'Maldives', 'Maldives', 'Malediven', 'Maldivas', ' Maldive', 'Maldivas'),
('MW', 'MWK', 'Malawi', 'Malawi', 'Malawi', 'Malawi', 'Malawi', ' Malawi', 'Malawi'),
('MX', 'MXN', 'Mexique', 'Mexico', 'Mexico', 'Mexiko', 'México', ' Messico', 'México'),
('MY', 'MYR', 'Malaisie', 'Malaysia', 'Malaysia', 'Malaysia', 'Malasia', ' Malaysia', 'Malásia'),
('MZ', 'MZN', 'Mozambique', 'Mozambique', 'Mozambique', 'Mosambik', 'Mozambique', ' Mozambico', 'Moçambique'),
('NA', 'NAD', 'Namibie', 'Namibia', 'Namibia', 'Namibia', 'Namibia', ' Namibia', 'Namíbia'),
('NE', 'XOF', 'Niger', 'Niger', 'Niger', 'Niger', 'Níger (el)', ' Niger', 'Níger'),
('NG', 'NGN', 'Nigéria', 'Nigeria', 'Nigeria', 'Nigeria', 'Nigeria', ' Nigeria', 'Nigéria'),
('NI', 'NIO', 'Nicaragua', 'Nicaragua', 'Nicaragua', 'Nicaragua', 'Nicaragua', ' Nicaragua', 'Nicarágua'),
('NL', 'EUR', 'Pays-Bas', 'Netherlands', 'Netherlands', 'Niederlande', 'Países Bajos (los)', ' Paesi Bassi', 'Países Baixos (Holanda)'),
('NO', 'NOK', 'Norvège', 'Norway', 'Norway', 'Norwegen', 'Noruega', ' Norvegia', 'Noruega'),
('NP', 'NPR', 'Népal', 'Nepal', 'Nepal', 'Nepal', 'Nepal', ' Nepal', 'Nepal'),
('NR', 'AUD', 'Nauru', 'Nauru', 'Nauru', 'Nauru', 'Nauru', ' Nauru', 'Nauru'),
('NU', 'NZD', 'Niue', 'Niue', 'Niue', 'Niue', 'Niue', ' Niue', 'Niue'),
('NZ', 'NZD', 'Nouvelle-Zélande', 'New Zealand', 'New Zealand', 'Neuseeland', 'Nueva Zelandia', ' Nuova Zelanda', 'Nova Zelândia (Aotearoa)'),
('OM', 'OMR', 'Oman', 'Oman', 'Oman', 'Oman', 'Omán', ' Oman', 'Oman'),
('PA', 'PAB', 'Panama', 'Panama', 'Panama', 'Panama', 'Panamá', ' Panama', 'Panamá'),
('PE', 'PEN', 'Pérou', 'Peru', 'Peru', 'Peru', 'Perú', ' Perù', 'Peru'),
('PG', 'PGK', 'Papouasie-Nouvelle-Guinée', 'Papua New Guinea', 'Papua New Guinea', 'Papua-Neuguinea', 'Papua Nueva Guinea', ' Papua Nuova Guinea', 'Papua-Nova Guiné'),
('PH', 'PHP', 'Philippines', 'Philippines', 'Philippines', 'Philippinen', 'Filipinas (las)', ' Filippine', 'Filipinas'),
('PK', 'PKR', 'Pakistan', 'Pakistan', 'Pakistan', 'Pakistan', 'Pakistán', ' Pakistan', 'Paquistão'),
('PL', 'PLN', 'Pologne', 'Poland', 'Poland', 'Polen', 'Polonia', ' Polonia', 'Polônia'),
('PR', 'USD', 'Porto Rico', 'Puerto Rico', 'Puerto Rico', 'Puerto Rico', 'Puerto Rico', ' Porto Rico', 'Porto Rico'),
('PS', 'ILS', 'Palestine, Etat de', 'Palestine, State of', 'Palestine, State of', 'Staat Palästina', 'Palestina, Estado de', ' Palestina', 'Palestina'),
('PT', 'EUR', 'Portugal', 'Portugal', 'Portugal', 'Portugal', 'Portugal', ' Portogallo', 'Portugal'),
('PW', 'USD', 'Palaos', 'Palau', 'Palau', 'Palau', 'Palau', ' Palau', 'Palau'),
('PY', 'PYG', 'Paraguay', 'Paraguay', 'Paraguay', 'Paraguay', 'Paraguay', ' Paraguay', 'Paraguai'),
('QA', 'QAR', 'Qatar', 'Qatar', 'Qatar', 'Katar', 'Qatar', ' Qatar', 'Qatar'),
('RO', 'RON', 'Roumanie', 'Romania', 'Romania', 'Rumänien', 'Rumania', ' Romania', 'Romênia'),
('RS', 'RSD', 'Serbie', 'Serbia', 'Serbia', 'Serbien', 'Serbia', ' Serbia', 'Sérvia'),
('RU', 'RUB', 'Russie, Fédération de', 'Russian Federation', 'Russian Federation', 'Russische Föderation', 'Rusia, (la) Federación de', ' Russia', 'Rússia'),
('RW', 'RWF', 'Rwanda', 'Rwanda', 'Rwanda', 'Ruanda', 'Rwanda', ' Ruanda', 'Ruanda'),
('SA', 'SAR', 'Arabie Saoudite', 'Saudi Arabia', 'Saudi Arabia', 'Saudi-Arabien', 'Arabia Saudita', ' Arabia Saudita', 'Arábia Saudita'),
('SB', 'SBD', 'Salomon, Iles', 'Solomon Islands', 'Solomon Islands', 'Salomonen', 'Salomón, Islas', ' Isole Salomone', 'Salomão, Ilhas'),
('SC', 'SCR', 'Seychelles', 'Seychelles', 'Seychelles', 'Seychellen', 'Seychelles', ' Seychelles', 'Seychelles'),
('SD', 'SDG', 'Soudan', 'Sudan', 'Sudan', 'Sudan', 'Sudán (el)', ' Sudan', 'Sudão'),
('SE', 'SEK', 'Suède', 'Sweden', 'Sweden', 'Schweden', 'Suecia', ' Svezia', 'Suécia'),
('SG', 'SGD', 'Singapour', 'Singapore', 'Singapore', 'Singapur', 'Singapur', ' Singapore', 'Singapura'),
('SI', 'EUR', 'Slovénie', 'Slovenia', 'Slovenia', 'Slowenien', 'Eslovenia', ' Slovenia', 'Eslovénia'),
('SK', 'EUR', 'Slovaquie', 'Slovakia', 'Slovakia', 'Slowakei', 'Eslovaquia', ' Slovacchia', 'Eslováquia'),
('SL', 'SLL', 'Sierra Leone', 'Sierra Leone', 'Sierra Leone', 'Sierra Leone', 'Sierra leona', ' Sierra Leone', 'Serra Leoa'),
('SM', 'EUR', 'Saint-Marin', 'San Marino', 'San Marino', 'San Marino', 'San Marino', ' San Marino', 'San Marino'),
('SN', 'XOF', 'Sénégal', 'Senegal', 'Senegal', 'Senegal', 'Senegal', ' Senegal', 'Senegal'),
('SO', 'SOS', 'Somalie', 'Somalia', 'Somalia', 'Somalia', 'Somalia', ' Somalia', 'Somália'),
('SR', 'SRD', 'Suriname', 'Suriname', 'Suriname', 'Suriname', 'Suriname', ' Suriname', 'Suriname'),
('SS', 'SSP', 'Soudan du Sud', 'South Sudan', 'South Sudan', 'Südsudan', 'Sudán del Sur', ' Sudan del Sud', 'Sudão do Sul'),
('ST', 'STD', 'Sao Tomé-et-Principe', 'Sao Tome and Principe', 'Sao Tome and Principe', 'São Tomé und Príncipe', 'Santo Tomé y Príncipe', ' São Tomé e Príncipe', 'São Tomé e Príncipe'),
('SV', 'USD', 'El Salvador', 'El Salvador', 'El Salvador', 'El Salvador', 'El Salvador', ' El Salvador', 'El Salvador'),
('SY', 'SYP', 'République arabe syrienne', 'Syrian Arab Republic', 'Syrian Arab Republic', 'Syrien, Arabische Republik', 'República Árabe Siria', ' Siria', 'Síria'),
('SZ', 'SZL', 'Eswatini', 'Eswatini', 'Eswatini', 'Eswatini', 'Esuatini', ' Swaziland', 'Essuatíni'),
('TD', 'XAF', 'Tchad', 'Chad', 'Chad', 'Tschad', 'Chad', ' Ciad', 'Chade'),
('TG', 'XOF', 'Togo', 'Togo', 'Togo', 'Togo', 'Togo', ' Togo', 'Togo'),
('TH', 'THB', 'Thaïlande', 'Thailand', 'Thailand', 'Thailand', 'Tailandia', ' Thailandia', 'Tailândia'),
('TJ', 'TJS', 'Tadjikistan', 'Tajikistan', 'Tajikistan', 'Tadschikistan', 'Tayikistán', ' Tagikistan', 'Tajiquistão'),
('TL', 'USD', 'Timor-Leste', 'Timor-Leste', 'Timor-Leste', 'Timor-Leste', 'Timor-Leste', ' Timor Est', 'Timor-Leste'),
('TM', 'TMT', 'Turkménistan', 'Turkmenistan', 'Turkmenistan', 'Turkmenistan', 'Turkmenistán', ' Turkmenistan', 'Turquemenistão'),
('TN', 'TND', 'Tunisie', 'Tunisia', 'Tunisia', 'Tunesien', 'Túnez', ' Tunisia', 'Tunísia'),
('TO', 'TOP', 'Tonga', 'Tonga', 'Tonga', 'Tonga', 'Tonga', ' Tonga', 'Tonga'),
('TR', 'TRY', 'Turquie', 'Turkey', 'Turkey', 'Türkei', 'Turquía', ' Turchia', 'Turquia'),
('TT', 'TTD', 'Trinité-et-Tobago', 'Trinidad and Tobago', 'Trinidad and Tobago', 'Trinidad und Tobago', 'Trinidad y Tobago', ' Trinidad e Tobago', 'Trindade e Tobago'),
('TV', 'AUD', 'Tuvalu', 'Tuvalu', 'Tuvalu', 'Tuvalu', 'Tuvalu', ' Tuvalu', 'Tuvalu'),
('TW', 'TWD', 'Taïwan, Province de Chine', 'Taiwan, Province of China', 'Taiwan, Province of China', 'Taiwan (Republik China)', 'Taiwán (Provincia de China)', ' Taiwan', 'Taiwan'),
('TZ', 'TZS', 'Tanzanie, République unie de', 'Tanzania, United Republic of', 'Tanzania, United Republic of', 'Tansania, Vereinigte Republik', 'Tanzania, República Unida de', ' Tanzania', 'Tanzânia'),
('UA', 'UAH', 'Ukraine', 'Ukraine', 'Ukraine', 'Ukraine', 'Ucrania', ' Ucraina', 'Ucrânia'),
('UG', 'UGX', 'Ouganda', 'Uganda', 'Uganda', 'Uganda', 'Uganda', ' Uganda', 'Uganda'),
('US', 'USD', 'Etats-Unis d\'Amérique', 'United States of America', 'United States of America', 'Vereinigte Staaten von Amerika', 'Estados Unidos de América (los)', ' Stati Uniti', 'Estados Unidos'),
('UY', 'UYU', 'Uruguay', 'Uruguay', 'Uruguay', 'Uruguay', 'Uruguay', ' Uruguay', 'Uruguai'),
('UZ', 'UZS', 'Ouzbékistan', 'Uzbekistan', 'Uzbekistan', 'Usbekistan', 'Uzbekistán', ' Uzbekistan', 'Usbequistão'),
('VA', 'EUR', 'Saint-Siège', 'City Holy See', 'City Holy See', 'Vatikanstadt', 'Santa Sede (la)', ' Città del Vaticano', 'Vaticano'),
('VC', 'XCD', 'Saint-Vincent-et-les-Grenadines', 'Saint Vincent and the Grenadines', 'Saint Vincent and the Grenadines', 'St. Vincent und die Grenadinen', 'San Vicente y las Granadinas', ' Saint Vincent e Grenadine', 'São Vicente e Granadinas'),
('VE', 'VES', 'Venezuela (République bolivarienne du)', 'Venezuela (Bolivarian Republic of)', 'Venezuela (Bolivarian Republic of)', 'Venezuela', 'Venezuela (República Bolivariana de)', ' Venezuela', 'Venezuela'),
('VN', 'VND', 'Viet Nam', 'Viet Nam', 'Viet Nam', 'Vietnam', 'Viet Nam', ' Vietnam', 'Vietnam'),
('VU', 'VUV', 'Vanuatu', 'Vanuatu', 'Vanuatu', 'Vanuatu', 'Vanuatu', ' Vanuatu', 'Vanuatu'),
('WS', 'WST', 'Samoa', 'Samoa', 'Samoa', 'Samoa', 'Samoa', ' Samoa', 'Samoa (Samoa Ocidental)'),
('YE', 'YER', 'Yémen', 'Yemen', 'Yemen', 'Jemen', 'Yemen', ' Yemen', 'Iémen'),
('ZA', 'ZAR', 'Afrique du Sud', 'South Africa', 'South Africa', 'Südafrika', 'Sudáfrica', ' Sudafrica', 'África do Sul'),
('ZM', 'ZMW', 'Zambie', 'Zambia', 'Zambia', 'Sambia', 'Zambia', ' Zambia', 'Zâmbia'),
('ZW', 'ZWL', 'Zimbabwe', 'Zimbabwe', 'Zimbabwe', 'Simbabwe', 'Zimbabwe', ' Zimbabwe', 'Zimbabwe');
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
