<h2>Version 1.1</h2>
<p class="font12 lineheight24">The version 1.1 has two major objectives: <b>adding new fields</b> and <b>checking entered fields</b>. Two sub-modules are also added: <b>Equipment of my real estate</b> and <b>My CD library</b>.</p>
<p class="font12 lineheight24"><u><b>List of new features in version 1.1</b></u></p>
<ul class="font12 lineheight24">
	<li><b>General</b></li>
	<ul class="font12 lineheight24">
		<li><u>Selectbox</u> : Translation of the mentions when no value are selected or when a search is unsuccessful.</li>
		<li><u>Hypertext links and emails</u> : Links and emails can be opened in the detailed view.</li>
		<li><u>Checking fields</u></li>
		<ul class="font12 lineheight24">
			<li>Control of the format of phone / mobile / fax numbers, email addresses, hyperlinks and numbers.</li>
			<li>Alert message when all the fields are not correct.</li>
		</ul>
		<li><u>Tooltips</u> : Tooltip management with the Tooltipster plugin.</li>
	</ul>
	<li><b>Members of my family</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Title, XING, personnal and professional websites.</li>
	</ul>
	<li><b>My address book</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Title, XING, personnal and professional websites.</li>
	</ul>
	<li><b>My real estate</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Type of residence (primary, secondary, rented (unfurnished)), <i>Home loan</i> section, <i>Owner</i> section, <i>Tenant</i> section.</li>
		<li>The sub-module <i>My real estate</i> has been extracted from the module <i>My family</i> to have a new module with the new sub-module <i>Equipment of my real estate</i>.</li>
	</ul>
	<li><b>My bank accounts</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Social networks.</li>
		<li>Navigation between accounts and transactions has been simplified.</li>
		<li>The sub-module <i>My bank account</i> has been extracted from the module <i>My daily life</i> to have a new module <i>My money</i>.</li>
	</ul>
	<li><b>My calendar</b></li>
	<ul class="font12 lineheight24">
		<li><u>Meeting hours</u> : Control of the start time and the end time.</li>
		<li><u>Meeting tooltip</u> : The tooltip for a meeting has been corrected and completed.</li>
	</ul>
	<li><b>Activities of the members of my family</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Pinterest, XING, <i>Membership</i> section (license number, membership amount, frequency, start and end date).</li>
		<li><u>Activity hours</u> : Control of the start time and the end time.</li>
	</ul>
	<li><b>My recipes</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Cost, energy value.</li>
		<li><u>Number of persons, Preparation time, Cooking time</u> : Replacement of selectboxes with a number field.</li>
	</ul>
	<li><b>Shopping</b></li>
	<ul class="font12 lineheight24">
		<li><u>Shopping lists - New fields</u> : Shopping list state.</li>
		<li><u>Stores - New fields</u> : XING.</li>
		<li><u>Products - New fields</u> : <i>Nutritional values</i> section.</li>
	</ul>
	<li><b>My library</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Number of pages, maximum age.</li>
	</ul>
	<li><b>My playlists</b></li>
	<ul class="font12 lineheight24">
		<li><u>New fields</u> : Number of titles.</li>
		<li><u>Listen</u> : Addition of a play button in the table where playlists are recorded.</li>
		<li>Creation of an explanatory page to retrieve the URL of the playlists.</li>
	</ul>
	<li><b>Others</b></li>
	<ul class="font12 lineheight24">
		<li><u>Administration</u> : Improvement of the update manager to increase security during updates.</li>
		<li><u>Changelog</u> : Addition of a <i>Changelog</i> page with the new features of each version.</li>
		<li><u>Cookies</u> : Addition of browsers and links to configure cookies management.</li>
		<li>Minor bug fixes.</li>
	</ul>
</ul>
