<h2 class="textecentre"><b>Mea-familia</b> Public License (MFPL)</h3>
<p>This License governs use of the <b>Mea-familia</b> Software, and your use of the Software constitutes acceptance of this license. This license is based on the European Union Public Licence (the "EUPL") v1.2.</p>
<p>This license applies to the software <b>Mea-familia</b> the Software (as defined below as the Software) which is provided under the terms of this Licence. Any use of the Software, other than as authorised under this Licence is prohibited (to the extent such use is covered by a right of the copyright holder of the Software).</p>
<p>&nbsp;</p>
<h3>1. Definitions</h3>
<p>In this Licence, the following terms have the following meaning:</p>
<ul>
	<li>"The Licence": this Licence.</p>
	<li>"The Original Software": the software distributed or communicated by the Licensor under this Licence, available as Source Code.</p>
	<li>"Derivative Software": the software that could be created by the Licensee, based upon the Original Software or modifications thereof. This Licence does not define the extent of modification or dependence on the Original Software required in order to classify a software as a Derivative Software; this extent is determined by copyright law applicable in the country mentioned in Article 15.</p>
	<li>"The Software": the Original Software or its Derivative Softwares.</p>
	<li>"The Source Code": the human-readable form of the Software which is the most convenient for people to study and modify.</p>
	<li>"The Licensor": Mea-familia that distributes or communicates the Software under the Licence.</p>
	<li>"Contributor(s)": any natural or legal person who modifies the Software under the Licence, or otherwise contributes to the creation of a Derivative Software.</p>
	<li>"The Licensee" or "You": any natural or legal person who makes any usage of the Software under the terms of the Licence.</p>
	<li>"Distribution" or "Communication": any act of giving, lending, renting, distributing, communicating, transmitting, or otherwise making available, online or offline, copies of the Software or providing access to its essential functionalities at the disposal of any other natural or legal person.</p>
</ul>
<p>&nbsp;</p>

<h3>2. Scope of the rights granted by the Licence</h3>
<p>The Licensor hereby grants You a worldwide, royalty-free, non-exclusive, sublicensable licence to do the following, for the duration of copyright vested in the Original Software:</p>
<ul>
	<li>use the Software in any circumstance and for all usage,</li>
	<li>reproduce the Software,</li>
	<li>modify the Software, and make Derivative Softwares based upon the Software,</li>
	<li>communicate to the public, including the right to make available or display the Software or copies thereof to the public and perform publicly, as the case may be, the Software,</li>
	<li>distribute the Software or copies thereof,</li>
	<li>lend and rent the Software or copies thereof,</li>
	<li>sublicense rights in the Software or copies thereof.</li>
</ul>
<p>Those rights can be exercised on any media, supports and formats, whether now known or later invented, as far as the applicable law permits so.</p>
<p>In the countries where moral rights apply, the Licensor waives his right to exercise his moral right to the extent allowed by law in order to make effective the licence of the economic rights here above listed.</p>
<p>&nbsp;</p>

<h3>3. Communication of the Source Code</h3>
<p>Without limiting other conditions in the License, the grant of rights under the License will not include, and the License does not grant to you, the right to Sell the Software.</p>
<p>For purposes of the foregoing, "Sell" means practicing any or all of the rights granted to you under the License to provide to third parties, for a fee or other consideration (including without limitation fees for hosting or consulting/ support services related to the Software), a product or service whose value derives, entirely or substantially, from the functionality of the Software.</p>
<p>This clause is required in any license of Derivative Softwares.</p>
<p>&nbsp;</p>

<h3>4. Communication of the Source Code</h3>
<p>The Licensor may provide the Software either in its Source Code form.</p>
<p>&nbsp;</p>

<h3>5. Limitations on copyright</h3>
<p>Nothing in this Licence is intended to deprive the Licensee of the benefits from any exception or limitation to the exclusive rights of the rights owners in the Software, of the exhaustion of those rights or of other applicable limitations thereto.</p>
<p>&nbsp;</p>

<h3>6. Obligations of the Licensee</h3>
<p>The grant of the rights mentioned above is subject to some restrictions and obligations imposed on the Licensee. Those obligations are the following:</p>
<ul>
	<li><b>Attribution right</b>: The Licensee shall keep intact all copyright, patent or trademarks notices and all notices that refer to the Licence and to the disclaimer of warranties. The Licensee must include a copy of such notices and a copy of the Licence with every copy of the Software he/she distributes or communicates. The Licensee must cause any Derivative Software to carry prominent notices stating that the Software has been modified and the date of modification.</li>
	<li><b>Copyleft clause</b>: If the Licensee distributes or communicates copies of the Original Softwares or Derivative Softwares, this Distribution or Communication will be done under the terms of this Licence or of a later version of this Licence unless the Original Software is expressly distributed only under this version of the Licence — for example by communicating "MFPL only". The Licensee (becoming Licensor) cannot offer or impose any additional terms or conditions on the Software or Derivative Software that alter or restrict the terms of the Licence.</li>
	<li><b>Compatibility clause</b>: If the Licensee Distributes or Communicates Derivative Softwares or copies thereof based upon both the Software and another work licensed under a Compatible Licence, this Distribution or Communication can be done under the terms of this Compatible Licence.</li>
	<li><b>Provision of Source Code</b>: When distributing or communicating copies of the Software, the Licensee will provide a machine-readable copy of the Source Code or indicate a repository where this Source will be easily and freely available for as long as the Licensee continues to distribute or communicate the Software.</li>
	<li><b>Legal Protection</b>: This Licence does not grant permission to use the trade names, trademarks, service marks, or names of the Licensor, except as required for reasonable and customary use in describing the origin of the Software and reproducing the content of the copyright notice.</li>
</ul>
<p>&nbsp;</p>

<h3>7. Chain of Authorship</h3>
<p>The original Licensor warrants that the copyright in the Original Software granted hereunder is owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.</p>
<p>Each Contributor warrants that the copyright in the modifications he/she brings to the Software are owned by him/her or licensed to him/her and that he/she has the power and authority to grant the Licence.</p>
<p>Each time You accept the Licence, the original Licensor and subsequent Contributors grant You a licence to their contributions to the Software, under the terms of this Licence.</p>
<p>&nbsp;</p>

<h3>8. Disclaimer of Warranty</h3>
<p>The Software is a work in progress, which is continuously improved by numerous Contributors. It is not a finished work and may therefore contain defects or "bugs" inherent to this type of development.</p>
<p>For the above reason, the Software is provided under the Licence on an "as is" basis and without warranties of any kind concerning the Software, including without limitation merchantability, fitness for a particular purpose, absence of defects or errors, accuracy, non-infringement of intellectual property rights other than copyright as stated in Article 7 of this Licence.</p>
<p>This disclaimer of warranty is an essential part of the Licence and a condition for the grant of any rights to the Software.</p>
<p>&nbsp;</p>

<h3>9. Disclaimer of Liability</h3>
<p>Except in the cases of wilful misconduct or damages directly caused to natural persons, the Licensor will in no event be liable for any direct or indirect, material or moral, damages of any kind, arising out of the Licence or of the use of the Software, including without limitation, damages for loss of goodwill, work stoppage, computer failure or malfunction, loss of data or any commercial damage, even if the Licensor has been advised of the possibility of such damage. However, the Licensor will be liable under statutory product liability laws as far such laws apply to the Software.</p>
<p>&nbsp;</p>

<h3>10. Additional agreements</h3>
<p>While distributing the Software, You may choose to conclude an additional agreement, defining obligations or services consistent with this Licence. However, if accepting obligations, You may act only on your own behalf and on your sole responsibility, not on behalf of the original Licensor or any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against such Contributor by the fact You have accepted any warranty or additional liability.</p>
<p>&nbsp;</p>

<h3>11. Acceptance of the Licence</h3>
<p>The provisions of this Licence can be accepted by checking the box "I agree with the Mea-familia license and I agree to respect it." on the step 2 of the installation procedure, or by affirming consent in any other similar way, in accordance with the rules of applicable law. Checking this box indicates Your clear and irrevocable acceptance of this Licence and all of its terms and conditions.</p>
<p>Similarly, you irrevocably accept this Licence and all of its terms and conditions by exercising any rights granted to You by Article 2 of this Licence, such as the use of the Software, the creation by You of a Derivative Software or the Distribution or Communication by You of the Software or copies thereof.</p>
<p>&nbsp;</p>

<h3>12. Information to the public</h3>
<p>In case of any Distribution or Communication of the Software by means of electronic communication by You (for example, by offering to download the Software from a remote location) the distribution channel or media (for example, a website) must at least provide to the public the information requested by the applicable law regarding the Licensor, the Licence and the way it may be accessible, concluded, stored and reproduced by the Licensee.</p>
<p>&nbsp;</p>

<h3>13. Termination of the Licence</h3>
<p>The Licence and the rights granted hereunder will terminate automatically upon any breach by the Licensee of the terms of the Licence.</p>
<p>Such a termination will not terminate the Licences of any person who has received the Software from the Licensee under the Licence, provided such persons remain in full compliance with the Licence.</p>
<p>&nbsp;</p>

<h3>14. Miscellaneous</h3>
<p>Without prejudice of Article 10 above, the Licence represents the complete agreement between the Parties as to the Software.</p>
<p>If any provision of the Licence is invalid or unenforceable under applicable law, this will not affect the validity or enforceability of the Licence as a whole. Such provision will be construed or reformed so as necessary to make it valid and enforceable.</p>
<p><b>Mea-familia</b> may publish other linguistic versions or new versions of this Licence or updated versions of the Appendix, so far this is required and reasonable, without reducing the scope of the rights granted by the Licence. New versions of the Licence will be published with a unique version number.</p>
<p>All linguistic versions of this Licence, approved by <b>Mea-familia</b>, have identical value. Parties can take advantage of the linguistic version of their choice.</p>
<p>&nbsp;</p>

<h3>15. Jurisdiction</h3>
<p>Without prejudice to specific agreement between parties, any litigation resulting from the interpretation of this License, arising between <b>Mea-familia</b>, as a Licensor, and any Licensee, will be subject to the jurisdiction of the Court of Dunkerque, France.</p>
<p>&nbsp;</p>

<h3>16. Applicable Law</h3>
<p>Without prejudice to specific agreement between parties, this Licence shall be governed by the French law.</p>

<p>&nbsp;</p>
<p class="textedroite font11">Last update: April 11, 2020</p>
