<h2 class="textecentre">Licence publique de <b>Mea-familia</b> (MFPL - Mea-familia Public License)</h3>
<p>Cette licence dite MFPL (Mea-Familia Public License) régit l'utilisation du Logiciel <b>Mea-familia</b> et votre utilisation du Logiciel constitue l'acceptation de cette licence. Elle est basée sur la Licence Publique de l'Union Européenne (EUPL) v.1.2.</p>
<p>&nbsp;</p>
<p>La présente licence s'applique au logiciel <b>Mea-familia</b> (désigné ci-après par Logiciel) fourni aux conditions prévues par la présente Licence. Toute utilisation du Logiciel autre que ce qu'autorise la présente Licence est interdite (dans la mesure où pareille utilisation est couverte par un droit du titulaire des droits d'auteur sur le Logiciel).</p>
<p>&nbsp;</p>
<h3>1. Définitions</h3>
<p>Dans la présente Licence, on entend par:</p>
<ul>
	<li>« Licence », la présente licence,</li>
	<li>« Logiciel Original », le logiciel distribué ou communiqué par le Donneur de Licence en vertu de la présente Licence, sous forme de Code Source,</li>
	<li>« Logiciels Dérivés », les logiciels qui pourraient être créés par le Licencié sur la base du Logiciel Original ou des modifications qui y auraient été appliquées. La présente Licence ne définit pas le degré de modification ou de dépendance requis par rapport au Logiciel Original pour qu'un travail soit qualifié de Logiciel Dérivé ; cette question est réglée par la loi applicable en matière de droit d'auteur dans le pays visé à l'article 16,</li>
	<li>« Logiciel », le Logiciel Original ou ses Logiciels Dérivés,</li>
	<li>« Code Source », la forme du Logiciel, lisible par l'homme, la plus appropriée pour que des personnes puissent l'examiner et la modifier,</p>
	<li>« Donneur de Licence », Mea-familia qui distribue ou communique le Logiciel sous Licence,</li>
	<li>« Contributeur », toute personne physique ou morale qui modifie le Logiciel sous Licence, ou contribue de toute autre manière à en faire un Logiciel Dérivé,</li>
	<li>« Licencié » ou « Vous », toute personne physique ou morale qui utilise le Logiciel conformément à la Licence,</li>
	<li>« Distribution » ou « Communication », tout acte de don, prêt, location, distribution, communication, transmission ou mise à disposition, en ligne ou hors ligne, de copies du Logiciel, et tout acte donnant accès à ses fonctions essentielles à toute autre personne physique ou morale.</li>
</ul>
<p>&nbsp;</p>

<h3>2. Portée des droits accordés par la Licence</h3>
<p>Par la présente, le Donneur de Licence vous concède, pour la durée de la protection de son droit d'auteur sur le Logiciel Original, une Licence mondiale, libre de redevances, non exclusive et pouvant faire l'objet de sous-licences, en vertu de laquelle vous pouvez :</p>
<ul>
	<li>utiliser le Logiciel en toute circonstance et pour tout usage,</li>
	<li>reproduire le Logiciel,</li>
	<li>modifier le Logiciel et créer des Logiciels Dérivés sur la base du Logiciel,</li>
	<li>communiquer le Logiciel au public, ce qui inclut le droit de mettre à disposition du public ou de lui présenter le Logiciel ou des copies du Logiciel et d'en effectuer des représentations publiques, le cas échéant,</li>
	<li>distribuer le Logiciel ou des copies de celui-ci,</li>
	<li>prêter et louer le Logiciel ou des copies de celui-ci,</li>
	<li>accorder en sous-licence des droits sur le Logiciel ou sur des copies de celui-ci.</li>
</ul>
<p>Ces droits peuvent être exercés sur tout support et format, connu ou encore à inventer, dans la mesure où le droit applicable le permet.</p>
<p>Dans les pays où des droits moraux s'appliquent, le Donneur de Licence renonce à son droit d'exercer son droit moral dans la mesure permise par la loi afin que la Licence sur les droits patrimoniaux susmentionnés produise ses effets.</p>
<p>&nbsp;</p>

<h3>3. Vente du Logiciel</h3>
<p>Sans restreindre les autres conditions de la Licence, l’octroi de droits en vertu de la Licence n’inclura pas, et la Licence ne vous accorde pas, le droit de vendre le Logiciel.</p>
<p>Aux fins de ce qui précède, « Vendre » signifie exercer tout ou partie des droits qui vous sont accordés en vertu de la Licence pour fournir à des tiers, contre rémunération ou autre contrepartie (y compris, sans limitation, les frais d'hébergement ou de services de support/conseil liés au Logiciel), un produit ou un service dont la valeur dérive, entièrement ou substantiellement, de la fonctionnalité du Logiciel.</p>
<p>Cette clause doit être présente dans toute licence des Logiciels Dérivés.</p>
<p>&nbsp;</p>

<h3>4. Communication du Code Source</h3>
<p>Le Donneur de Licence fournit le Logiciel sous forme de Code Source.</p>
<p>&nbsp;</p>

<h3>5. Limitations du droit d'auteur</h3>
<p>Rien dans la présente Licence n'a pour but de priver le Licencié des avantages résultant de toute exception ou limitation aux droits exclusifs des titulaires de droits sur le Logiciel, de l'épuisement de ces droits ou de toute autre limitation qui s'y applique.</p>
<p>&nbsp;</p>

<h3>6. Obligations du Licencié</h3>
<p>La concession des droits susmentionnés est soumise à des restrictions et à des obligations pour le Licencié. Ces obligations sont les suivantes:</p>
<ul>
	<li><b>Droit d'attribution</b> : le Licencié laisse intactes toutes les déclarations concernant le droit d'auteur, le brevet ou les marques et toutes les déclarations concernant la Licence et l'exclusion de garantie. Le Licencié assortit chaque copie du Logiciel qu'il distribue ou communique d'une copie de ces déclarations et d'une copie de la Licence. Le Licencié veille à ce que tout Logiciel dérivé soit assorti d'un avis bien visible indiquant que le Logiciel a été modifié et mentionnant la date de la modification.</li>
	<li><b>Clause copyleft</b> : si le Licencié distribue ou communique des copies du Logiciel Original ou de Logiciels Dérivés, cette Distribution ou cette Communication est effectuée dans les conditions prévues par la présente Licence ou une version ultérieure de cette Licence, sauf si le Logiciel Original est expressément distribué en vertu de la présente version de la Licence uniquement, par exemple au moyen de la mention « MFPL seulement ». Le Licencié (qui devient Donneur de Licence) ne peut pas, en ce qui concerne le Logiciel ou les Logiciels Dérivés, offrir ou imposer des conditions supplémentaires qui restreignent ou modifient les conditions de la Licence.</li>
	<li><b>Clause de compatibilité</b> : si le Licencié distribue ou communique des Logiciels Dérivés ou des copies de tels Logiciels basés à la fois sur le Logiciel et sur un autre logiciel concédé sous une licence compatible, la Distribution ou la Communication peut être faite aux conditions de cette licence compatible.</li>
	<li><b>Fourniture du Code Source</b> : lorsqu'il distribue ou communique des copies du Logiciel, le Licencié fournit une copie lisible par machine du Code Source ou indique l'endroit où ce Code Source restera aisément et gratuitement accessible aussi longtemps que le Donneur de Licence continuera à distribuer ou communiquer le Logiciel.</li>
	<li><b>Protection des droits</b> : la présente Licence ne donne pas le droit d'utiliser les noms commerciaux, les marques commerciales, les marques de service ou les noms du Donneur de Licence, sauf dans la mesure nécessaire, conformément à une utilisation raisonnable et aux pratiques habituelles, pour décrire l'origine du Logiciel et reproduire la déclaration concernant le droit d'auteur.</li>
</ul>
<p>&nbsp;</p>

<h3>7. Chaîne d'auteurs</h3>
<p>Le Donneur de Licence initial garantit que les droits d'auteur sur le Logiciel original concédés par la présente Licence lui appartiennent ou lui ont été donnés sous licence, et qu'il a le pouvoir et la capacité de concéder la Licence.</p>
<p>Tout Contributeur garantit que les droits d'auteur sur les modifications qu'il apporte au Logiciel lui appartiennent ou lui ont été donnés sous Licence, et qu'il a le pouvoir et la capacité de concéder la Licence.</p>
<p>Chaque fois que vous acceptez la Licence, le Donneur de Licence initial et les Contributeurs successifs vous concèdent une Licence sur leurs contributions au Logiciel selon les conditions de la présente licence.</p>
<p>&nbsp;</p>

<h3>8. Exclusion de garantie</h3>
<p>Le Logiciel est un travail en cours, amélioré de manière continue par de nombreux contributeurs. Elle constitue un travail inachevé et peut dès lors contenir des défauts ou bogues inhérents à ce type de développement.</p>
<p>Pour cette raison, le Logiciel est fourni sous Licence tel quel, sans aucune garantie d'aucune sorte le concernant, y compris, sans que cette liste soit exhaustive, eu égard à sa qualité marchande, son aptitude à un usage particulier, l'absence de défauts ou d'erreurs, l'exactitude ou la non-violation de droits de propriété intellectuelle autres que le droit d'auteur comme prévu à l'article 7 de la présente Licence.</p>
<p>Cette exclusion de garantie est une partie essentielle de la Licence et une condition de la concession de droits sur le Logiciel.</p>
<p>&nbsp;</p>

<h3>9. Exclusion de responsabilité</h3>
<p>Sauf dans les cas de faute intentionnelle ou de dommages directement causés à des personnes physiques, le Donneur de Licence n'est en aucun cas responsable des dommages, quelle qu'en soit la nature, directs ou indirects, matériels ou moraux, résultant de la Licence ou de l'utilisation du Logiciel, y compris, sans que cette liste soit exhaustive, des dommages causés par les atteintes à la réputation, les interruptions de travail, les défaillances ou le mauvais fonctionnement de matériel informatique, les pertes de données ou tout autre dommage économique, même si le Donneur de Licence a été informé de la possibilité de tels dommages. Cependant, le Donneur de Licence est responsable en vertu des dispositions législatives et réglementaires relatives à la responsabilité du fait des produits, dans la mesure où celles-ci sont applicables au Logiciel.</p>
<p>&nbsp;</p>

<h3>10. Accords additionnels</h3>
<p>Lorsque Vous distribuez le Logiciel, Vous pouvez choisir de conclure un accord additionnel définissant des obligations ou des services compatibles avec la présente Licence. Cependant, si Vous acceptez des obligations, Vous ne pouvez agir qu'en Votre nom et sous Votre seule responsabilité, et non au nom du Donneur de Licence initial ou de tout autre Contributeur, et seulement si Vous acceptez d'indemniser, de défendre et de mettre hors de cause tous les Contributeurs s'ils encourent une responsabilité quelconque ou si des réclamations sont formulées à leur encontre du fait que Vous avez accepté des garanties ou des responsabilités additionnelles.</p>
<p>&nbsp;</p>

<h3>11. Acceptation de la Licence</h3>
<p>Vous pouvez exprimer votre accord sur le contenu de la présente Licence en cochant la case « Je suis d'accord avec la licence de Mea-familia et je m'engage à la respecter. » placée à l'étape 2 de la procédure d'installation du Logiciel, ou par toute autre manifestation de consentement similaire, conformément à la loi applicable. Le fait de cocher cette case indique Votre acceptation claire et irrévocable de la présente Licence et de toutes ses conditions.</p>
<p>De même, Vous acceptez irrévocablement la présente Licence et toutes ses conditions dès lors que vous exercez un des droits qui Vous sont concédés par l'article 2 de la présente Licence, tels que l'utilisation du Logiciel, la création d'un Logiciel dérivé ou la Distribution ou la Communication du Logiciel ou de copies du Logiciel.</p>
<p>&nbsp;</p>

<h3>12. Information du public</h3>
<p>En cas de Distribution ou de Communication électronique du Logiciel (par exemple en permettant son téléchargement à distance), le canal de distribution ou le support (par exemple un site web) doit au minimum fournir au public les informations requises par le droit applicable en ce qui concerne le Donneur de Licence et la Licence ainsi que la manière dont le Licencié peut accéder à celle-ci, la conclure, la stocker et la reproduire.</p>
<p>&nbsp;</p>

<h3>13. Fin de la licence</h3>
<p>La Licence et les droits qu'elle concède prennent automatiquement fin dès que le Licencié viole l'une de ses conditions.</p>
<p>Un tel événement ne met pas fin aux Licences des personnes ayant reçu le Logiciel sous Licence de la part du Licencié, pour autant que ces personnes respectent pleinement la Licence.</p>
<p>&nbsp;</p>

<h3>14. Divers</h3>
<p>Sous réserve de l'article 10, la licence représente l'entièreté de l'accord entre les parties quant au Logiciel.</p>
<p>Le fait qu'une clause quelconque de la Licence soit invalide ou inapplicable en vertu du droit applicable n'affecte pas la validité ou l'applicabilité de la Licence dans son ensemble. Une telle clause sera interprétée ou modifiée dans la mesure nécessaire pour la rendre valide ou applicable.</p>
<p><b>Mea-familia</b> peut publier d'autres versions linguistiques ou de nouvelles versions de la présente Licence ou des versions actualisées de son appendice, dans la mesure de ce qui est nécessaire et raisonnable, sans réduire la portée des droits accordés par la Licence. Les nouvelles versions de la Licence seront publiées avec un numéro de version unique.</p>
<p>Toutes les versions linguistiques de la présente Licence, approuvées par <b>Mea-familia</b>, ont la même valeur. Les parties peuvent se prévaloir de la version linguistique de leur choix.</p>
<p>&nbsp;</p>

<h3>15. Juridiction compétente</h3>
<p>Sans préjudice d'accords spécifiques entre les parties, tout litige résultant de l'interprétation de la présente Licence survenant entre <b>Mea-familia</b> en tant que Donneur de Licence et un Licencié relève de la juridiction du tribunal de Dunkerque, France.</li>
</ul>
<p>&nbsp;</p>

<h3>16. Droit applicable</h3>
<p>Sans préjudice d'accords spécifiques entre les parties, la présente Licence est régie par le droit français.</p>
<p>&nbsp;</p>

<p class="textedroite font11">Dernière version : 11 avril 2020</p>
