<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "livres/parametres.php";
	foreach ($tableau_livre AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	$tableau_valeur["genre"]="1";
	$tableau_valeur["statut"]="2";
	$tableau_valeur["tome"]="1";
	$tableau_valeur["age_min"]="18";
	$tableau_valeur["age_max"]="18";
	$tableau_valeur["note"]="10";
	
	if (isset($_GET['id']))
	{
		$req_livre=mysqli_query($link_bdd,"SELECT * FROM `livres` WHERE id='".$_GET['id']."'");
		$row_livre=mysqli_fetch_array($req_livre);
		foreach ($tableau_livre AS $cle => $value)
		{
			$tableau_valeur[$cle]=$row_livre[$cle];
		}
	}

	$liste_genre="";
	for ($i=0;$i<=29;$i++)
	{
		$liste_id_gen[$i]=$i;
		$liste_gen[$i]=Langue("LBL_LOISIRS_LIVRES_GENRE_".$i);
	}
	array_multisort($liste_gen,SORT_ASC,SORT_STRING,$liste_id_gen);
	for ($i=0;$i<count($liste_gen);$i++)
	{
		$liste_genre .='<option value="'.$liste_id_gen[$i].'">'.$liste_gen[$i].'</option>';
	}

	$liste_statut="";
	for ($i=0;$i<=4;$i++)
	{
		$liste_id_sta[$i]=$i;
		$liste_sta[$i]=Langue("LBL_LOISIRS_LIVRES_STATUT_".$i);
	}
	array_multisort($liste_sta,SORT_ASC,SORT_STRING,$liste_id_sta);
	for ($i=0;$i<count($liste_sta);$i++)
	{
		$liste_statut .='<option value="'.$liste_id_sta[$i].'">'.$liste_sta[$i].'</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_livre" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-book"></i> <?php echo Langue("LBL_LOISIRS_LIVRES_AJOUTER"); ?></p>
	<form id="form_livre" name="form_livre" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="livres">
	<input type="hidden" id="action" name="action" value="save_livre">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_livre" name="fichier_livre" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_LOISIRS_LIVRES_TITRE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" maxlength="100" type="text" class="textbox textbox2 padding10_tout font12" id="titre" name="titre" value="<?php echo $tableau_valeur['titre']; ?>"></td>
				<td width="50%" rowspan=6 class="verticalalignhaut">
<?php
					if (file_exists("./cache/livres/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/livres/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_LOISIRS_LIVRES_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_LOISIRS_LIVRES_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_SOUSTITRE"); ?><br /><input tabIndex="2" maxlength="100" type="text" class="textbox textbox2 padding10_tout font12" id="soustitre" name="soustitre" value="<?php echo $tableau_valeur['soustitre']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_SERIE"); ?><br /><input tabIndex="3" maxlength="100" type="text" class="textbox textbox2 padding10_tout font12" id="serie" name="serie" value="<?php echo $tableau_valeur['serie']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_NUMERO_TOME"); ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="tome" name="tome">
<?php 
				for ($i=1;$i<=100;$i++)
				{
					echo '<option value="'.$i.'">'.$i.'</option>';
				}
?>
				</select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_AUTEUR").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="5" maxlength="255" type="text" class="textbox textbox2 padding10_tout font12" id="auteur" name="auteur" value="<?php echo $tableau_valeur['auteur']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_ILLUSTRATEUR"); ?><br /><input tabIndex="6" type="text" maxlength="255" class="textbox textbox2 padding10_tout font12" id="illustrateur" name="illustrateur" value="<?php echo $tableau_valeur['illustrateur']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_EDITEUR"); ?><br /><input tabIndex="7" maxlength="100" type="text" class="textbox textbox2 padding10_tout font12" id="editeur" name="editeur" value="<?php echo $tableau_valeur['editeur']; ?>"></td>
			</tr>
			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_RESUME"); ?><br /><textarea tabIndex="8" class="textbox textbox7 padding10_tout font12 lineheight24 fontnormal" id="resume" name="resume" rows=10><?php echo $tableau_valeur['resume']; ?></textarea></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_GENRE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="9" class="textbox textbox2 padding10_tout font12" id="genre" name="genre"><?php echo $liste_genre; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_ISBN"); ?><br /><input tabIndex="12" type="text" class="textbox textbox2 padding10_tout font12" id="isbn" name="isbn" value="<?php echo $tableau_valeur['isbn']; ?>" maxlength="20"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_STATUT").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="10" class="textbox textbox2 padding10_tout font12" id="statut" name="statut"><?php echo $liste_statut; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_AGE_MINIMUM"); ?><br /><select tabIndex="13" class="textbox textbox2 padding10_tout font12" id="age_min" name="age_min">
<?php 
				for ($i=1;$i<=18;$i++)
				{
					echo '<option value="'.$i.'">'.$i.'</option>';
				}
?>
				</select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_NB_PAGES"); ?><br /><input type="text" tabIndex="11" class="textbox textbox2 padding10_tout font12" id="nb_pages" name="nb_pages" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['nb_pages'],0); ?>"></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_AGE_MAXIMUM"); ?><br /><select tabIndex="14" class="textbox textbox2 padding10_tout font12" id="age_max" name="age_max">
<?php 
				for ($i=1;$i<=18;$i++)
				{
					if ($i==18) {$j="18+";} else {$j=$i;}
					echo '<option value="'.$i.'">'.$j.'</option>';
				}
?>
				</select></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_LOISIRS_LIVRES_AVIS"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_haut padding20_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_AVIS"); ?><br /><textarea tabIndex="15" class="textbox textbox7 padding10_tout font12 lineheight24 fontnormal" id="avis" name="avis" rows=10><?php echo $tableau_valeur['avis']; ?></textarea></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_LOISIRS_LIVRES_NOTE"); ?><br /><select tabIndex="16" class="textbox textbox2 padding10_tout font12" id="note" name="note">
<?php 
				for ($i=1;$i<=20;$i++)
				{
					echo '<option value="'.$i.'">'.$i.'</option>';
				}
?>
				</select></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabIndex="17" class="textbox textbox7 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_livre" id="bouton_livre"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_livre" id="bouton_supprimer_livre">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_livre" id="bouton_annuler_livre"><?php echo Langue("BTN_LOISIRS_LIVRES_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-140;
	$(".textbox4").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox7").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#genre").val("<?php echo $tableau_valeur['genre']; ?>");
	$("#tome").val("<?php echo $tableau_valeur['tome']; ?>");
	$("#statut").val("<?php echo $tableau_valeur['statut']; ?>");
	$("#age_min").val("<?php echo $tableau_valeur['age_min']; ?>");
	$("#age_max").val("<?php echo $tableau_valeur['age_max']; ?>");
	$("#note").val("<?php echo $tableau_valeur['note']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#genre").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#tome").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#statut").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#age_min").chosen({width: largeur+"px",disable_search_threshold: 20,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#age_max").chosen({width: largeur+"px",disable_search_threshold: 20,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#note").chosen({width: largeur+"px",disable_search_threshold: 25,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_imprimer_livre").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_annuler_livre").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_livre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=livres&action=index";
	});
	
	$("#bouton_livre").click(function(event)
	{
		event.preventDefault();
		$("#form_livre").submit();
	});
	
	$("#bouton_supprimer_livre").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_livre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=livres&action=supprimer_livre&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_livre").click();
	});
	
	$("#fichier_livre").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#nb_pages").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#nb_pages"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_pages").addClass("form-erreur");} else {$("#nb_pages").removeClass("form-erreur");}});

	$("#form_livre").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#titre"))) {bValid=false;$("#titre").addClass("form-erreur");} else {$("#titre").removeClass("form-erreur");}
		if (!checkValue($("#auteur"))) {bValid=false;$("#auteur").addClass("form-erreur");} else {$("#auteur").removeClass("form-erreur");}
		if (!checkValue($("#genre"))) {bValid=false;$("#genre").addClass("form-erreur");} else {$("#genre").removeClass("form-erreur");}
		if (!checkValue($("#statut"))) {bValid=false;$("#statut").addClass("form-erreur");} else {$("#statut").removeClass("form-erreur");}
		if (parseInt($("#age_min").val(),10)>parseInt($("#age_max").val(),10)) {bValid=false;$("#age_min_chosen a").addClass("form-erreur");$("#age_max_chosen a").addClass("form-erreur");} else {$("#age_min_chosen a").removeClass("form-erreur");$("#age_max_chosen a").removeClass("form-erreur");}
		
		if (!checkRegexp_nonnulle($("#nb_pages"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_pages").addClass("form-erreur");} else {$("#nb_pages").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_livre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("livres","ajouter_livre&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
