<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_membre" title="<?php echo Langue("LBL_FAMILLE_MEMBRES_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-users"></i> <?php echo Langue("LBL_FAMILLE_MEMBRES_TITRE"); ?></p>
<?php
	unset($req_membre,$row_membre,$rows_membre);
	$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC, prenom ASC");
	if (mysqli_num_rows($req_membre)!="")
	{
		while ($row_membre=mysqli_fetch_array($req_membre))
		{
			$rows_membre[]=$row_membre;
		}
		echo '<table id="tableau_membre" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="30%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_NOM").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_DATE_NAISSANCE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_GENRE").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_DONNEES_PERSONNELLES").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_DONNEES_PROFESSIONNELLES").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_membre);$i++)
		{
			echo '<tr id="table_membre'.$rows_membre[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['nom']).' '.Decryptage($rows_membre[$i]['prenom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Date_Convertir(Decryptage($rows_membre[$i]['date_naissance']),"Y-m-d",Parametre_Util('format_date')).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_GENRE".Decryptage($rows_membre[$i]['genre'])).'</p></td>
					<td class="textegauche verticalalignhaut">';
			if (Decryptage($rows_membre[$i]['rue_personnel'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['rue_personnel']).'</p>';}
			if (Decryptage($rows_membre[$i]['complement_personnel'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['complement_personnel']).'</p>';}
			if (Decryptage($rows_membre[$i]['codepostal_personnel'])!="" || Decryptage($rows_membre[$i]['ville_personnel'])!="")
			{
				echo '<p class="font12 lineheight24">';
				if (Decryptage($rows_membre[$i]['codepostal_personnel'])!="") {echo Decryptage($rows_membre[$i]['codepostal_personnel']).' ';}
				if (Decryptage($rows_membre[$i]['ville_personnel'])!="") {echo Decryptage($rows_membre[$i]['ville_personnel']);}
				echo '</p>';
			}
			if (Decryptage($rows_membre[$i]['telephone_personnel'])!="" || Decryptage($rows_membre[$i]['telephone2_personnel'])!="" || Decryptage($rows_membre[$i]['mobile_personnel'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-phone-alt font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_membre[$i]['telephone_personnel'])!="") {$msg .=Decryptage($rows_membre[$i]['telephone_personnel']);}
				if (Decryptage($rows_membre[$i]['telephone2_personnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['telephone2_personnel']);}
				if (Decryptage($rows_membre[$i]['mobile_personnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['mobile_personnel']);}
				echo $msg.'</p>';
			}
			if (Decryptage($rows_membre[$i]['email_personnel'])!="" || Decryptage($rows_membre[$i]['email2_personnel'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-at font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_membre[$i]['email_personnel'])!="") {$msg .=Decryptage($rows_membre[$i]['email_personnel']);}
				if (Decryptage($rows_membre[$i]['email2_personnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['email2_personnel']);}
				echo $msg.'</p>';
			}
			echo '	</td>
					<td class="textegauche verticalalignhaut">';
			if (Decryptage($rows_membre[$i]['societe_professionnel'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['societe_professionnel']).'</p>';}
			if (Decryptage($rows_membre[$i]['rue_professionnel'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['rue_professionnel']).'</p>';}
			if (Decryptage($rows_membre[$i]['complement_professionnel'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_membre[$i]['complement_professionnel']).'</p>';}
			if (Decryptage($rows_membre[$i]['codepostal_professionnel'])!="" || Decryptage($rows_membre[$i]['ville_professionnel'])!="")
			{
				echo '<p class="font12 lineheight24">';
				if (Decryptage($rows_membre[$i]['codepostal_professionnel'])!="") {echo Decryptage($rows_membre[$i]['codepostal_professionnel']).' ';}
				if (Decryptage($rows_membre[$i]['ville_professionnel'])!="") {echo Decryptage($rows_membre[$i]['ville_professionnel']);}
				echo '</p>';
			}
			if (Decryptage($rows_membre[$i]['telephone_professionnel'])!="" || Decryptage($rows_membre[$i]['telephone2_professionnel'])!="" || Decryptage($rows_membre[$i]['mobile_professionnel'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-phone-alt font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_membre[$i]['telephone_professionnel'])!="") {$msg .=Decryptage($rows_membre[$i]['telephone_professionnel']);}
				if (Decryptage($rows_membre[$i]['telephone2_professionnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['telephone2_professionnel']);}
				if (Decryptage($rows_membre[$i]['mobile_professionnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['mobile_professionnel']);}
				echo $msg.'</p>';
			}
			if (Decryptage($rows_membre[$i]['email_professionnel'])!="" || Decryptage($rows_membre[$i]['email2_professionnel'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-at font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_membre[$i]['email_professionnel'])!="") {$msg .=Decryptage($rows_membre[$i]['email_professionnel']);}
				if (Decryptage($rows_membre[$i]['email2_professionnel'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_membre[$i]['email2_professionnel']);}
				echo $msg.'</p>';
			}
			echo '	</td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_membre'.$rows_membre[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("membres_famille","ajouter_membre&id='.$rows_membre[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_FAMILLE_MEMBRES_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_membre").click(function(event) {event.preventDefault();Message(1);Action_Page("membres_famille","ajouter_membre");});

	$("#tableau_membre").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 20,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
