<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "membres_famille/parametres.php";
	
	if ($_POST['id']=="")
	{
		$id=Construit_Id("membres_famille",10);
		$req=mysqli_query($link_bdd,"INSERT INTO `membres_famille` (id,id_util) VALUES ('".$id."','".$_SESSION['id_util']."')");
	}
	else {$id=$_POST['id'];}
	
	foreach ($tableau_membre AS $cle => $value)
	{
		if ($cle!="id" && $cle!="vaccins" && $cle!="traitement_medical")
		{
			if (isset($_POST[$cle]))
			{
				$_POST[$cle]=nl2br2($_POST[$cle]);
				if (get_magic_quotes_gpc()) { $_POST[$cle]=stripslashes($_POST[$cle]); }
				$_POST[$cle]=mysqli_real_escape_string($link_bdd,$_POST[$cle]);
				if ($cle=="date_naissance") {$_POST[$cle]=Date_Convertir($_POST[$cle],Parametre_Util('format_date'),"Y-m-d");}
				$req=mysqli_query($link_bdd,"UPDATE `membres_famille` SET `".$cle."`='".Encryptage($_POST[$cle])."' WHERE id='".$id."'");
			}
		}
	}
	
	$dates_vaccin=$_POST['date_vaccin'];
	$dates_limite=$_POST['date_limite'];
	$vaccins=$_POST['vaccin'];
	$rappels=$_POST['rappel'];
	$vaccination="";
	for ($i=0;$i<count($vaccins);$i++)
	{
		if ($dates_vaccin[$i]!="" && $vaccins[$i]!="") 
		{
			if (get_magic_quotes_gpc()) { $vaccins[$i]=stripslashes($vaccins[$i]); }
			$vaccins[$i]=mysqli_real_escape_string($link_bdd,$vaccins[$i]);
			$vaccination .=Date_Convertir($dates_vaccin[$i],Parametre_Util('format_date'),"Y-m-d").'~'.$vaccins[$i].'~'.Date_Convertir($dates_limite[$i],Parametre_Util('format_date'),"Y-m-d").'~'.$rappels[$i].'|';
		}
	}
	$vaccination=substr($vaccination,0,-1);
	$req=mysqli_query($link_bdd,"UPDATE `membres_famille` SET `vaccins`='".Encryptage($vaccination)."' WHERE id='".$id."'");

	$medicament=$_POST['medicament'];
	$matin=$_POST['matin'];
	$midi=$_POST['midi'];
	$soir=$_POST['soir'];
	$coucher=$_POST['coucher'];
	$autre=$_POST['autre'];
	$traitement="";
	for ($i=0;$i<count($medicament);$i++)
	{
		if ($medicament[$i]!="") 
		{
			if (get_magic_quotes_gpc()) { $medicament[$i]=stripslashes($medicament[$i]); }
			$medicament[$i]=mysqli_real_escape_string($link_bdd,$medicament[$i]);
			if (get_magic_quotes_gpc()) { $autre[$i]=stripslashes($autre[$i]); }
			$autre[$i]=mysqli_real_escape_string($link_bdd,$autre[$i]);
			$traitement .=$medicament[$i].'~'.$matin[$i].'~'.$midi[$i].'~'.$soir[$i].'~'.$coucher[$i].'~'.$autre[$i].'|';
		}
	}
	$traitement=substr($traitement,0,-1);
	$req=mysqli_query($link_bdd,"UPDATE `membres_famille` SET `traitement_medical`='".Encryptage($traitement)."' WHERE id='".$id."'");

	if ($_FILES['fichier_membre']['tmp_name']!="")
	{
		$src = 'tmp/membre_'.$id.'.jpg';
		$name_file = $_FILES['fichier_membre']['name'];
		$tmp_file = $_FILES['fichier_membre']['tmp_name'];
		move_uploaded_file($tmp_file, $src);

		$im = imagecreatefromjpeg($src);
		$ini_x_size = getimagesize($src)[0];
		$ini_y_size = getimagesize($src)[1];
		if ($ini_x_size>$ini_y_size)
		{
			$new_x = 300;
			$new_y = $new_x * $ini_y_size / $ini_x_size;
		}
		else
		{
			$new_y = 300;
			$new_x = $new_y * $ini_x_size / $ini_y_size;
		}
		$dst_r = imagescale($im, $new_x, $new_y);
		imagejpeg($dst_r, 'cache/membres/img_'.$id.'.jpg', 80);
		unlink($src);
	}

	echo $id;
?>