<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "operations_bancaires/parametres.php";
	foreach ($tableau_operation AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur["categorie"]="6";
	$tableau_valeur['mode_paiement']="CARTE_BLEUE";
	$tableau_valeur["date_operation"]=date("Y-m-d");
	$tableau_valeur["rapproche"]="0";
	$debit="";
	$credit="";
	
	if (isset($_GET['id']))
	{
		$req_operation=mysqli_query($link_bdd,"SELECT * FROM `operations_bancaires` WHERE id='".$_GET['id']."'");
		$row_operation=mysqli_fetch_array($req_operation);
		foreach ($tableau_operation AS $cle => $value)
		{
			if ($cle=="date_operation" || $cle=="mode_paiement" || $cle=="numero_cheque" || $cle=="tiers" || $cle=="commentaire") 
			{
				$tableau_valeur[$cle]=Decryptage($row_operation[$cle]);
			}
			else
			{
				$tableau_valeur[$cle]=$row_operation[$cle];
			}
		}
		if ($tableau_valeur['montant']>=0) {$debit="";$credit=$tableau_valeur['montant'];} else {$credit="";$debit=-1*$tableau_valeur['montant'];}
		$tableau_valeur['montant']=Convertir_Nombre_Ecran($tableau_valeur['montant'],2);
		$debit=Convertir_Nombre_Ecran($debit,2);
		$credit=Convertir_Nombre_Ecran($credit,2);
	}
	
	$liste_categories="";
	for ($i=0;$i<=33;$i++)
	{
		$liste_id[$i]=$i;
		$liste[$i]=Langue("LBL_FINANCES_COMPTES_OPERATIONS_CATEGORIES".$i);
	}
	array_multisort($liste,SORT_ASC,SORT_STRING,$liste_id);
	for ($i=0;$i<count($liste);$i++)
	{
		$liste_categories .='<option value="'.$liste_id[$i].'">'.$liste[$i].'</option>';
	}
	
	$req_compte=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id='".$_GET['id_compte']."'");
	$row_compte=mysqli_fetch_array($req_compte);
	
	$disabled="";
	if ($tableau_valeur['rapproche']=="1") {$disabled="disabled";}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_operation" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-money-bill-wave"></i> <?php echo str_replace("%compte",'<i>'.Decryptage($row_compte['nom']).'</i>',Langue("LBL_FINANCES_COMPTES_OPERATIONS_AJOUTER2")); ?></p>
	<form id="form_operation" name="form_operation" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="operations_bancaires">
	<input type="hidden" id="action" name="action" value="save_operation">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="hidden" id="id_compte" name="id_compte" value="<?php echo $_GET['id_compte']; ?>">
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" colspan=2 class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_DATE_OPERATION").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input <?php echo $disabled; ?> tabIndex="1" type="text" class="textbox padding10_tout font12" id="date_operation" name="date_operation" value="<?php echo Date_Convertir($tableau_valeur['date_operation'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_TIERS").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input <?php echo $disabled; ?> tabIndex="2" type="text" class="textbox textbox2 padding10_tout font12" id="tiers" name="tiers" value="<?php echo $tableau_valeur['tiers']; ?>" maxlength="100"></td>
			</tr>
			<tr>
				<td width="50%" colspan=2 class="fontnormal padding20_bas"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select <?php echo $disabled; ?> tabIndex="3" class="textbox textbox2 padding10_tout font12" id="mode_paiement" name="mode_paiement">
						<option value="CHEQUE" <?php if ($tableau_valeur['mode_paiement']=="CHEQUE") {echo 'SELECTED';} ?>><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT_CHEQUE"); ?></option>
						<option value="CARTE_BLEUE" <?php if ($tableau_valeur['mode_paiement']=="CARTE_BLEUE") {echo 'SELECTED';} ?>><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT_CARTE_BLEUE"); ?></option>
						<option value="VIREMENT" <?php if ($tableau_valeur['mode_paiement']=="VIREMENT") {echo 'SELECTED';} ?>><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT_VIREMENT"); ?></option>
						<option value="PRELEVEMENT" <?php if ($tableau_valeur['mode_paiement']=="PRELEVEMENT") {echo 'SELECTED';} ?>><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT_PRELEVEMENT"); ?></option>
					</select>
				</td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_NUMERO_CHEQUE"); ?><br /><input <?php echo $disabled; ?> tabIndex="4" type="text" class="textbox textbox2 padding10_tout font12" id="numero_cheque" name="numero_cheque" value="<?php echo $tableau_valeur['numero_cheque']; ?>"></td>
			</tr>
			<tr>
				<td width="25%" class="fontnormal padding20_bas nowrap"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_DEBIT"); ?><br /><input <?php echo $disabled; ?> tabIndex="5" type="text" class="textbox textbox4 padding10_tout font12" id="debit" name="debit" value="<?php echo $debit; ?>"> <?php echo Decryptage($row_compte['monnaie']); ?></td>
				<td width="25%" class="fontnormal padding20_bas nowrap"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_CREDIT"); ?><br /><input <?php echo $disabled; ?> tabIndex="6" type="text" class="textbox textbox4 padding10_tout font12" id="credit" name="credit" value="<?php echo $credit; ?>"> <?php echo Decryptage($row_compte['monnaie']); ?></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CATEGORIE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select <?php echo $disabled; ?> tabIndex="2" class="textbox textbox2 padding10_tout font12" id="categorie" name="categorie"><?php echo $liste_categories; ?></select></td>
			</tr>
			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_bas"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><input <?php echo $disabled; ?> tabIndex="7" type="text" class="textbox textbox2 padding10_tout font12" id="commentaire" name="commentaire" value="<?php echo $tableau_valeur['commentaire']; ?>" maxlength="100"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_RAPPROCHE"); ?><br /><select <?php echo $disabled; ?> tabIndex="8" class="textbox textbox2 padding10_tout font12" id="rapproche" name="rapproche">
						<option value="0" <?php if ($tableau_valeur['rapproche']=="0") {echo 'SELECTED';} ?>><?php echo Langue("LBL_NON"); ?></option>
						<option value="1" <?php if ($tableau_valeur['rapproche']=="1") {echo 'SELECTED';} ?>><?php echo Langue("LBL_OUI"); ?></option>
					</select> <font class="fontrouge"><?php echo Langue("MSG_FINANCES_COMPTES_OPERATIONS_RAPPROCHE"); ?></font>
				</td>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas <?php if ($disabled=="disabled") {echo "bloc_cache";} ?>"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_operation" id="bouton_operation"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="" && $tableau_valeur['rapproche']!="1") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_operation" id="bouton_supprimer_operation">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_operation" id="bouton_annuler_operation"><?php echo Langue("BTN_FINANCES_COMPTES_OPERATIONS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	$(".textbox4").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#rapproche").val("<?php echo $tableau_valeur['rapproche']; ?>");
	$("#categorie").val("<?php echo $tableau_valeur['categorie']; ?>");
	$("#mode_paiement").val("<?php echo $tableau_valeur['mode_paiement']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#categorie").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#mode_paiement").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#rapproche").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#date_operation").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_operation").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_operation").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=operations_bancaires&action=index&id_compte=<?php echo $_GET['id_compte']; ?>";
	});
	
	$("#bouton_supprimer_operation").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_operation").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=operations_bancaires&action=supprimer_operation&id=<?php echo $tableau_valeur['id']; ?>&id_compte=<?php echo $_GET['id_compte']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_operation").click(function(event)
	{
		event.preventDefault();
		$("#form_operation").submit();
	});
	
	$("#bouton_imprimer_operation").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#debit").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#debit"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#debit").addClass("form-erreur");} else {$("#debit").removeClass("form-erreur");}});
	$("#credit").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#credit"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#credit").addClass("form-erreur");} else {$("#credit").removeClass("form-erreur");}});

	$("#form_operation").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#date_operation"))) {bValid=false;$("#date_operation").addClass("form-erreur");} else {$("#date_operation").removeClass("form-erreur");}
		if (!checkValue($("#tiers"))) {bValid=false;$("#tiers").addClass("form-erreur");} else {$("#tiers").removeClass("form-erreur");}
		if (!checkValue($("#debit")) && !checkValue($("#credit"))) {bValid=false;$("#debit").addClass("form-erreur");$("#credit").addClass("form-erreur");} else {$("#debit").removeClass("form-erreur");$("#credit").removeClass("form-erreur");}
		if (checkValue($("#debit")) && checkValue($("#credit"))) {bValid=false;$("#debit").addClass("form-erreur");$("#credit").addClass("form-erreur");} else {$("#debit").removeClass("form-erreur");$("#credit").removeClass("form-erreur");}
		
		if (!checkRegexp_nonnulle($("#debit"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#debit").addClass("form-erreur");} else {$("#debit").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#credit"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#credit").addClass("form-erreur");} else {$("#credit").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_operation").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("operations_bancaires","ajouter_operation&id_compte=<?php echo $_GET['id_compte']; ?>&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
