<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "operations_bancaires/parametres.php";
	
	if ($_POST['id']=="")
	{
		$id=Construit_Id("operations_bancaires",15);
		$req=mysqli_query($link_bdd,"INSERT INTO `operations_bancaires` (id,id_util,id_compte) VALUES ('".$id."','".$_SESSION['id_util']."','".$_POST['id_compte']."')");
	}
	else {$id=$_POST['id'];}
	
	foreach ($tableau_operation AS $cle => $value)
	{
		if ($cle!="id" && $cle!="id_compte" && $cle!="montant")
		{
			if (isset($_POST[$cle]))
			{
				if (get_magic_quotes_gpc()) { $_POST[$cle]=stripslashes($_POST[$cle]); }
				$_POST[$cle]=mysqli_real_escape_string($link_bdd,$_POST[$cle]);
				if ($cle=="date_operation") {$_POST[$cle]=Date_Convertir($_POST[$cle],Parametre_Util('format_date'),"Y-m-d");}
				if ($cle=="date_operation" || $cle=="mode_paiement" || $cle=="numero_cheque" || $cle=="tiers" || $cle=="commentaire") {$_POST[$cle]=Encryptage($_POST[$cle]);}
				$req=mysqli_query($link_bdd,"UPDATE `operations_bancaires` SET `".$cle."`='".$_POST[$cle]."' WHERE id='".$id."'");
			}
		}
	}
	
	if ($_POST['debit']!="")
	{
		switch (Parametre_Util("format_nombre"))
		{
			case "1":$debit=str_replace(" ","",str_replace(",",".",$_POST['debit'])); break;
			case "2":$debit=str_replace(".","",str_replace(",",".",$_POST['debit'])); break;
			case "3":$debit=str_replace(",","",str_replace(".",".",$_POST['debit'])); break;
			case "4":$debit=str_replace("'","",str_replace(",",".",$_POST['debit'])); break;
			case "5":$debit=str_replace("'","",str_replace(".",".",$_POST['debit'])); break;
			case "6":$debit=str_replace(" ","",str_replace(".",".",$_POST['debit'])); break;
			case "7":$debit=str_replace(" ","",str_replace(",",".",$_POST['debit'])); break;
			case "8":$debit=$_POST['debit']; break;
		}
		$req=mysqli_query($link_bdd,"UPDATE `operations_bancaires` SET `montant`='-".$debit."' WHERE id='".$id."'");
		if ($_POST['rapproche']=="1")
		{
			$req_compte=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id='".$_POST['id_compte']."'");
			$row_compte=mysqli_fetch_array($req_compte);
			$solde=Decryptage($row_compte['solde'])-$debit;
			$req_compte=mysqli_query($link_bdd,"UPDATE `comptes_bancaires` SET solde='".Encryptage($solde)."' WHERE id='".$_POST['id_compte']."'");
		}
	}
	else
	{
		switch (Parametre_Util("format_nombre"))
		{
			case "1":$credit=str_replace(" ","",str_replace(",",".",$_POST['credit'])); break;
			case "2":$credit=str_replace(".","",str_replace(",",".",$_POST['credit'])); break;
			case "3":$credit=str_replace(",","",str_replace(".",".",$_POST['credit'])); break;
			case "4":$credit=str_replace("'","",str_replace(",",".",$_POST['credit'])); break;
			case "5":$credit=str_replace("'","",str_replace(".",".",$_POST['credit'])); break;
			case "6":$credit=str_replace(" ","",str_replace(".",".",$_POST['credit'])); break;
			case "7":$credit=str_replace(" ","",str_replace(",",".",$_POST['credit'])); break;
			case "8":$credit=$_POST['credit']; break;
		}
		$req=mysqli_query($link_bdd,"UPDATE `operations_bancaires` SET `montant`='".$credit."' WHERE id='".$id."'");
		if ($_POST['rapproche']=="1")
		{
			$req_compte=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id='".$_POST['id_compte']."'");
			$row_compte=mysqli_fetch_array($req_compte);
			$solde=Decryptage($row_compte['solde'])+$credit;
			$req_compte=mysqli_query($link_bdd,"UPDATE `comptes_bancaires` SET solde='".Encryptage($solde)."' WHERE id='".$_POST['id_compte']."'");
		}
	}
	
	echo $id;
?>