<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	$id_bien_immo="";
	if (isset($_GET['id_bien_immo'])) 
	{
		$id_bien_immo=$_GET['id_bien_immo'];
	}
	else
	{
		$req_bien_immo=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
		if (mysqli_num_rows($req_bien_immo)!="")
		{
			$row_bien_immo=mysqli_fetch_array($req_bien_immo);
			$id_bien_immo=$row_bien_immo['id'];
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="ajouter_tache" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_CORVEES_AJOUTER"); ?>" class="tooltip font24 fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><span id="bouton_imprimer_corvees" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-table"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_CORVEES_TITRE"); ?></p>
	<div id="div_form_corvee" class="bloc_cache backgroundgris contour_form_menu padding5_tout margin10_bas margin5_haut">
	<form id="form_corvee" name="form_corvee" action="index2.php" method="POST">
		<input type="hidden" id="module" name="module" value="organisation_maison">
		<input type="hidden" id="action" name="action" value="save_corvee">
		<input type="hidden" id="id" name="id" value="">
		<input type="hidden" id="id_bien_immo" name="id_bien_immo" value="<?php echo $id_bien_immo; ?>">
		<p class="textegauche padding5_bas lineheight24"><?php echo Langue("LBL_VIE_QUOTIDIENNE_CORVEES_NOM").$espace[$_SESSION['langue_util']].': '; ?><input type="texte" name="corvee" id="corvee" value="" maxlength="50" class="textbox textbox20 padding10_tout font12 margin10_droite"><button class="bouton textbox30 padding10_tout font12 fontblanc souris_main fontgras margin10_droite" name="bouton_corvee" id="bouton_corvee"><?php echo Langue("BTN_ENREGISTRER"); ?></button><button class="bouton_supprimer margin5_droite textbox31 padding10_tout font12 fontblanc souris_main fontgras margin10_droite" name="bouton_corvee_supprimer" id="bouton_corvee_supprimer"><?php echo Langue("BTN_SUPPRIMER"); ?></button><button class="bouton_annuler textbox31 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_corvee_annuler" id="bouton_corvee_annuler"><?php echo Langue("BTN_ANNULER"); ?></button>
	</form>
	</div>
<?php
	if (isset($_GET['semaine_en_cours'])) 
	{
		$date1=$_GET['semaine_en_cours'];
	}
	else
	{
		$date1=date("Y-m-d",mktime(0,0,0,date("n"),date("j")-date("N")+1,date("Y")));
	}
	$date2=date("Y-m-d",mktime(0,0,0,substr($date1,5,2),substr($date1,8,2)+6,substr($date1,0,4)));
	$date_avant=date("Y-m-d",mktime(0,0,0,substr($date1,5,2),substr($date1,8,2)-7,substr($date1,0,4)));
	$date_apres=date("Y-m-d",mktime(0,0,0,substr($date1,5,2),substr($date1,8,2)+7,substr($date1,0,4)));
	$date_encours=date("Y-m-d",mktime(0,0,0,date("n"),date("j")-date("N")+1,date("Y")));
	if ($id_bien_immo!="")
	{
		$req_bien_immo=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
		while ($row_bien_immo=mysqli_fetch_array($req_bien_immo))
		{
			$rows_bien_immo[]=$row_bien_immo;
		}
		echo '<p class="font16 fontgras textecentre padding10_tout">'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_BIEN_IMMOBILIER").$espace[$_SESSION['langue_util']].': <select name="id_bien_immo_en_cours" id="id_bien_immo_en_cours" class="textegauche font16 textbox padding10_tout font12 margin10_droite">';
		for ($i=0;$i<count($rows_bien_immo);$i++)
		{
			echo '<option value="'.$rows_bien_immo[$i]['id'].'"';
			if ($rows_bien_immo[$i]['id']==$id_bien_immo) {echo ' SELECTED';}
			echo '>'.Decryptage($rows_bien_immo[$i]['nom']).'</option>';
		}
		echo '</select></p>';
		unset($rows_corvees,$row_corvees);
		$req_membres=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."' ORDER BY prenom ASC");
		$liste_membres='<option value="1">&nbsp;</option>';
		if (mysqli_num_rows($req_membres)!="")
		{
			while ($row_membres=mysqli_fetch_array($req_membres))
			{
				$rows_membres[]=$row_membres;
			}
			for ($i=0;$i<count($rows_membres);$i++)
			{
				$liste_id[$i]=$rows_membres[$i]['id'];
				$liste_prenom[$i]=Decryptage($rows_membres[$i]['prenom']);
			}
			array_multisort($liste_prenom,SORT_ASC,SORT_STRING,$liste_id);
			for ($i=0;$i<count($liste_prenom);$i++)
			{
				$liste_membres .='<option value="'.$liste_id[$i].'">'.$liste_prenom[$i].'</option>';
			}
		}
		echo '	<form id="form_tableau_corvees" name="form_tableau_corvees" action="index2.php" method="POST">
				<input type="hidden" id="module" name="module" value="organisation_maison">
				<input type="hidden" id="action" name="action" value="save_tableau_corvees">
				<input type="hidden" id="date_en_cours" name="date_en_cours" value="'.$date1.'">
				<input type="hidden" id="id_bien_immo" name="id_bien_immo" value="'.$id_bien_immo.'">';
		$req_corvees=mysqli_query($link_bdd,"SELECT * FROM `corvees_liste` WHERE id_util='".$_SESSION['id_util']."' AND id_bien_immo='".$id_bien_immo."' ORDER BY nom ASC");
		if (mysqli_num_rows($req_corvees)!="")
		{
			while ($row_corvees=mysqli_fetch_array($req_corvees))
			{
				$rows_corvees[]=$row_corvees;
			}
			echo '<table cellspacing=0 cellpadding=0 border=0 width="100%" class="table_corvees font12 lineheight24">
					<tr><th class="fontnormal padding5_tout case_corvees fontgras textecentre nowrap">'.str_replace("%date1",Date_Convertir($date1,"Y-m-d",Parametre_Util('format_date')),str_replace("%date2",Date_Convertir($date2,"Y-m-d",Parametre_Util('format_date')),Langue("LBL_VIE_QUOTIDIENNE_CORVEES_SEMAINE"))).'<br />
						<i id="date_avant" title="'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_SEMAINE_AVANT").'" class="tooltip font24 fas fa-arrow-circle-left souris_main margin50_droite"></i><i id="date_encours" title="'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_SEMAINE_ENCOURS").'" class="tooltip font24 fas fa-arrow-circle-up souris_main margin50_droite"></i><i id="date_apres" title="'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_SEMAINE_APRES").'" class="tooltip font24 fas fa-arrow-circle-right souris_main"></i></th>';
			for ($k=1;$k<=7;$k++)
			{
				echo '<th class="fontnormal case_jour fontgras textecentre padding10_tout">'.Langue("LBL_JOUR".$k).'</th>';
			}
			echo '</tr>';
			for ($i=0;$i<count($rows_corvees);$i++)
			{
				echo '<tr><th class="fontnormal case_corvees textegauche padding10_tout"><p class="font12 lineheight24 souris_main" id="corvee'.$rows_corvees[$i]['id'].'">'.$rows_corvees[$i]['nom'].'</p></th>';
				echo '<script type="text/javascript">
						$(document).ready(function()
						{
							$("#corvee'.$rows_corvees[$i]['id'].'").click(function(event) 
							{
								event.preventDefault();
								$("#id").val("'.$rows_corvees[$i]['id'].'");
								$("#corvee").val("'.str_replace("'","\'",$rows_corvees[$i]['nom']).'");
								$("#div_form_corvee").removeClass("bloc_cache").addClass("bloc_affiche");
							});
						});
						</script>';
				for ($j=1;$j<=7;$j++)
				{
					$date=date("Y-m-d",mktime(0,0,0,substr($date1,5,2),substr($date1,8,2)+$j-1,substr($date1,0,4)));
					echo '<td id="td_'.$rows_corvees[$i]['id'].'_'.$date.'" class="fontnormal backgroundgris case_jour textecentre padding10_tout"><select class="textbox padding10_tout font12" id="corvee_'.$rows_corvees[$i]['id'].'_'.$date.'" name="corvee_'.$rows_corvees[$i]['id'].'_'.$date.'">'.$liste_membres.'</select><br />';
					if ($date1>date("Y-m-d")) {} else 
					{
						echo '<input title="'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_FAIT_TITLE").'" type="checkbox" class="tooltip" id="fait_'.$rows_corvees[$i]['id'].'_'.$date.'" name="fait_'.$rows_corvees[$i]['id'].'_'.$date.'" value="1"> '.Langue("LBL_FAIT");
					}
					echo '</td>';
					$req_planning=mysqli_query($link_bdd,"SELECT * FROM `corvees_planning` WHERE date='".$date."' AND id_corvee='".$rows_corvees[$i]['id']."'");
					if (mysqli_num_rows($req_planning)!="")
					{
						$row_planning=mysqli_fetch_array($req_planning);
						echo '<script language="Javascript">
								$(document).ready(function()
								{
									$("#corvee_'.$rows_corvees[$i]['id'].'_'.$date.'").val("'.$row_planning['id_membre'].'");';
						if ($row_planning['fait']=="1") {echo '$("#fait_'.$rows_corvees[$i]['id'].'_'.$date.'").prop("checked",true);$("#td_'.$rows_corvees[$i]['id'].'_'.$date.'").addClass("backgroundvert");';}
						echo '	});
							  </script>';
					}
					echo '<script language="Javascript">
							$(document).ready(function()
							{
								$("#corvee_'.$rows_corvees[$i]['id'].'_'.$date.'").chosen({disable_search_threshold: 10});
								$("#fait_'.$rows_corvees[$i]['id'].'_'.$date.'").click(function(event) {if ($("#fait_'.$rows_corvees[$i]['id'].'_'.$date.'").prop("checked")==true) {$("#td_'.$rows_corvees[$i]['id'].'_'.$date.'").addClass("backgroundvert");} else {$("#td_'.$rows_corvees[$i]['id'].'_'.$date.'").removeClass("backgroundvert");}});
							});
						  </script>';
				}
				echo '</tr>';
			}
			echo '</table>';
			echo '</div>'; // Fin de la zone d'impression
			echo '<p class="font12">&nbsp;</p><p class="textegauche padding20_bas"><button class="bouton textbox3 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_tableau_corvees" id="bouton_tableau_corvees">'.Langue("BTN_ENREGISTRER").'</button></p>
				</form>';
		}
		else {echo '<p class="fontnormal textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_A_DEFINIR").'</p></div>';}
	}
	else
	{
		echo '<p class="fontnormal textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_CORVEES_BIEN_DABORD").'</p></div>';
	}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=0.3*$(window).width();
	if (largeur<200) {largeur=200;}
	$(".case_corvees").css("width",largeur+"px!important");
	largeur=0.1*$(window).width();
	if (largeur<100) {largeur=100;}
	$(".case_jour").css("width",largeur+"px!important");
	largeur=$(window).width()-60;
	$(".textbox3").css("width",largeur+"px");

// Gestion des tâches	
	$(".textbox20").css("width","300px");
	$(".textbox30").css("width","300px");
	$(".textbox31").css("width","150px");

	$("#ajouter_tache").click(function(event) 
	{
		event.preventDefault();
<?php if ($id_bien_immo!="") { ?>
		$("#id").val("");
		$("#corvee").val("");
		$("#bouton_corvee_supprimer").addClass("bloc_cache");
		$("#div_form_corvee").removeClass("bloc_cache").addClass("bloc_affiche");
<?php } else {echo 'alert("'.Langue_JS("LBL_VIE_QUOTIDIENNE_CORVEES_BIEN_DABORD").'");';} ?>
	});
	
	$("#bouton_corvee_supprimer").click(function(event)
	{
		event.preventDefault();
		$("#bouton_corvee_supprimer").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=organisation_maison&action=supprimer_corvee&id_bien_immo=<?php echo $id_bien_immo; ?>&id="+$("#id").val(),"<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});

	$("#bouton_corvee_annuler").click(function(event) 
	{
		event.preventDefault();
		$("#id").val("");
		$("#corvee").val("");
		$("#bouton_corvee_supprimer").removeClass("bloc_cache");
		$("#div_form_corvee").removeClass("bloc_affiche").addClass("bloc_cache");
	});
	
	$("#bouton_corvee").click(function(event)
	{
		event.preventDefault();
		$("#form_corvee").submit();
	});
	
	$("#form_corvee").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#corvee"))) 
		{ 
			bValid=false;
			$("#corvee").addClass("form-erreur");
		}
		else
		{
			$("#corvee").removeClass("form-erreur");
		}
		if (bValid==true)
		{
			$("#bouton_corvee").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			data = $form.serialize();
			var request = $.ajax({type: "POST", url: url, data: data});
			request.done(function(msg)
			{
				Action_Page("organisation_maison","index&id_bien_immo=<?php echo $id_bien_immo; ?>");
			});
		}
	});

// Gestion du tableau
	$("#date_avant").click(function(event) {event.preventDefault();Message(1);Action_Page("organisation_maison","index&semaine_en_cours=<?php echo $date_avant; ?>&id_bien_immo=<?php echo $id_bien_immo; ?>");});
	$("#date_apres").click(function(event) {event.preventDefault();Message(1);Action_Page("organisation_maison","index&semaine_en_cours=<?php echo $date_apres; ?>&id_bien_immo=<?php echo $id_bien_immo; ?>");});
	$("#date_encours").click(function(event) {event.preventDefault();Message(1);Action_Page("organisation_maison","index&semaine_en_cours=<?php echo $date_encours; ?>&id_bien_immo=<?php echo $id_bien_immo; ?>");});

	$("#id_bien_immo_en_cours").chosen({disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#id_bien_immo_en_cours").change(function(event) {event.preventDefault();Message(1);Action_Page("organisation_maison","index&id_bien_immo="+$("#id_bien_immo_en_cours").val());});
	
	$("#bouton_imprimer_corvees").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_tableau_corvees").click(function(event)
	{
		event.preventDefault();
		$("#form_tableau_corvees").submit();
	});
	
	$("#form_tableau_corvees").submit(function(event)
	{
		event.preventDefault();
		$("#bouton_tableau_corvees").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Message(1);
		var $form = $( this );
		url = $form.attr( 'action' );
		data = $form.serialize();
		var request = $.ajax({type: "POST", url: url, data: data});
		request.done(function(msg)
		{
			Action_Page("organisation_maison","index&semaine_en_cours=<?php echo $date1; ?>&id_bien_immo=<?php echo $id_bien_immo; ?>");
		});
	});	
});
</script>
