<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "playlists/parametres.php";
	foreach ($tableau_playlist AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	$tableau_valeur["categorie"]="0";
	$tableau_valeur["annee"]=date("Y");
	$tableau_valeur["style"]="47";
	
	if (isset($_GET['id']))
	{
		$req_playlist=mysqli_query($link_bdd,"SELECT * FROM `playlists` WHERE id='".$_GET['id']."'");
		$row_playlist=mysqli_fetch_array($req_playlist);
		foreach ($tableau_playlist AS $cle => $value)
		{
			$tableau_valeur[$cle]=$row_playlist[$cle];
		}
	}
	
	$liste_style="";
	for ($i=0;$i<=48;$i++)
	{
		$liste_id_sty[$i]=$i;
		$liste_sty[$i]=Langue("LBL_LOISIRS_PLAYLISTS_STYLE_".$i);
	}
	array_multisort($liste_sty,SORT_ASC,SORT_STRING,$liste_id_sty);
	for ($i=0;$i<count($liste_sty);$i++)
	{
		$liste_style .='<option value="'.$liste_id_sty[$i].'">'.$liste_sty[$i].'</option>';
	}

	$liste_categorie="";
	for ($i=0;$i<=4;$i++)
	{
		$liste_id_cat[$i]=$i;
		$liste_cat[$i]=Langue("LBL_LOISIRS_PLAYLISTS_CATEGORIE_".$i);
	}
	array_multisort($liste_cat,SORT_ASC,SORT_STRING,$liste_id_cat);
	for ($i=0;$i<count($liste_cat);$i++)
	{
		$liste_categorie .='<option value="'.$liste_id_cat[$i].'">'.$liste_cat[$i].'</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite <?php if ($tableau_valeur['id']=="") {echo "bloc_cache";} ?>"><span id="bouton_ecouter_playlist" title="<?php echo Langue("LBL_LOISIRS_PLAYLISTS_ECOUTER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-play fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-music"></i> <?php echo Langue("LBL_LOISIRS_PLAYLISTS_AJOUTER"); ?></p>
	<p class="fontrouge form-erreur font12 padding10_tout margin20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_ORIGINE"); ?></p>
	<form id="form_playlist" name="form_playlist" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="playlists">
	<input type="hidden" id="action" name="action" value="save_playlist">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_playlist" name="fichier_playlist" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_TITRE_PLAYLIST").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" maxlength="100" type="text" class="textbox textbox2 padding10_tout font12" id="titre" name="titre" value="<?php echo $tableau_valeur['titre']; ?>"></td>
				<td width="50%" rowspan=6 class="verticalalignhaut">
<?php
					if (file_exists("./cache/playlists/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/playlists/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_LOISIRS_PLAYLISTS_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_LOISIRS_PLAYLISTS_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="2" maxlength="255" type="text" class="textbox textbox11 padding10_tout font12" id="url" name="url" value="<?php echo $tableau_valeur['url']; ?>"> <i id="explic_url" class="tooltip fas fa-question-circle font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_LOISIRS_PLAYLISTS_URL_TROUVER"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CATEGORIE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="3" class="textbox textbox2 padding10_tout font12" id="categorie" name="categorie"><?php echo $liste_categorie; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_ARTISTE"); ?><br /><input tabIndex="4" type="text" maxlength="100" class="textbox textbox2 padding10_tout font12" id="artiste" name="artiste" value="<?php echo $tableau_valeur['artiste']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_ALBUM"); ?><br /><input tabIndex="5" type="text" maxlength="100" class="textbox textbox2 padding10_tout font12" id="album" name="album" value="<?php echo $tableau_valeur['album']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_ANNEE"); ?><br /><input tabIndex="6" maxlength="4" type="text" class="textbox textbox2 padding10_tout font12" id="annee" name="annee" value="<?php echo $tableau_valeur['annee']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_STYLE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="7" class="textbox textbox2 padding10_tout font12" id="style" name="style"><?php echo $liste_style; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_DUREE"); ?><br /><input type="text" tabIndex="8" class="textbox textbox2 padding10_tout font12" id="duree" name="duree" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['duree'],0); ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_NB_TITRES"); ?><br /><input type="text" tabIndex="9" class="textbox textbox2 padding10_tout font12" id="nb_titres" name="nb_titres" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['nb_titres'],0); ?>"></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabIndex="10" class="textbox textbox7 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_playlist" id="bouton_playlist"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_playlist" id="bouton_supprimer_playlist">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_playlist" id="bouton_annuler_playlist"><?php echo Langue("BTN_LOISIRS_PLAYLISTS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-140;
	$(".textbox4").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox7").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox11").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#style").val("<?php echo $tableau_valeur['style']; ?>");
	$("#categorie").val("<?php echo $tableau_valeur['categorie']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#style").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#categorie").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_ecouter_playlist").click(function(event)
	{
		event.preventDefault();
		window.open("index3.php?module=playlists&action=ecouter_playlist&id=<?php echo $tableau_valeur['id']; ?>","Playlist","width=300,height=380,location=0,menubar=0,resizable=0,scrollbars=0,status=0,toolbar=0");
	});
	
	$("#bouton_annuler_playlist").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_playlist").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=playlists&action=index";
	});
	
	$("#bouton_playlist").click(function(event)
	{
		event.preventDefault();
		$("#form_playlist").submit();
	});
	
	$("#bouton_supprimer_playlist").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_playlist").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=playlists&action=supprimer_playlist&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_playlist").click();
	});
	
	$("#fichier_playlist").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});

	$("#explic_url").click(function(event) {event.preventDefault();window.open("playlists/explic_url.php");});
	
	$("#duree").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#duree"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#duree").addClass("form-erreur");} else {$("#duree").removeClass("form-erreur");}});
	$("#nb_titres").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#nb_titres"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_titres").addClass("form-erreur");} else {$("#nb_titres").removeClass("form-erreur");}});

	$("#form_playlist").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#titre"))) {bValid=false;$("#titre").addClass("form-erreur");} else {$("#titre").removeClass("form-erreur");}
		if (!checkValue($("#url"))) {bValid=false;$("#url").addClass("form-erreur");} else 
		{
			if (strpos($("#url").val(),'https://www.deezer.com/')===false && strpos($("#url").val(),'https://open.spotify.com/')===false)
			{bValid=false;$("#url").addClass("form-erreur");} else {$("#url").removeClass("form-erreur");}
		}
		if (!checkValue($("#genre"))) {bValid=false;$("#genre").addClass("form-erreur");} else {$("#genre").removeClass("form-erreur");}
		if (!checkValue($("#categorie"))) {bValid=false;$("#categorie").addClass("form-erreur");} else {$("#categorie").removeClass("form-erreur");}
		
		if (!checkRegexp_nonnulle($("#duree"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#duree").addClass("form-erreur");} else {$("#duree").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#nb_titres"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_titres").addClass("form-erreur");} else {$("#nb_titres").removeClass("form-erreur");}
		
		if (bValid==true)
		{
			$("#bouton_playlist").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("playlists","ajouter_playlist&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
