<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_playlist" title="<?php echo Langue("LBL_LOISIRS_PLAYLISTS_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-music"></i> <?php echo Langue("LBL_LOISIRS_PLAYLISTS_TITRE"); ?></p>
<?php
	unset($req_playlist,$row_playlist,$rows_playlist);
	$req_playlist=mysqli_query($link_bdd,"SELECT * FROM `playlists` WHERE id_util='".$_SESSION['id_util']."' ORDER BY titre ASC");
	if (mysqli_num_rows($req_playlist)!="")
	{
		while ($row_playlist=mysqli_fetch_array($req_playlist))
		{
			$rows_playlist[]=$row_playlist;
		}
		echo '<table id="tableau_playlist" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_TITRE_PLAYLIST").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_CATEGORIE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_ARTISTE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_ALBUM").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_ANNEE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_STYLE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_LOISIRS_PLAYLISTS_DUREE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_LOISIRS_PLAYLISTS_NB_TITRES").'</p></th>
				<th class="textecentre"><p class="font12 lineheight24">&nbsp;</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_playlist);$i++)
		{
			echo '<tr class="souris_main">
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_playlist[$i]['titre'].'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_CATEGORIE_".$rows_playlist[$i]['categorie']).'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_playlist[$i]['artiste'].'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_playlist[$i]['album'].'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_playlist[$i]['annee'].'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_STYLE_".$rows_playlist[$i]['style']).'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_playlist[$i]['duree'],0).'</p></td>
					<td class="table_playlist'.$rows_playlist[$i]['id'].' textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_playlist[$i]['nb_titres'],0).'</p></td>
					<td class="textegauche"><span id="bouton_ecouter_playlist'.$rows_playlist[$i]['id'].'" title="'.Langue("LBL_LOISIRS_PLAYLISTS_ECOUTER").'" class="tooltip fa-stack fa-2x font12 souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-play fa-stack-1x fontblanc fa-inverse"></i></span></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$(".table_playlist'.$rows_playlist[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("playlists","ajouter_playlist&id='.$rows_playlist[$i]['id'].'");});
						$("#bouton_ecouter_playlist'.$rows_playlist[$i]['id'].'").click(function(event) {event.preventDefault();window.open("index3.php?module=playlists&action=ecouter_playlist&id='.$rows_playlist[$i]['id'].'","Playlist","width=300,height=380,location=0,menubar=0,resizable=0,scrollbars=0,status=0,toolbar=0");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_LOISIRS_PLAYLISTS_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_playlist").click(function(event) {event.preventDefault();Message(1);Action_Page("playlists","ajouter_playlist");});

	$("#tableau_playlist").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"columns": [null,null,null,null,null,null,null,null,{"searchable":false,"orderable":false}],
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
