<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "recettes/parametres.php";
	foreach ($tableau_recette AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	$tableau_valeur["type"]="1";
	$tableau_valeur["ingredient_principal"]="1";
	$tableau_valeur["monnaie"]=Parametre_Util("monnaie");
	$tableau_valeur["unite_calories"]=1;
	
	if (isset($_GET['id']))
	{
		$req_recette=mysqli_query($link_bdd,"SELECT * FROM `recettes` WHERE id='".$_GET['id']."'");
		$row_recette=mysqli_fetch_array($req_recette);
		foreach ($tableau_recette AS $cle => $value)
		{
			$tableau_valeur[$cle]=$row_recette[$cle];
		}
	}

	$liste_type="";
	for ($i=0;$i<=7;$i++)
	{
		$liste_id_t[$i]=$i;
		$liste_t[$i]=Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TYPE_".$i);
	}
	array_multisort($liste_t,SORT_ASC,SORT_STRING,$liste_id_t);
	for ($i=0;$i<count($liste_t);$i++)
	{
		$liste_type .='<option value="'.$liste_id_t[$i].'">'.$liste_t[$i].'</option>';
	}

	$liste_principal="";
	for ($i=0;$i<=19;$i++)
	{
		$liste_id_princ[$i]=$i;
		$liste_princ[$i]=Langue("LBL_VIE_QUOTIDIENNE_RECETTES_INGREDIENTS_".$i);
	}
	array_multisort($liste_princ,SORT_ASC,SORT_STRING,$liste_id_princ);
	for ($i=0;$i<count($liste_princ);$i++)
	{
		$liste_principal .='<option value="'.$liste_id_princ[$i].'">'.$liste_princ[$i].'</option>';
	}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
	
	$liste_unites_calories="";
	if (Parametre_Util("unite_calorie")=="1")
	{
		$liste_unites_calories .='<option value="0">J</option>';
		$liste_unites_calories .='<option value="1">kJ</option>';
	}
	else
	{
		$liste_unites_calories .='<option value="0">cal</option>';
		$liste_unites_calories .='<option value="1">kcal</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_recette" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-apple-alt"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AJOUTER"); ?></p>
	<form id="form_recette" name="form_recette" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="recettes">
	<input type="hidden" id="action" name="action" value="save_recette">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_recette" name="fichier_recette" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" maxlength="100" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=15 class="verticalalignhaut">
<?php
					if (file_exists("./cache/recettes/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/recettes/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_VIE_QUOTIDIENNE_RECETTES_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_VIE_QUOTIDIENNE_RECETTES_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CATEGORIE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" type="text" class="textbox textbox2 padding10_tout font12" id="type" name="type"><?php echo $liste_type; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_INGREDIENT_PRINCIPAL").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="3" type="text" class="textbox textbox2 padding10_tout font12" id="ingredient_principal" name="ingredient_principal"><?php echo $liste_principal; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_NB_PERSONNES"); ?><br /><input type="text" tabIndex="4" class="textbox textbox2 padding10_tout font12" id="nb_personnes" name="nb_personnes" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['nb_personnes'],0); ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TEMPS_PREPARATION"); ?><br /><input type="text" tabIndex="5" class="textbox textbox2 padding10_tout font12" id="temps_preparation" name="temps_preparation" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['temps_preparation'],0); ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TEMPS_CUISSON"); ?><br /><input type="text" tabIndex="6" class="textbox textbox2 padding10_tout font12" id="temps_cuisson" name="temps_cuisson" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['temps_cuisson'],0); ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_VALEUR_ENERGETIQUE"); ?><br /><input tabIndex="7" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="calories" name="calories" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['calories'],2); ?>"><select tabindex="8" name="unite_calories" id="unite_calories"><?php echo $liste_unites_calories; ?></select></td>
			</tr>
			<tr>
				<td class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_COUT"); ?><br /><input tabIndex="9" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="cout" name="cout" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['cout'],2); ?>"><select tabindex="10" name="monnaie" id="monnaie" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_RECETTE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_INGREDIENTS"); ?></td>
				<td class="fontnormal verticalalignhaut textedroite padding20_haut"><i id="bouton_plus_ingredient" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AJOUTER_INGREDIENT"); ?>" class="tooltip fas fa-plus-circle font18 fontbleu souris_main"></i></td>
			</tr>
			</table>
			<ul id="liste_ingredients">
<?php
			$decoupe_ingredients=explode("|",$tableau_valeur['ingredients']);
			for ($i=0;$i<count($decoupe_ingredients);$i++)
			{
				echo '<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="ingredients[]" value="'.$decoupe_ingredients[$i].'"></li>';
			}
?>
			</ul>
			<p class="font12 padding20_bas">&nbsp;</p>
			
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_MATERIEL"); ?></td>
				<td class="fontnormal verticalalignhaut textedroite padding20_haut"><i id="bouton_plus_materiel" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AJOUTER_MATERIEL"); ?>" class="tooltip fas fa-plus-circle font18 fontbleu souris_main"></i></td>
			</tr>
			</table>
			<ul id="liste_materiels">
<?php
			$decoupe_materiels=explode("|",$tableau_valeur['materiel']);
			for ($i=0;$i<count($decoupe_materiels);$i++)
			{
				echo '<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="materiel[]" value="'.$decoupe_materiels[$i].'"></li>';
			}
?>
			</ul>
			<p class="font12 padding20_bas">&nbsp;</p>

			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_DEROULEMENT"); ?></td>
				<td class="fontnormal verticalalignhaut textedroite padding20_haut"><i id="bouton_plus_deroulement" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AJOUTER_ETAPE"); ?>" class="tooltip fas fa-plus-circle font18 fontbleu souris_main"></i></td>
			</tr>
			</table>
			<ol id="liste_deroulement">
<?php
			$decoupe_deroulement=explode("|",$tableau_valeur['deroulement']);
			for ($i=0;$i<count($decoupe_deroulement);$i++)
			{
				echo '<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="deroulement[]" value="'.$decoupe_deroulement[$i].'"></li>';
			}
?>
			</ol>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_recette" id="bouton_recette"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_recette" id="bouton_supprimer_recette">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_recette" id="bouton_annuler_recette"><?php echo Langue("BTN_VIE_QUOTIDIENNE_RECETTES_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=$(window).width()-160;
	$(".textbox4").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	$(".textbox11").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#type").val("<?php echo $tableau_valeur['type']; ?>");
	$("#ingredient_principal").val("<?php echo $tableau_valeur['ingredient_principal']; ?>");
	$("#monnaie").val("<?php echo $tableau_valeur['monnaie']; ?>");
	$("#unite_calories").val("<?php echo $tableau_valeur['unite_calories']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#type").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#ingredient_principal").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#monnaie").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_calories").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_recette").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_recette").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=recettes&action=index";
	});
	
	$("#bouton_supprimer_recette").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_recette").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=recettes&action=supprimer_recette&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_imprimer_recette").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_plus_ingredient").click(function(event)
	{
		event.preventDefault();
		$("#liste_ingredients").append('<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="ingredients[]" value=""></li>');
		largeur=$(window).width()-160;
		$(".textbox4").css("width",largeur+"px");
	});
	
	$("#bouton_plus_materiel").click(function(event)
	{
		event.preventDefault();
		$("#liste_materiels").append('<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="materiel[]" value=""></li>');
		largeur=$(window).width()-160;
		$(".textbox4").css("width",largeur+"px");
	});
	
	$("#bouton_plus_deroulement").click(function(event)
	{
		event.preventDefault();
		$("#liste_deroulement").append('<li class="padding20_bas"><input type="text" class="textbox textbox4 padding10_tout font12" name="deroulement[]" value=""></li>');
		largeur=$(window).width()-160;
		$(".textbox4").css("width",largeur+"px");
	});
	
	$("#bouton_recette").click(function(event)
	{
		event.preventDefault();
		$("#form_recette").submit();
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_recette").click();
	});
	
	$("#fichier_recette").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#nb_personnes").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#nb_personnes"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_personnes").addClass("form-erreur");} else {$("#nb_personnes").removeClass("form-erreur");}});
	$("#temps_preparation").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#temps_preparation"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#temps_preparation").addClass("form-erreur");} else {$("#temps_preparation").removeClass("form-erreur");}});
	$("#temps_cuisson").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#temps_cuisson"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#temps_cuisson").addClass("form-erreur");} else {$("#temps_cuisson").removeClass("form-erreur");}});
	$("#cout").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#cout"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#cout").addClass("form-erreur");} else {$("#cout").removeClass("form-erreur");}});
	$("#calories").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#calories"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#calories").addClass("form-erreur");} else {$("#calories").removeClass("form-erreur");}});

	$("#form_recette").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}
		
		if (!checkRegexp_nonnulle($("#nb_personnes"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#nb_personnes").addClass("form-erreur");} else {$("#nb_personnes").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#temps_preparation"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#temps_preparation").addClass("form-erreur");} else {$("#temps_preparation").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#temps_cuisson"),regex_defaut['nombre_entier<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#temps_cuisson").addClass("form-erreur");} else {$("#temps_cuisson").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#cout"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#cout").addClass("form-erreur");} else {$("#cout").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#calories"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#calories").addClass("form-erreur");} else {$("#calories").removeClass("form-erreur");}
		
		if (bValid==true)
		{
			$("#bouton_recette").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("recettes","ajouter_recette&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
