<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_recette" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-apple-alt"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TITRE"); ?></p>
<?php
	unset($req_recette,$row_recette,$rows_recette);
	$req_recette=mysqli_query($link_bdd,"SELECT * FROM `recettes` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_recette)!="")
	{
		while ($row_recette=mysqli_fetch_array($req_recette))
		{
			$rows_recette[]=$row_recette;
		}
		echo '<table id="tableau_recette" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="30%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_NOM").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_CATEGORIE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_INGREDIENT_PRINCIPAL").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_VIE_QUOTIDIENNE_RECETTES_NB_PERSONNES").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_VIE_QUOTIDIENNE_RECETTES_TEMPS_PREPARATION").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_VIE_QUOTIDIENNE_RECETTES_TEMPS_CUISSON").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_COUT").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_recette);$i++)
		{
			echo '<tr id="table_recette'.$rows_recette[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_recette[$i]['nom'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TYPE_".$rows_recette[$i]['type']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_INGREDIENTS_".$rows_recette[$i]['ingredient_principal']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_recette[$i]['nb_personnes'],0).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_recette[$i]['temps_preparation'],0).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_recette[$i]['temps_cuisson'],0).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_recette[$i]['cout'],2).'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_recette'.$rows_recette[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("recettes","ajouter_recette&id='.$rows_recette[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_RECETTES_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_recette").click(function(event) {event.preventDefault();Message(1);Action_Page("recettes","ajouter_recette");});

	$("#tableau_recette").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
