<?php	
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "recettes/parametres.php";
	
	if ($_POST['id']=="")
	{
		$id=Construit_Id("recettes",10);
		$req=mysqli_query($link_bdd,"INSERT INTO `recettes` (id,id_util) VALUES ('".$id."','".$_SESSION['id_util']."')");
	}
	else {$id=$_POST['id'];}
	
	foreach ($tableau_recette AS $cle => $value)
	{
		if ($cle!="id" && $cle!="ingredients" && $cle!="materiel" && $cle!="deroulement")
		{
			if (isset($_POST[$cle]))
			{
				if (get_magic_quotes_gpc()) { $_POST[$cle]=stripslashes($_POST[$cle]); }
				$_POST[$cle]=mysqli_real_escape_string($link_bdd,$_POST[$cle]);
				if ($cle=="cout" || $cle=="calories" || $cle=="nb_personnes" || $cle=="temps_preparation" || $cle=="temps_cuisson") {$_POST[$cle]=Convertir_Nombre_BDD($_POST[$cle]);}
				$req=mysqli_query($link_bdd,"UPDATE `recettes` SET `".$cle."`='".$_POST[$cle]."' WHERE id='".$id."'");
			}
		}
	}
	
	$ingredients=$_POST['ingredients'];
	$liste_ingredients="";
	for ($i=0;$i<count($ingredients);$i++)
	{
		if ($ingredients[$i]!="") {$liste_ingredients .=$ingredients[$i].'|';}
	}
	$liste_ingredients=substr($liste_ingredients,0,-1);
	
	$materiel=$_POST['materiel'];
	$liste_materiel="";
	for ($i=0;$i<count($materiel);$i++)
	{
		if ($materiel[$i]!="") {$liste_materiel .=$materiel[$i].'|';}
	}
	$liste_materiel=substr($liste_materiel,0,-1);
	
	$deroulement=$_POST['deroulement'];
	$liste_deroulement="";
	for ($i=0;$i<count($deroulement);$i++)
	{
		if ($deroulement[$i]!="") {$liste_deroulement .=$deroulement[$i].'|';}
	}
	$liste_deroulement=substr($liste_deroulement,0,-1);
	
	if (get_magic_quotes_gpc()) { $liste_ingredients=stripslashes($liste_ingredients); }
	$liste_ingredients=mysqli_real_escape_string($link_bdd,$liste_ingredients);
	if (get_magic_quotes_gpc()) { $liste_materiel=stripslashes($liste_materiel); }
	$liste_materiel=mysqli_real_escape_string($link_bdd,$liste_materiel);
	if (get_magic_quotes_gpc()) { $liste_deroulement=stripslashes($liste_deroulement); }
	$liste_deroulement=mysqli_real_escape_string($link_bdd,$liste_deroulement);
	$req=mysqli_query($link_bdd,"UPDATE `recettes` SET `ingredients`='".$liste_ingredients."',`materiel`='".$liste_materiel."',`deroulement`='".$liste_deroulement."' WHERE id='".$id."'");

	if ($_FILES['fichier_recette']['tmp_name']!="")
	{
		$src = 'tmp/recette_'.$id.'.jpg';
		$name_file = $_FILES['fichier_recette']['name'];
		$tmp_file = $_FILES['fichier_recette']['tmp_name'];
		move_uploaded_file($tmp_file, $src);

		$im = imagecreatefromjpeg($src);
		$ini_x_size = getimagesize($src)[0];
		$ini_y_size = getimagesize($src)[1];
		if ($ini_x_size>$ini_y_size)
		{
			$new_x = 300;
			$new_y = $new_x * $ini_y_size / $ini_x_size;
		}
		else
		{
			$new_y = 300;
			$new_x = $new_y * $ini_x_size / $ini_y_size;
		}
		$dst_r = imagescale($im, $new_x, $new_y);
		imagejpeg($dst_r, 'cache/recettes/img_'.$id.'.jpg', 80);
		unlink($src);
	}

	echo $id;
?>