<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "activites_membres/parametres.php";
	foreach ($tableau_activites AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur["pays_club"]=Parametre_Util("pays");
	$tableau_valeur["type"]="0";
	$tableau_valeur["monnaie_adhesion"]=Parametre_Util("monnaie");
	$tableau_valeur["periodicite_adhesion"]="0";
	
	if (isset($_GET['id']))
	{
		$req_activite=mysqli_query($link_bdd,"SELECT * FROM `activites_membres` WHERE id='".$_GET['id']."'");
		$row_activite=mysqli_fetch_array($req_activite);
		$tableau_valeur['id']=$row_activite['id'];
		foreach ($tableau_activites AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_activite[$cle]));
		}
	}
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_jour="";
	for ($i=1;$i<=7;$i++)
	{
		$liste_jour .='<option value="'.$i.'">'.Langue("LBL_JOUR".$i).'</option>';
	}
	
	$liste_type="";
	for ($i=0;$i<=18;$i++)
	{
		$liste_id[$i]=$i;
		$liste[$i]=Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TYPE_".$i);
	}
	array_multisort($liste,SORT_ASC,SORT_STRING,$liste_id);
	for ($i=0;$i<count($liste);$i++)
	{
		$liste_type .='<option value="'.$liste_id[$i].'">'.$liste[$i].'</option>';
	}
	unset($liste_id,$liste);
	
	$liste_heures='<option value="--">--</option>';
	for ($i=0;$i<=23;$i++)
	{
		for ($j=0;$j<=55;$j=$j+5)
		{
			$heure="";
			if ($i<=9) {$heure="0".$i.":";} else {$heure=$i.':';}
			if ($j<=9) {$heure .="0".$j;} else {$heure .=$j;}
			$liste_heures .='<option value="'.$heure.'">'.$heure.'</option>';
		}
	}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_activite" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-futbol"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_AJOUTER"); ?></p>
	<form id="form_activite" name="form_activite" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="activites_membres">
	<input type="hidden" id="action" name="action" value="save_activite">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_NOM_ACTIVITE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom_activite" name="nom_activite" value="<?php echo $tableau_valeur['nom_activite']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TYPE"); ?><br /><select tabIndex="3" class="textbox textbox2 padding10_tout font12" id="type" name="type"><?php echo $liste_type; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_MEMBRE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="id_membre" name="id_membre">
<?php
				$req_membre2=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id_util='".$_SESSION['id_util']."'");
				if (mysqli_num_rows($req_membre2)!="")
				{
					while ($row_membre2=mysqli_fetch_array($req_membre2))
					{
						$rows_membre2[]=$row_membre2;
					}
					for ($i=0;$i<count($rows_membre2);$i++)
					{
						$liste_id[$i]=$rows_membre2[$i]['id'];
						$liste_nom[$i]=Decryptage($rows_membre2[$i]['nom']);
						$liste_prenom[$i]=Decryptage($rows_membre2[$i]['prenom']);
					}
					array_multisort($liste_nom,SORT_ASC,SORT_STRING,$liste_prenom,SORT_ASC,SORT_STRING,$liste_id);
					for ($i=0;$i<count($rows_membre2);$i++)
					{
						echo '<option value="'.$liste_id[$i].'"';
						if ($liste_id[$i]==$tableau_valeur['id_membre']) {echo ' SELECTED';}
						echo '>'.$liste_nom[$i].' '.$liste_prenom[$i].'</option>';
					}
				}
?>
					</select>
				</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><i id="bouton_plus_horaire" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_AJOUTER_HORAIRE"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas">
					<ul id="ul_horaires" class="font12 lineheight24">
		<?php
					$decoupe_horaires=explode("|",$tableau_valeur["horaires"]);
					sort($decoupe_horaires,SORT_STRING);
					for ($i=0;$i<count($decoupe_horaires);$i++)
					{
						$decoupe=explode("~",$decoupe_horaires[$i]);
						if (!isset($decoupe[0])) {$decoupe[0]="1";} else { if($decoupe[0]=="") {$decoupe[0]="1";} }
						if (!isset($decoupe[1])) {$decoupe[1]="--";} else {if ($decoupe[1]=="") {$decoupe[1]="--";}}
						if (!isset($decoupe[2])) {$decoupe[2]="--";} else {if ($decoupe[2]=="") {$decoupe[2]="--";}}
						echo '<li class="padding20_bas">'.str_replace('%date','<select class="textbox padding10_tout font12" id="jours'.$i.'" name="jours[]">'.$liste_jour.'</select>',str_replace('%heure_debut','<select class="textbox padding10_tout font12" id="heures_debut'.$i.'" name="heures_debut[]">'.$liste_heures.'</select>',str_replace('%heure_fin','<select class="textbox padding10_tout font12" id="heures_fin'.$i.'" name="heures_fin[]">'.$liste_heures.'</select>',Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES_DECOUPE")))).'</li>';
						echo '<script language="Javascript">
								$(document).ready(function()
								{
									$("#jours'.$i.'").val("'.$decoupe[0].'");
									$("#heures_debut'.$i.'").val("'.$decoupe[1].'");
									$("#heures_fin'.$i.'").val("'.$decoupe[2].'");
									
									$("#jours'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
									$("#heures_debut'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
									$("#heures_fin'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
								});
							  </script>';
					}
		?>
					</ul>
				</td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
			
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_NUMERO_LICENCE"); ?><br /><input tabIndex="20" type="text" class="textbox textbox2 padding10_tout font12" id="numero_licence" name="numero_licence" value="<?php echo $tableau_valeur['numero_licence']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_DATE_DEBUT"); ?><br /><input tabIndex="24" type="text" class="textbox padding10_tout font12" id="datedebut_adhesion" name="datedebut_adhesion" value="<?php echo Date_Convertir($tableau_valeur['datedebut_adhesion'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_MONTANT"); ?><br /><input tabIndex="21" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="montant_adhesion" name="montant_adhesion" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['montant_adhesion'],2); ?>"><select tabindex="22" name="monnaie_adhesion" id="monnaie_adhesion" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_DATE_FIN"); ?><br /><input tabIndex="25" type="text" class="textbox padding10_tout font12" id="datefin_adhesion" name="datefin_adhesion" value="<?php echo Date_Convertir($tableau_valeur['datefin_adhesion'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE"); ?><br /><select tabIndex="23" class="textbox textbox2 padding10_tout font12" id="periodicite_adhesion" name="periodicite_adhesion">
					<option value="0" <?php if ($tableau_valeur['periodicite_adhesion']=="0") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_0"); ?></option>
					<option value="1" <?php if ($tableau_valeur['periodicite_adhesion']=="1") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['periodicite_adhesion']=="2") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_2"); ?></option>
					<option value="3" <?php if ($tableau_valeur['periodicite_adhesion']=="3") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_3"); ?></option>
					<option value="4" <?php if ($tableau_valeur['periodicite_adhesion']=="4") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_4"); ?></option>
					<option value="5" <?php if ($tableau_valeur['periodicite_adhesion']=="5") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_ADHESION_PERIODICITE_5"); ?></option>
				</select>
				</td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
			
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_CLUB"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_NOM_CLUB"); ?><br /><input tabIndex="26" type="text" class="textbox textbox2 padding10_tout font12" id="nom_club" name="nom_club" value="<?php echo $tableau_valeur['nom_club']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="32" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_club" name="telephone_club" value="<?php echo $tableau_valeur['telephone_club']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="27" type="text" class="textbox textbox2 padding10_tout font12" id="rue_club" name="rue_club" value="<?php echo $tableau_valeur['rue_club']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="33" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_club" name="telephone2_club" value="<?php echo $tableau_valeur['telephone2_club']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="28" type="text" class="textbox textbox2 padding10_tout font12" id="complement_club" name="complement_club" value="<?php echo $tableau_valeur['complement_club']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="34" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_club" name="mobile_club" value="<?php echo $tableau_valeur['mobile_club']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="29" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_club" name="codepostal_club" value="<?php echo $tableau_valeur['codepostal_club']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="35" type="text" class="textbox textbox2 padding10_tout font12" id="fax_club" name="fax_club" value="<?php echo $tableau_valeur['fax_club']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="30" type="text" class="textbox textbox2 padding10_tout font12" id="ville_club" name="ville_club" value="<?php echo $tableau_valeur['ville_club']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="36" type="text" class="textbox textbox10 padding10_tout font12" id="email_club" name="email_club" value="<?php echo $tableau_valeur['email_club']; ?>"> <i id="ouvrir_email_club" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="31" class="textbox textbox2 padding10_tout font12" id="pays_club" name="pays_club"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="37" type="text" class="textbox textbox10 padding10_tout font12" id="email2_club" name="email2_club" value="<?php echo $tableau_valeur['email2_club']; ?>"> <i id="ouvrir_email2_club" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="38" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_club" name="facebook_club" value="<?php echo $tableau_valeur['facebook_club']; ?>"> <i id="ouvrir_facebook_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="41" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_club" name="linkedin_club" value="<?php echo $tableau_valeur['linkedin_club']; ?>"> <i id="ouvrir_linkedin_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="39" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_club" name="twitter_club" value="<?php echo $tableau_valeur['twitter_club']; ?>"> <i id="ouvrir_twitter_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="42" type="text" class="textbox textbox10 padding10_tout font12" id="xing_club" name="xing_club" value="<?php echo $tableau_valeur['xing_club']; ?>"> <i id="ouvrir_xing_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas">Pinterest<br /><input tabIndex="40" type="text" class="textbox textbox10 padding10_tout font12" id="pinterest_club" name="pinterest_club" value="<?php echo $tableau_valeur['pinterest_club']; ?>"> <i id="ouvrir_pinterest_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="37" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_club" name="siteweb_club" value="<?php echo $tableau_valeur['siteweb_club']; ?>"> <i id="ouvrir_siteweb_club" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabIndex="43" class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_activite" id="bouton_activite"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_activite" id="bouton_supprimer_activite">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_activite" id="bouton_annuler_activite"><?php echo Langue("BTN_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
var heure_en_cours=<?php echo count($decoupe_horaires); ?>;

$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	$(".textbox11").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#type").val("<?php echo $tableau_valeur['type']; ?>");
	$("#pays_club").val("<?php echo $tableau_valeur['pays_club']; ?>");
	$("#periodicite_adhesion").val("<?php echo $tableau_valeur['periodicite_adhesion']; ?>");
	$("#monnaie_adhesion").val("<?php echo $tableau_valeur['monnaie_adhesion']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#id_membre").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#type").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_club").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#periodicite_adhesion").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#monnaie_adhesion").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email_club").click(function(event) {event.preventDefault();if (checkRegexp($("#email_club"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_club").val();}});
	$("#ouvrir_email2_club").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_club"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_club").val();}});

	$("#ouvrir_facebook_club").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_club"),regex_defaut['facebook'])) {window.open($("#facebook_club").val());}});
	$("#ouvrir_twitter_club").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_club"),regex_defaut['twitter'])) {window.open($("#twitter_club").val());}});
	$("#ouvrir_pinterest_club").click(function(event) {event.preventDefault();if (checkRegexp($("#pinterest_club"),regex_defaut['pinterest'])) {window.open($("#pinterest_club").val());}});
	$("#ouvrir_linkedin_club").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_club"),regex_defaut['linkedin'])) {window.open($("#linkedin_club").val());}});
	$("#ouvrir_xing_club").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_club"),regex_defaut['xing'])) {window.open($("#xing_club").val());}});
	$("#ouvrir_siteweb_club").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_club"),regex_defaut['url'])) {window.open($("#siteweb_club").val());}});

	$("#datedebut_adhesion").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
	}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#datefin_adhesion").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
	}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_activite").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_activite").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=activites_membres&action=index";
	});
	
	$("#bouton_supprimer_activite").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_activite").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=activites_membres&action=supprimer_activite&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_activite").click(function(event)
	{
		event.preventDefault();
		$("#form_activite").submit();
	});
	
	$("#bouton_imprimer_activite").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_plus_horaire").click(function(event)
	{
		event.preventDefault();
		$("#ul_horaires").append('<li class="padding20_bas">'+str_replace('%date','<select class="textbox textbox_jour padding10_tout font12" name="jours[]"><?php echo $liste_jour; ?></select>',str_replace('%heure_debut','<select class="liste_heure textbox padding10_tout font12" id="heures_debut'+heure_en_cours+'" name="heures_debut[]"><?php echo $liste_heures; ?></select>',str_replace('%heure_fin','<select class="liste_heure textbox padding10_tout font12" id="heures_fin'+heure_en_cours+'" name="heures_fin[]"><?php echo $liste_heures; ?></select>','<?php echo Langue_JS("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES_DECOUPE"); ?>')))+'</li><script type="text/javascript">$(".textbox_jour").chosen({disable_search_threshold: 10});$(".liste_heure").chosen({disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});heure_en_cours=heure_en_cours+1;<\/script>');
	});
	
	$("#montant_adhesion").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#montant_adhesion"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_adhesion").addClass("form-erreur");} else {$("#montant_adhesion").removeClass("form-erreur");}});

	$("#telephone_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_club"),regex_defaut['tel'])) {bValid=false;$("#telephone_club").addClass("form-erreur");} else {$("#telephone_club").removeClass("form-erreur");}});
	$("#telephone2_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_club"),regex_defaut['tel'])) {bValid=false;$("#telephone2_club").addClass("form-erreur");} else {$("#telephone2_club").removeClass("form-erreur");}});
	$("#mobile_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_club"),regex_defaut['tel'])) {bValid=false;$("#mobile_club").addClass("form-erreur");} else {$("#mobile_club").removeClass("form-erreur");}});
	$("#fax_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_club"),regex_defaut['tel'])) {bValid=false;$("#fax_club").addClass("form-erreur");} else {$("#fax_club").removeClass("form-erreur");}});

	$("#email_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_club"),regex_defaut['email'])) {bValid=false;$("#email_club").addClass("form-erreur");} else {$("#email_club").removeClass("form-erreur");}});
	$("#email2_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_club"),regex_defaut['email'])) {bValid=false;$("#email2_club").addClass("form-erreur");} else {$("#email2_club").removeClass("form-erreur");}});

	$("#facebook_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_club"),regex_defaut['facebook'])) {bValid=false;$("#facebook_club").addClass("form-erreur");} else {$("#facebook_club").removeClass("form-erreur");}});
	$("#twitter_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_club"),regex_defaut['twitter'])) {bValid=false;$("#twitter_club").addClass("form-erreur");} else {$("#twitter_club").removeClass("form-erreur");}});
	$("#pinterest_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#pinterest_club"),regex_defaut['pinterest'])) {bValid=false;$("#pinterest_club").addClass("form-erreur");} else {$("#pinterest_club").removeClass("form-erreur");}});
	$("#linkedin_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_club"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_club").addClass("form-erreur");} else {$("#linkedin_club").removeClass("form-erreur");}});
	$("#xing_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_club"),regex_defaut['xing'])) {bValid=false;$("#xing_club").addClass("form-erreur");} else {$("#xing_club").removeClass("form-erreur");}});
	$("#siteweb_club").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_club"),regex_defaut['url'])) {bValid=false;$("#siteweb_club").addClass("form-erreur");} else {$("#siteweb_club").removeClass("form-erreur");}});

	$("#form_activite").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom_activite"))) {bValid=false;$("#nom_activite").addClass("form-erreur");} else {$("#nom_activite").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#montant_adhesion"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_adhesion").addClass("form-erreur");} else {$("#montant_adhesion").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone_club"),regex_defaut['tel'])) {bValid=false;$("#telephone_club").addClass("form-erreur");} else {$("#telephone_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_club"),regex_defaut['tel'])) {bValid=false;$("#telephone2_club").addClass("form-erreur");} else {$("#telephone2_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_club"),regex_defaut['tel'])) {bValid=false;$("#mobile_club").addClass("form-erreur");} else {$("#mobile_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_club"),regex_defaut['tel'])) {bValid=false;$("#fax_club").addClass("form-erreur");} else {$("#fax_club").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email_club"),regex_defaut['email'])) {bValid=false;$("#email_club").addClass("form-erreur");} else {$("#email_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_club"),regex_defaut['email'])) {bValid=false;$("#email2_club").addClass("form-erreur");} else {$("#email2_club").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#facebook_club"),regex_defaut['facebook'])) {bValid=false;$("#facebook_club").addClass("form-erreur");} else {$("#facebook_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_club"),regex_defaut['twitter'])) {bValid=false;$("#twitter_club").addClass("form-erreur");} else {$("#twitter_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#pinterest_club"),regex_defaut['pinterest'])) {bValid=false;$("#pinterest_club").addClass("form-erreur");} else {$("#pinterest_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_club"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_club").addClass("form-erreur");} else {$("#linkedin_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_club"),regex_defaut['xing'])) {bValid=false;$("#xing_club").addClass("form-erreur");} else {$("#xing_club").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_club"),regex_defaut['url'])) {bValid=false;$("#siteweb_club").addClass("form-erreur");} else {$("#siteweb_club").removeClass("form-erreur");}
		
		for (i=0;i<heure_en_cours;i++)
		{
			if ($("#heures_debut"+i).val()!="--" && $("#heures_fin"+i).val()!="--")
			{
				if ($("#heures_debut"+i).val()>$("#heures_fin"+i).val())
				{
					bValid=false;
					$("#heures_debut"+i+"_chosen a").addClass("form-erreur");
					$("#heures_fin"+i+"_chosen a").addClass("form-erreur");
				}
				else
				{
					$("#heures_debut"+i+"_chosen a").removeClass("form-erreur");
					$("#heures_fin"+i+"_chosen a").removeClass("form-erreur");
				}
			}
		}
		
		if (bValid==true)
		{
			$("#bouton_activite").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("activites_membres","ajouter_activite&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
