<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	ini_set('max_execution_time', '300');
	
	require_once('lib/pclzip.lib.php');
	
	if ($_FILES['fichier_maj']['tmp_name']!="")
	{
		$dossier_dezip="maj-".date("YmdHis");
		$fichier=$dossier_dezip.".zip";
		$src = 'tmp/'.$fichier;
		$name_file = $_FILES['fichier_maj']['name'];
		$tmp_file = $_FILES['fichier_maj']['tmp_name'];
		move_uploaded_file($tmp_file, $src);
		
		$archive = new PclZip($src);
		if ($archive->extract(PCLZIP_OPT_PATH,"tmp/".$dossier_dezip,PCLZIP_OPT_REPLACE_NEWER) == 0)
		{
			echo "Erreur : ".$archive->errorInfo(true);
		}
		else
		{
			$erreur="OK";
			$fp=fopen('tmp/'.$dossier_dezip.'/version_maj.txt','r');
			$version=fread($fp, filesize('tmp/'.$dossier_dezip.'/version_maj.txt'));
			$decoupe=explode('-',$version);
			if ($decoupe[0]=="majmf")
			{
				if ($decoupe[1]==Parametre_Config("version_application"))
				{
					function Liste_Dossier($repertoire)
					{
						global $dossier_dezip;
						$repertoire_transit = './tmp/'.$dossier_dezip.'/update/';
						$handle = opendir($repertoire_transit . $repertoire);
						while ( $file = readdir($handle) )
						{
							if ($repertoire!="")
							{
								$rep = $repertoire_transit . $repertoire . "/" . $file;
								$rep2 = $repertoire."/".$file;
							}
							else
							{
								$rep = $repertoire_transit. $file;
								$rep2 = $file;
							}
							if ($file!="." && $file!="..")
							{
								if (is_dir($rep))
								{
									if (!is_dir($rep2))
									{
										if (!mkdir($rep2))
										{
											$erreur='Erreur3';
										}
									}
									Liste_Dossier($rep2);
								}
								else
								{
									if (!copy($rep,$rep2))
									{
										$erreur="Erreur3";
									}
								}
							}
						}
						closedir($handle);
					}

					if (file_exists('tmp/'.$dossier_dezip.'/mysql_update.sql'))
					{
						$fp=fopen('tmp/'.$dossier_dezip.'/mysql_update.sql','r');
						$query=fread($fp,filesize('tmp/'.$dossier_dezip.'/mysql_update.sql'));
						mysqli_multi_query($link_bdd, $query);
						while (mysqli_more_results($link_bdd)) 
						{
							mysqli_use_result($link_bdd); 
							mysqli_next_result($link_bdd);
						}
					}
					
					if (file_exists('tmp/'.$dossier_dezip.'/mysql_update.php'))
					{
						include 'tmp/'.$dossier_dezip.'/mysql_update.php';
					}
					Liste_Dossier('');
					echo $erreur;
					
					$req = mysqli_query($link_bdd,"UPDATE `configuration` SET valeur='".$decoupe[2]."' WHERE cle='version_application'");
				}
				else
				{
					echo "Erreur2";
				}
			}
			else
			{
				echo "Erreur3";
			}
		}
	}
?>