<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "animaux/parametres.php";
	foreach ($tableau_animal AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur["espece"]="1";
	$tableau_valeur["pays_veto"]=Parametre_Util("pays");
	$tableau_valeur["pays_veto_passeport"]=Parametre_Util("pays");
	
	if (isset($_GET['id']))
	{
		$req_animal=mysqli_query($link_bdd,"SELECT * FROM `animaux` WHERE id='".$_GET['id']."'");
		$row_animal=mysqli_fetch_array($req_animal);
		$tableau_valeur['id']=$row_animal['id'];
		foreach ($tableau_animal AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_animal[$cle]));
		}
	}
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_animaux="";
	for ($i=0;$i<=25;$i++)
	{
		$liste_id[$i]=$i;
		$liste[$i]=Langue("LBL_FAMILLE_ANIMAUX_ESPECE_".$i);
	}
	array_multisort($liste,SORT_ASC,SORT_STRING,$liste_id);
	for ($i=0;$i<count($liste);$i++)
	{
		$liste_animaux .='<option value="'.$liste_id[$i].'">'.$liste[$i].'</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_animal" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-dog"></i> <?php echo Langue("LBL_FAMILLE_ANIMAUX_AJOUTER"); ?></p>
	<form id="form_animal" name="form_animal" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="animaux">
	<input type="hidden" id="action" name="action" value="save_animal">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_animal" name="fichier_animal" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_IDENTITE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=7 class="verticalalignhaut">
<?php
					if (file_exists("./cache/animaux/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/animaux/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_FAMILLE_ANIMAUX_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_FAMILLE_ANIMAUX_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_ESPECE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" type="text" class="textbox textbox2 padding10_tout font12" id="espece" name="espece"><?php echo $liste_animaux; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_RACE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="3" type="text" class="textbox textbox2 padding10_tout font12" id="race" name="race" value="<?php echo $tableau_valeur['race']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_SEXE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="sexe" name="sexe">
					<option value="1" <?php if ($tableau_valeur['sexe']==1) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_ANIMAUX_SEXE1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['sexe']==2) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_ANIMAUX_SEXE2"); ?></option>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_DATE_NAISSANCE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="5" type="text" class="textbox padding10_tout font12" id="date_naissance" name="date_naissance" value="<?php echo Date_Convertir($tableau_valeur['date_naissance'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_COULEUR"); ?><br /><input tabIndex="6" type="text" class="textbox textbox2 padding10_tout font12" id="couleur" name="couleur" value="<?php echo $tableau_valeur['couleur']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas verticalalignhaut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_TRAITS_CARACTERISTIQUES"); ?><br /><textarea tabIndex="7" class="textbox textbox2 padding10_tout font12 lineheight24 fontnormal" id="traits_caracteristiques" name="traits_caracteristiques" rows=5><?php echo $tableau_valeur['traits_caracteristiques']; ?></textarea></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_ANIMAUX_VETERINAIRE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_NOM_VETO"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="nom_veto" name="nom_veto" value="<?php echo $tableau_valeur['nom_veto']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="14" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_veto" name="telephone_veto" value="<?php echo $tableau_valeur['telephone_veto']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="9" type="text" class="textbox textbox2 padding10_tout font12" id="rue_veto" name="rue_veto" value="<?php echo $tableau_valeur['rue_veto']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="15" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_veto" name="telephone2_veto" value="<?php echo $tableau_valeur['telephone2_veto']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="10" type="text" class="textbox textbox2 padding10_tout font12" id="complement_veto" name="complement_veto" value="<?php echo $tableau_valeur['complement_veto']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="16" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_veto" name="mobile_veto" value="<?php echo $tableau_valeur['mobile_veto']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="11" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_veto" name="codepostal_veto" value="<?php echo $tableau_valeur['codepostal_veto']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="17" type="text" class="textbox textbox2 padding10_tout font12" id="fax_veto" name="fax_veto" value="<?php echo $tableau_valeur['fax_veto']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="12" type="text" class="textbox textbox2 padding10_tout font12" id="ville_veto" name="ville_veto" value="<?php echo $tableau_valeur['ville_veto']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="18" type="text" class="textbox textbox10 padding10_tout font12" id="email_veto" name="email_veto" value="<?php echo $tableau_valeur['email_veto']; ?>"> <i id="ouvrir_email_veto" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="13" type="text" class="textbox textbox2 padding10_tout font12" id="pays_veto" name="pays_veto"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="19" type="text" class="textbox textbox10 padding10_tout font12" id="email2_veto" name="email2_veto" value="<?php echo $tableau_valeur['email2_veto']; ?>"> <i id="ouvrir_email2_veto" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_ANIMAUX_IDENTIFICATION"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_FAMILLE_ANIMAUX_MARQUAGE"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_CODE_IDENTIFICATION"); ?><br /><input tabIndex="20" type="text" class="textbox textbox2 padding10_tout font12" id="code_identification" name="code_identification" value="<?php echo $tableau_valeur['code_identification']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_MARQUAGE"); ?><br /><input tabIndex="22" type="text" class="textbox padding10_tout font12" id="date_marquage" name="date_marquage" value="<?php echo Date_Convertir($tableau_valeur['date_marquage'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_TYPE_MARQUAGE"); ?><br /><select tabIndex="21" class="textbox textbox2 padding10_tout font12" id="type_marquage" name="type_marquage">
					<option value="1" <?php if ($tableau_valeur['type_marquage']==1) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_ANIMAUX_TYPE_MARQUAGE1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['type_marquage']==2) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_ANIMAUX_TYPE_MARQUAGE2"); ?></option>
				</td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_EMPLACEMENT"); ?><br /><input tabIndex="23" type="text" class="textbox textbox2 padding10_tout font12" id="emplacement" name="emplacement" value="<?php echo $tableau_valeur['emplacement']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="100%" colspan=2 class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_FAMILLE_ANIMAUX_PASSEPORT"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_NUMERO_PASSEPORT"); ?><br /><input tabIndex="24" type="text" class="textbox textbox2 padding10_tout font12" id="numero_passeport" name="numero_passeport" value="<?php echo $tableau_valeur['numero_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_PASSEPORT"); ?><br /><input tabIndex="25" type="text" class="textbox padding10_tout font12" id="date_passeport" name="date_passeport" value="<?php echo Date_Convertir($tableau_valeur['date_passeport'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="100%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule" colspan=2><?php echo Langue("LBL_FAMILLE_ANIMAUX_VETO_PASSEPORT"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_NOM_VETO"); ?><br /><input tabIndex="26" type="text" class="textbox textbox2 padding10_tout font12" id="nom_veto_passeport" name="nom_veto_passeport" value="<?php echo $tableau_valeur['nom_veto_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="32" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_veto_passeport" name="telephone_veto_passeport" value="<?php echo $tableau_valeur['telephone_veto_passeport']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="27" type="text" class="textbox textbox2 padding10_tout font12" id="rue_veto_passeport" name="rue_veto_passeport" value="<?php echo $tableau_valeur['rue_veto_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="33" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_veto_passeport" name="telephone2_veto_passeport" value="<?php echo $tableau_valeur['telephone2_veto_passeport']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="28" type="text" class="textbox textbox2 padding10_tout font12" id="complement_veto_passeport" name="complement_veto_passeport" value="<?php echo $tableau_valeur['complement_veto_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="34" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_veto_passeport" name="mobile_veto_passeport" value="<?php echo $tableau_valeur['mobile_veto_passeport']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="29" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_veto_passeport" name="codepostal_veto_passeport" value="<?php echo $tableau_valeur['codepostal_veto_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="35" type="text" class="textbox textbox2 padding10_tout font12" id="fax_veto_passeport" name="fax_veto_passeport" value="<?php echo $tableau_valeur['fax_veto_passeport']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="30" type="text" class="textbox textbox2 padding10_tout font12" id="ville_veto_passeport" name="ville_veto_passeport" value="<?php echo $tableau_valeur['ville_veto_passeport']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="36" type="text" class="textbox textbox10 padding10_tout font12" id="email_veto_passeport" name="email_veto_passeport" value="<?php echo $tableau_valeur['email_veto_passeport']; ?>"> <i id="ouvrir_email_veto_passeport" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="31" type="text" class="textbox textbox2 padding10_tout font12" id="pays_veto_passeport" name="pays_veto_passeport"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="37" type="text" class="textbox textbox10 padding10_tout font12" id="email2_veto_passeport" name="email2_veto_passeport" value="<?php echo $tableau_valeur['email2_veto_passeport']; ?>"> <i id="ouvrir_email2_veto_passeport" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			</table>
		</div>
	
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_VACCINATIONS"); ?></p>
			<table id="table_vaccination" cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_VACCIN"); ?></td>
				<td class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_VACCIN"); ?></td>
				<td class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_VALIDE"); ?></td>
				<td class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_ANIMAUX_RAPPEL"); ?></td>
				<td class="fontnormal padding20_bas padding20_haut"><i id="bouton_plus_vaccin" title="<?php echo Langue("LBL_FAMILLE_MEMBRES_AJOUTER_VACCIN"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_FAMILLE_ANIMAUX_VETO"); ?></td>
		</tr>
<?php
			$decoupe_vaccins=explode("|",$tableau_valeur["vaccins"]);
			rsort($decoupe_vaccins,SORT_STRING);
			for ($i=0;$i<count($decoupe_vaccins);$i++)
			{
				$decoupe=explode("~",$decoupe_vaccins[$i]);
				if (!isset($decoupe[1])) {$decoupe[1]="";}
				if (!isset($decoupe[2])) {$decoupe[2]="";}
				if (!isset($decoupe[3])) {$decoupe[3]="";}
				if (!isset($decoupe[4])) {$decoupe[4]="";}
				echo '<tr>
						<td class="padding20_bas"><input type="text" class="textbox textbox6 padding10_tout font12 margin10_droite" name="vaccin[]" value="'.$decoupe[1].'"></td>
						<td class="padding20_bas"><input style="width:75px" type="text" class="datation textbox padding10_tout font12 margin10_droite" name="date_vaccin[]" value="'.Date_Convertir($decoupe[0],"Y-m-d",Parametre_Util('format_date')).'"></td>
						<td class="padding20_bas"><input style="width:75px" type="text" class="datation textbox padding10_tout font12 margin10_droite" name="date_limite[]" value="'.Date_Convertir($decoupe[2],"Y-m-d",Parametre_Util('format_date')).'"></td>
						<td class="padding20_bas"><select class="selectrappel textbox padding10_tout font12" name="rappel[]">';
				echo '<option value="0"';
				if ($decoupe[3]=="0") {echo ' SELECTED';}
				echo '>'.Langue('LBL_NON_FAIT').'</option>';
				echo '<option value="1"';
				if ($decoupe[3]=="1") {echo ' SELECTED';}
				echo '>'.Langue('LBL_FAIT').'</option>';
				echo '	</select></td>
						<td class="padding20_bas"><input style="width:300px" type="text" class="textbox padding10_tout font12 margin10_gauche" name="veto[]" value="'.$decoupe[4].'"></td>
					  </tr>';
			}
?>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_animal" id="bouton_animal"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_animal" id="bouton_supprimer_animal">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_animal" id="bouton_annuler_animal"><?php echo Langue("BTN_FAMILLE_ANIMAUX_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	$(".textbox4").css("width","100px");
	largeur=$(window).width()-800;
	$(".textbox6").css("width",largeur+"px").css("min-width","150px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#espece").val("<?php echo $tableau_valeur['espece']; ?>");
	$("#pays_veto").val("<?php echo $tableau_valeur['pays_veto']; ?>");
	$("#pays_veto_passeport").val("<?php echo $tableau_valeur['pays_veto_passeport']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#espece").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#sexe").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#type_marquage").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_veto").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_veto_passeport").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$(".selectrappel").chosen({width: "140px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email_veto").click(function(event) {event.preventDefault();if (checkRegexp($("#email_veto"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_veto").val();}});
	$("#ouvrir_email2_veto").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_veto"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_veto").val();}});
	$("#ouvrir_email_veto_passeport").click(function(event) {event.preventDefault();if (checkRegexp($("#email_veto_passeport"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_veto_passeport").val();}});
	$("#ouvrir_email2_veto_passeport").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_veto_passeport"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_veto_passeport").val();}});
	
	$("#date_naissance").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$("#date_marquage").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$("#date_passeport").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$(".datation").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_animal").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_animal").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=animaux&action=index";
	});
	
	$("#bouton_supprimer_animal").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_animal").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=animaux&action=supprimer_animal&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_imprimer_animal").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_animal").click();
	});
	
	$("#fichier_animal").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#bouton_plus_vaccin").click(function(event)
	{
		event.preventDefault();
		$("#table_vaccination").append('<tr><td class="padding20_bas"><input type="text" class="textbox textbox6 padding10_tout font12 margin10_droite" name="vaccin[]" value=""></td><td class="padding20_bas"><input style="width:75px" type="text" class="datation textbox padding10_tout font12 margin10_droite" name="date_vaccin[]" value=""></td><td class="padding20_bas"><input style="width:75px" type="text" class="datation textbox padding10_tout font12 margin10_droite" name="date_limite[]" value=""></td><td class="padding20_bas"><select class="selectrappel textbox padding10_tout font12" name="rappel[]"><option value="0"><?php echo Langue_JS("LBL_NON_FAIT"); ?></option><option value="1"><?php echo Langue_JS("LBL_FAIT"); ?></option></select></td><td class="padding20_bas"><input style="width:300px" type="text" class="textbox padding10_tout font12 margin10_gauche" name="veto[]" value=""></td><script type="text/javascript">$(".datation").datepicker({changeMonth: true,changeYear: true,dateFormat:"<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);<\/script></td></tr>');
		largeur=$(window).width()-800;
		$(".textbox6").css("width",largeur+"px").css("min-width","150px");
		$(".selectrappel").chosen({width: "140px",disable_search_threshold: 10});
	});
	
	$("#bouton_animal").click(function(event)
	{
		event.preventDefault();
		$("#form_animal").submit();
	});
	
	$("#telephone_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_veto"),regex_defaut['tel'])) {bValid=false;$("#telephone_veto").addClass("form-erreur");} else {$("#telephone_veto").removeClass("form-erreur");}});
	$("#telephone2_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_veto"),regex_defaut['tel'])) {bValid=false;$("#telephone2_veto").addClass("form-erreur");} else {$("#telephone2_veto").removeClass("form-erreur");}});
	$("#mobile_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_veto"),regex_defaut['tel'])) {bValid=false;$("#mobile_veto").addClass("form-erreur");} else {$("#mobile_veto").removeClass("form-erreur");}});
	$("#fax_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_veto"),regex_defaut['tel'])) {bValid=false;$("#fax_veto").addClass("form-erreur");} else {$("#fax_veto").removeClass("form-erreur");}});
	$("#telephone_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#telephone_veto_passeport").addClass("form-erreur");} else {$("#telephone_veto_passeport").removeClass("form-erreur");}});
	$("#telephone2_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#telephone2_veto_passeport").addClass("form-erreur");} else {$("#telephone2_veto_passeport").removeClass("form-erreur");}});
	$("#mobile_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#mobile_veto_passeport").addClass("form-erreur");} else {$("#mobile_veto_passeport").removeClass("form-erreur");}});
	$("#fax_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#fax_veto_passeport").addClass("form-erreur");} else {$("#fax_veto_passeport").removeClass("form-erreur");}});

	$("#email_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_veto"),regex_defaut['email'])) {bValid=false;$("#email_veto").addClass("form-erreur");} else {$("#email_veto").removeClass("form-erreur");}});
	$("#email2_veto").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_veto"),regex_defaut['email'])) {bValid=false;$("#email2_veto").addClass("form-erreur");} else {$("#email2_veto").removeClass("form-erreur");}});
	$("#email_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_veto_passeport"),regex_defaut['email'])) {bValid=false;$("#email_veto_passeport").addClass("form-erreur");} else {$("#email_veto_passeport").removeClass("form-erreur");}});
	$("#email2_veto_passeport").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_veto_passeport"),regex_defaut['email'])) {bValid=false;$("#email2_veto_passeport").addClass("form-erreur");} else {$("#email2_veto_passeport").removeClass("form-erreur");}});

	$("#form_animal").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}
		if (!checkValue($("#espece"))) {bValid=false;$("#espece").addClass("form-erreur");} else {$("#espece").removeClass("form-erreur");}
		if (!checkValue($("#race"))) {bValid=false;$("#race").addClass("form-erreur");} else {$("#race").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone_veto"),regex_defaut['tel'])) {bValid=false;$("#telephone_veto").addClass("form-erreur");} else {$("#telephone_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_veto"),regex_defaut['tel'])) {bValid=false;$("#telephone2_veto").addClass("form-erreur");} else {$("#telephone2_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_veto"),regex_defaut['tel'])) {bValid=false;$("#mobile_veto").addClass("form-erreur");} else {$("#mobile_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_veto"),regex_defaut['tel'])) {bValid=false;$("#fax_veto").addClass("form-erreur");} else {$("#fax_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#telephone_veto_passeport").addClass("form-erreur");} else {$("#telephone_veto_passeport").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#telephone2_veto_passeport").addClass("form-erreur");} else {$("#telephone2_veto_passeport").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#mobile_veto_passeport").addClass("form-erreur");} else {$("#mobile_veto_passeport").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_veto_passeport"),regex_defaut['tel'])) {bValid=false;$("#fax_veto_passeport").addClass("form-erreur");} else {$("#fax_veto_passeport").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email_veto"),regex_defaut['email'])) {bValid=false;$("#email_veto").addClass("form-erreur");} else {$("#email_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_veto"),regex_defaut['email'])) {bValid=false;$("#email2_veto").addClass("form-erreur");} else {$("#email2_veto").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_veto_passeport"),regex_defaut['email'])) {bValid=false;$("#email_veto_passeport").addClass("form-erreur");} else {$("#email_veto_passeport").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_veto_passeport"),regex_defaut['email'])) {bValid=false;$("#email2_veto_passeport").addClass("form-erreur");} else {$("#email2_veto_passeport").removeClass("form-erreur");}
		if (bValid==true)
		{
			$("#bouton_animal").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("animaux","ajouter_animal&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
