<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_animal" title="<?php echo Langue("LBL_FAMILLE_ANIMAUX_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-dog"></i> <?php echo Langue("LBL_FAMILLE_ANIMAUX_TITRE"); ?></p>
<?php
	unset($req_animal,$row_animal,$rows_animal);
	$req_animal=mysqli_query($link_bdd,"SELECT * FROM `animaux` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_animal)!="")
	{
		while ($row_animal=mysqli_fetch_array($req_animal))
		{
			$rows_animal[]=$row_animal;
		}
		echo '<table id="tableau_animal" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_NOM").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_ANIMAUX_ESPECE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_ANIMAUX_RACE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_DATE_NAISSANCE").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_ANIMAUX_CODE_IDENTIFICATION").'</p></th>
				<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LST_FAMILLE_ANIMAUX_NUMERO_PASSEPORT").'</p></th>
				<th width="25%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_ANIMAUX_VETERINAIRE").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_animal);$i++)
		{
			echo '<tr id="table_animal'.$rows_animal[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_FAMILLE_ANIMAUX_ESPECE_".Decryptage($rows_animal[$i]['espece'])).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['race']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Date_Convertir(Decryptage($rows_animal[$i]['date_naissance']),"Y-m-d",Parametre_Util('format_date')).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['code_identification']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['numero_passeport']).'</p></td>
					<td class="textegauche verticalalignhaut">';
			if (Decryptage($rows_animal[$i]['nom_veto'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['nom_veto']).'</p>';}
			if (Decryptage($rows_animal[$i]['rue_veto'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['rue_veto']).'</p>';}
			if (Decryptage($rows_animal[$i]['complement_veto'])!="")	{echo '<p class="font12 lineheight24">'.Decryptage($rows_animal[$i]['complement_veto']).'</p>';}
			if (Decryptage($rows_animal[$i]['codepostal_veto'])!="" || Decryptage($rows_animal[$i]['ville_veto'])!="")
			{
				echo '<p class="font12 lineheight24">';
				if (Decryptage($rows_animal[$i]['codepostal_veto'])!="") {echo Decryptage($rows_animal[$i]['codepostal_veto']).' ';}
				if (Decryptage($rows_animal[$i]['ville_veto'])!="") {echo Decryptage($rows_animal[$i]['ville_veto']);}
				echo '</p>';
			}
			if (Decryptage($rows_animal[$i]['telephone_veto'])!="" || Decryptage($rows_animal[$i]['telephone2_veto'])!="" || Decryptage($rows_animal[$i]['mobile_veto'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-phone-alt font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_animal[$i]['telephone_veto'])!="") {$msg .=Decryptage($rows_animal[$i]['telephone_veto']);}
				if (Decryptage($rows_animal[$i]['telephone2_veto'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_animal[$i]['telephone2_veto']);}
				if (Decryptage($rows_animal[$i]['mobile_veto'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_animal[$i]['mobile_veto']);}
				echo $msg.'</p>';
			}
			if (Decryptage($rows_animal[$i]['email_veto'])!="" || Decryptage($rows_animal[$i]['email2_veto'])!="")
			{
				echo '<p class="font12 lineheight24"><i class="fas fa-at font16 verticalalignmilieu"></i> ';
				$msg="";
				if (Decryptage($rows_animal[$i]['email_veto'])!="") {$msg .=Decryptage($rows_animal[$i]['email_veto']);}
				if (Decryptage($rows_animal[$i]['email2_veto'])!="") {if ($msg!="") {$msg .=' - ';} $msg .=Decryptage($rows_animal[$i]['email2_veto']);}
				echo $msg.'</p>';
			}
			echo '	</td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_animal'.$rows_animal[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("animaux","ajouter_animal&id='.$rows_animal[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_FAMILLE_ANIMAUX_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_animal").click(function(event) {event.preventDefault();Message(1);Action_Page("animaux","ajouter_animal");});

	$("#tableau_animal").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
