<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="textegauche"><img src="./images/logo_aproposde.png" class="logo_grand padding10_haut padding10_bas"></p>
	<p class="textegauche lineheight36 font18 fontgras"><?php echo Langue('LBL_AUTRES_APROPOSDE_VERSION').' '.Parametre_Config('version_application'); ?></p>
	<p class="textegauche lineheight24 font12 margin20_haut"><?php echo Langue('LBL_AUTRES_APROPOSDE_CONTRIBUTEURS').$espace[$_SESSION['langue_util']].":"; ?></p>
	<ul class="lineheight24 font12 textegauche padding0_tout margin0_tout margin20_gauche padding20_gauche">
		<li>Olivier Drieux (<?php echo Langue('LBL_AUTRES_APROPOSDE_CHEFPROJET'); ?>)</li>
		<li>Thomas Grandjean (<?php echo Langue('LBL_AUTRES_APROPOSDE_DEVELOPPEUR'); ?>)</li>
		<li>Isabelle Perret (<?php echo Langue('LBL_AUTRES_APROPOSDE_DEVELOPPEUSE'); ?>)</li>
		<li>Martin Vandevelde (<?php echo Langue('LBL_AUTRES_APROPOSDE_DEVELOPPEUR'); ?>)</li>
		<li>Pauline Ruffin (<?php echo Langue('LBL_AUTRES_APROPOSDE_DEVELOPPEUSE_TEST'); ?>)</li>
		<li>Julien Servet (<?php echo Langue('LBL_AUTRES_APROPOSDE_TEST'); ?>)</li>
	</ul>
	<p class="textegauche lineheight24 font12 margin20_haut"><?php echo Langue('LBL_AUTRES_APROPOSDE_TIERS').$espace[$_SESSION['langue_util']].":"; ?></p>
	<ul class="lineheight24 font12 textegauche padding0_tout margin0_tout margin20_gauche padding20_gauche">
		<li><b><?php echo Langue('LBL_AUTRES_APROPOSDE_SCRIPTS'); ?></b></li>
		<ul class="lineheight24 font12 textegauche padding0_tout margin0_tout margin20_gauche padding20_gauche">
			<li><u>Chosen 1.8.7</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_CHOSEN'); ?> (<a class="lien_bleu" target="_blank" href="https://harvesthq.github.io/chosen/">https://harvesthq.github.io/chosen/</a>).</li>
			<li><u>Datatables 1.10.20</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_DATATABLES'); ?> (<a class="lien_bleu" target="_blank" href="https://datatables.net">https://datatables.net</a>).</li>
			<li><u>Datatables Responsive 2.2.3</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_DATATABLES_RESPONSIVE'); ?> (<a class="lien_bleu" target="_blank" href="https://datatables.net">https://datatables.net</a>).</li>
			<li><u>Fira Sans</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_FIRASANS'); ?> (<a class="lien_bleu" target="_blank" href="http://www.carrois.com">http://www.carrois.com</a>).</li>
			<li><u>FontAwesome 5.12.1</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_FONTAWESOME'); ?> (<a class="lien_bleu" target="_blank" href="https://fontawesome.com">https://fontawesome.com</a>).</li>
			<li><u>jQuery 3.4.1</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_JQUERY'); ?> (<a class="lien_bleu" target="_blank" href="https://jquery.com">https://jquery.com</a>).</li>
			<li><u>jQueryUI 1.12.1</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_JQUERYUI'); ?> (<a class="lien_bleu" target="_blank" href="http://jqueryui.com">http://jqueryui.com</a>)</li>
			<li><u>jQuery Print 1.6.0</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_JQUERYPRINT'); ?> (<a class="lien_bleu" target="_blank" href="http://doersguild.github.io/jQuery.print">http://doersguild.github.io/jQuery.print</a>).</li>
			<li><u>Menu Off-Canvas</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_MENU_OFFCANVAS'); ?> (<a class="lien_bleu" target="_blank" href="http://www.jqueryscript.net/menu/Smooth-Sidebar-Navigation-with-jQuery-CSS3.html">http://www.jqueryscript.net/menu/Smooth-Sidebar-Navigation-with-jQuery-CSS3.html</a>).</li>
			<li><u>Moment.js 2.8.3</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_MOMENTJS'); ?> (<a class="lien_bleu" target="_blank" href="https://momentjs.com/">https://momentjs.com/</a>).</li>
			<li><u>Open Sans Condensed</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_OPENSANS'); ?> (<a class="lien_bleu" target="_blank" href="https://fonts.google.com/specimen/Open+Sans+Condensed">https://fonts.google.com/specimen/Open+Sans+Condensed</a>).</li>
			<li><u>PCLZIP 2.8.2</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_PCLZIP'); ?> (<a class="lien_bleu" target="_blank" href="http://www.phpconcept.net">http://www.phpconcept.net</a>).</li>
			<li><u>PHPjs 3.26</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_PHPJS'); ?> (<a class="lien_bleu" target="_blank" href="http://locutus.io">http://locutus.io</a>).</li>
			<li><u>Tooltipster 4.2.7</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_TOOLTIPSTER'); ?> (<a class="lien_bleu" target="_blank" href="http://iamceege.github.io/tooltipster/">http://iamceege.github.io/tooltipster/</a>).</li>
			<li><u>Yellowtail</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue('LBL_AUTRES_APROPOSDE_YELLOWTAIL'); ?> (<a class="lien_bleu" target="_blank" href="https://fonts.google.com/specimen/Yellowtail">https://fonts.google.com/specimen/Yellowtail</a>).</li>
		</ul>
		<li class="margin20_haut"><b><?php echo Langue('LBL_AUTRES_APROPOSDE_SERVICES_EXTERIEURS'); ?></b></li>
		<ul class="lineheight24 font12 textegauche padding0_tout margin0_tout margin20_gauche padding20_gauche">
			<li><u>Deezer</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_DEEZER"); ?> (<a class="lien_bleu" href="https://www.deezer.com" target="_blank">https://www.deezer.com</a>).</li>
			<li><u>Favicon.ico & App Icon Generator</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_FAVICONGENERATOR"); ?> (<a class="lien_bleu" href="https://www.favicon-generator.org/" target="_blank">https://www.favicon-generator.org/</a>).</li>
			<li><u>Google Fonts</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_GOOGLEFONTS"); ?> (<a class="lien_bleu" href="https://fonts.google.com/" target="_blank">https://fonts.google.com/</a>).</li>
			<li><u>Google Translate</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_GOOGLE_TRANSLATE"); ?> (<a class="lien_bleu" href="https://translate.google.com" target="_blank">https://translate.google.com</a>).</li>
			<li><u>Reverso</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_REVERSO"); ?> (<a class="lien_bleu" href="http://www.reverso.net" target="_blank">http://www.reverso.net</a>).</li>
			<li><u>Spotify</u><?php echo $espace[$_SESSION['langue_util']]; ?>: <?php echo Langue("LBL_AUTRES_APROPOSDE_SPOTIFY"); ?> (<a class="lien_bleu" href="https://www.spotify.com" target="_blank">https://www.spotify.com</a>).</li>
		</ul>
	</ul>
	<p class="textegauche lineheight24 font12 margin20_haut"><?php echo Langue('LBL_AUTRES_APROPOSDE_LOGOS_MARQUES'); ?></p>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
});
</script>
