<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "biens_immobiliers/parametres.php";
	foreach ($tableau_bien_immobilier AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur["utilisation"]="0";
	$tableau_valeur["statut"]="P";
	$tableau_valeur["type"]="MA";
	$tableau_valeur["occupation"]=date("Y");
	$tableau_valeur["pays"]=Parametre_Util("pays");
	$tableau_valeur["pays_banque"]=Parametre_Util("pays");
	$tableau_valeur["pays_assurance"]=Parametre_Util("pays");
	$tableau_valeur["pays_proprietaire"]=Parametre_Util("pays");
	$tableau_valeur["cout_type"]="P";
	$tableau_valeur["cout_monnaie"]=Parametre_Util("monnaie");
	$tableau_valeur["monnaie_banque"]=Parametre_Util("monnaie");
	$tableau_valeur["monnaie_locataire"]=Parametre_Util("monnaie");
	
	if (isset($_GET['id']))
	{
		$req_bien_immo=mysqli_query($link_bdd,"SELECT * FROM `biens_immobiliers` WHERE id='".$_GET['id']."'");
		$row_bien_immo=mysqli_fetch_array($req_bien_immo);
		$tableau_valeur['id']=$row_bien_immo['id'];
		foreach ($tableau_bien_immobilier AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_bien_immo[$cle]));
		}
	}
	
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_contact" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-home"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_AJOUTER"); ?></p>
	<form id="form_bien_immo" name="form_bien_immo" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="biens_immobiliers">
	<input type="hidden" id="action" name="action" value="save_bien_immo">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_bien_immo" name="fichier_bien_immo" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_IDENTITE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=4 class="verticalalignhaut">
<?php
					if (file_exists("./cache/biens_immobiliers/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/biens_immobiliers/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_FAMILLE_CARNET_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_BIENS_IMMOBILIERS_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_TYPE"); ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="type" name="type">
					<option value="MA" <?php if ($tableau_valeur['type']=="MA") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_TYPE_MA"); ?></option>
					<option value="AP" <?php if ($tableau_valeur['type']=="AP") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_TYPE_AP"); ?></option>
					<option value="MH" <?php if ($tableau_valeur['type']=="MH") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_TYPE_MH"); ?></option>
					<option value="AU" <?php if ($tableau_valeur['type']=="AU") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_TYPE_AU"); ?></option>
				</select>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_UTILISATION"); ?><br /><select tabIndex="3" class="textbox textbox2 padding10_tout font12" id="utilisation" name="utilisation">
					<option value="0" <?php if ($tableau_valeur['utilisation']=="0") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_UTILISATION_0"); ?></option>
					<option value="1" <?php if ($tableau_valeur['utilisation']=="1") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_UTILISATION_1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['utilisation']=="2") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_UTILISATION_2"); ?></option>
					<option value="3" <?php if ($tableau_valeur['utilisation']=="3") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_UTILISATION_3"); ?></option>
				</select>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_OCCUPATION"); ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="occupation" name="occupation">
<?php
				for ($i=date("Y")-100;$i<=date("Y");$i++)
				{
					echo '<option value="'.$i.'"';
					if ($tableau_valeur['occupation']==$i) {echo " SELECTED";}
					echo '>'.$i.'</option>';
				}
?>
				</select>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_STATUT"); ?><br /><select tabIndex="5" class="textbox textbox2 padding10_tout font12" id="statut" name="statut">
					<option value="P" <?php if ($tableau_valeur['statut']=="P") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_STATUT_P"); ?></option>
					<option value="L" <?php if ($tableau_valeur['statut']=="L") {echo "SELECTED";} ?>><?php echo Langue("LBL_BIENS_IMMOBILIERS_STATUT_L"); ?></option>
				</select>
				</td>
			</tr>
			<tr>
				<td colspan=2 class="fontnormal padding10_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_COUT"); ?><br /><input tabIndex="6" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="cout_montant" name="cout_montant" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['cout_montant'],2); ?>"><select tabindex="7" name="cout_monnaie" id="cout_monnaie" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_COORDONNEES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="rue" name="rue" value="<?php echo $tableau_valeur['rue']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="13" type="text" class="textbox textbox2 padding10_tout font12" id="telephone" name="telephone" value="<?php echo $tableau_valeur['telephone']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="9" type="text" class="textbox textbox2 padding10_tout font12" id="complement" name="complement" value="<?php echo $tableau_valeur['complement']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="14" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2" name="telephone2" value="<?php echo $tableau_valeur['telephone2']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="10" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal" name="codepostal" value="<?php echo $tableau_valeur['codepostal']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="11" type="text" class="textbox textbox2 padding10_tout font12" id="ville" name="ville" value="<?php echo $tableau_valeur['ville']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="12" class="textbox textbox2 padding10_tout font12" id="pays" name="pays"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_STATUT_P"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_NOM"); ?><br /><input tabIndex="15" type="text" class="textbox textbox2 padding10_tout font12" id="nom_proprietaire" name="nom_proprietaire" value="<?php echo $tableau_valeur['nom_proprietaire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="22" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_proprietaire" name="telephone_proprietaire" value="<?php echo $tableau_valeur['telephone_proprietaire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_PRENOM"); ?><br /><input tabIndex="16" type="text" class="textbox textbox2 padding10_tout font12" id="prenom_proprietaire" name="prenom_proprietaire" value="<?php echo $tableau_valeur['prenom_proprietaire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="23" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_proprietaire" name="telephone2_proprietaire" value="<?php echo $tableau_valeur['telephone2_proprietaire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="17" type="text" class="textbox textbox2 padding10_tout font12" id="rue_proprietaire" name="rue_proprietaire" value="<?php echo $tableau_valeur['rue_proprietaire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="24" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_proprietaire" name="mobile_proprietaire" value="<?php echo $tableau_valeur['mobile_proprietaire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="18" type="text" class="textbox textbox2 padding10_tout font12" id="complement_proprietaire" name="complement_proprietaire" value="<?php echo $tableau_valeur['complement_proprietaire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="25" type="text" class="textbox textbox10 padding10_tout font12" id="email_proprietaire" name="email_proprietaire" value="<?php echo $tableau_valeur['email_proprietaire']; ?>"> <i id="ouvrir_email_proprietaire" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="19" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_proprietaire" name="codepostal_proprietaire" value="<?php echo $tableau_valeur['codepostal_proprietaire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="26" type="text" class="textbox textbox10 padding10_tout font12" id="email2_proprietaire" name="email2_proprietaire" value="<?php echo $tableau_valeur['email2_proprietaire']; ?>"> <i id="ouvrir_email2_proprietaire" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="20" type="text" class="textbox textbox2 padding10_tout font12" id="ville_proprietaire" name="ville_proprietaire" value="<?php echo $tableau_valeur['ville_proprietaire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="21" class="textbox textbox2 padding10_tout font12" id="pays_proprietaire" name="pays_proprietaire"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_STATUT_L"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_NOM"); ?><br /><input tabIndex="27" type="text" class="textbox textbox2 padding10_tout font12" id="nom_locataire" name="nom_locataire" value="<?php echo $tableau_valeur['nom_locataire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="32" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_locataire" name="telephone_locataire" value="<?php echo $tableau_valeur['telephone_locataire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_PRENOM"); ?><br /><input tabIndex="28" type="text" class="textbox textbox2 padding10_tout font12" id="prenom_locataire" name="prenom_locataire" value="<?php echo $tableau_valeur['prenom_locataire']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="33" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_locataire" name="telephone2_locataire" value="<?php echo $tableau_valeur['telephone2_locataire']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_DATE_LOCATAIRE"); ?><br /><input tabIndex="29" type="text" class="textbox padding10_tout font12" id="date_locataire" name="date_locataire" value="<?php echo Date_Convertir($tableau_valeur['date_locataire'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="34" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_locataire" name="mobile_locataire" value="<?php echo $tableau_valeur['mobile_locataire']; ?>"></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_LOYER"); ?><br /><input tabIndex="30" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="loyer_locataire" name="loyer_locataire" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['loyer_locataire'],2); ?>"><select tabindex="31" name="monnaie_locataire" id="monnaie_locataire" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="35" type="text" class="textbox textbox10 padding10_tout font12" id="email_locataire" name="email_locataire" value="<?php echo $tableau_valeur['email_locataire']; ?>"> <i id="ouvrir_email_locataire" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="36" type="text" class="textbox textbox10 padding10_tout font12" id="email2_locataire" name="email2_locataire" value="<?php echo $tableau_valeur['email2_locataire']; ?>"> <i id="ouvrir_email2_locataire" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_PRET"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_BIENS_IMMOBILIERS_PRET_REFERENCE"); ?><br /><input tabIndex="37" type="text" class="textbox textbox2 padding10_tout font12" id="reference_banque" name="reference_banque" value="<?php echo $tableau_valeur['reference_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_DATE_DEBUT"); ?><br /><input tabIndex="41" type="text" class="textbox padding10_tout font12" id="datedebut_banque" name="datedebut_banque" value="<?php echo Date_Convertir($tableau_valeur['datedebut_banque'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_PRET_MONTANT"); ?><br /><input tabIndex="38" type="text" class="textbox textbox11 padding10_tout font12 margin5_droite" id="montant_banque" name="montant_banque" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['montant_banque'],2); ?>"><select tabindex="39" name="monnaie_banque" id="monnaie_banque" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_DATE_FIN"); ?><br /><input tabIndex="42" type="text" class="textbox padding10_tout font12" id="datefin_banque" name="datefin_banque" value="<?php echo Date_Convertir($tableau_valeur['datefin_banque'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_PRET_TAUX"); ?><br /><input tabIndex="40" type="text" class="textbox textbox11 padding10_tout font12" id="taux_banque" name="taux_banque" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['taux_banque'],2); ?>"> %</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_PRET_NOM_BANQUE"); ?><br /><input tabIndex="43" type="text" class="textbox textbox2 padding10_tout font12" id="nom_banque" name="nom_banque" value="<?php echo $tableau_valeur['nom_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="49" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_banque" name="telephone_banque" value="<?php echo $tableau_valeur['telephone_banque']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="44" type="text" class="textbox textbox2 padding10_tout font12" id="rue_banque" name="rue_banque" value="<?php echo $tableau_valeur['rue_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="50" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_banque" name="telephone2_banque" value="<?php echo $tableau_valeur['telephone2_banque']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="45" type="text" class="textbox textbox2 padding10_tout font12" id="complement_banque" name="complement_banque" value="<?php echo $tableau_valeur['complement_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="51" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_banque" name="mobile_banque" value="<?php echo $tableau_valeur['mobile_banque']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="46" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_banque" name="codepostal_banque" value="<?php echo $tableau_valeur['codepostal_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="52" type="text" class="textbox textbox2 padding10_tout font12" id="fax_banque" name="fax_banque" value="<?php echo $tableau_valeur['fax_banque']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="47" type="text" class="textbox textbox2 padding10_tout font12" id="ville_banque" name="ville_banque" value="<?php echo $tableau_valeur['ville_banque']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="53" type="text" class="textbox textbox10 padding10_tout font12" id="email_banque" name="email_banque" value="<?php echo $tableau_valeur['email_banque']; ?>"> <i id="ouvrir_email_banque" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="48" class="textbox textbox2 padding10_tout font12" id="pays_banque" name="pays_banque"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="54" type="text" class="textbox textbox10 padding10_tout font12" id="email2_banque" name="email2_banque" value="<?php echo $tableau_valeur['email2_banque']; ?>"> <i id="ouvrir_email2_banque" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="55" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_banque" name="facebook_banque" value="<?php echo $tableau_valeur['facebook_banque']; ?>"> <i id="ouvrir_facebook_banque" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="58" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_banque" name="linkedin_banque" value="<?php echo $tableau_valeur['linkedin_banque']; ?>"> <i id="ouvrir_linkedin_banque" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="56" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_banque" name="twitter_banque" value="<?php echo $tableau_valeur['twitter_banque']; ?>"> <i id="ouvrir_twitter_banque" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="59" type="text" class="textbox textbox10 padding10_tout font12" id="xing_banque" name="xing_banque" value="<?php echo $tableau_valeur['xing_banque']; ?>"> <i id="ouvrir_xing_banque" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="57" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_banque" name="siteweb_banque" value="<?php echo $tableau_valeur['siteweb_banque']; ?>"> <i id="ouvrir_siteweb_banque" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_BIENS_IMMOBILIERS_ASSURANCE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_REFERENCE_ASSURANCE"); ?><br /><input tabIndex="60" type="text" class="textbox textbox2 padding10_tout font12" id="reference_assurance" name="reference_assurance" value="<?php echo $tableau_valeur['reference_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="67" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_assurance" name="telephone_assurance" value="<?php echo $tableau_valeur['telephone_assurance']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_BIENS_IMMOBILIERS_NOM_ASSUREUR"); ?><br /><input tabIndex="61" type="text" class="textbox textbox2 padding10_tout font12" id="societe_assurance" name="societe_assurance" value="<?php echo $tableau_valeur['societe_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="68" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_assurance" name="telephone2_assurance" value="<?php echo $tableau_valeur['telephone2_assurance']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="62" type="text" class="textbox textbox2 padding10_tout font12" id="rue_assurance" name="rue_assurance" value="<?php echo $tableau_valeur['rue_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="69" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_assurance" name="mobile_assurance" value="<?php echo $tableau_valeur['mobile_assurance']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="63" type="text" class="textbox textbox2 padding10_tout font12" id="complement_assurance" name="complement_assurance" value="<?php echo $tableau_valeur['complement_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="70" type="text" class="textbox textbox2 padding10_tout font12" id="fax_assurance" name="fax_assurance" value="<?php echo $tableau_valeur['fax_assurance']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="64" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_assurance" name="codepostal_assurance" value="<?php echo $tableau_valeur['codepostal_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="71" type="text" class="textbox textbox10 padding10_tout font12" id="email_assurance" name="email_assurance" value="<?php echo $tableau_valeur['email_assurance']; ?>"> <i id="ouvrir_email_assurance" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="65" type="text" class="textbox textbox2 padding10_tout font12" id="ville_assurance" name="ville_assurance" value="<?php echo $tableau_valeur['ville_assurance']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="72" type="text" class="textbox textbox10 padding10_tout font12" id="email2_assurance" name="email2_assurance" value="<?php echo $tableau_valeur['email2_assurance']; ?>"> <i id="ouvrir_email2_assurance" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="66" class="textbox textbox2 padding10_tout font12" id="pays_assurance" name="pays_assurance"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="73" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_assurance" name="facebook_assurance" value="<?php echo $tableau_valeur['facebook_assurance']; ?>"> <i id="ouvrir_facebook_assurance" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="76" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_assurance" name="linkedin_assurance" value="<?php echo $tableau_valeur['linkedin_assurance']; ?>"> <i id="ouvrir_linkedin_assurance" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="74" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_assurance" name="twitter_assurance" value="<?php echo $tableau_valeur['twitter_assurance']; ?>"> <i id="ouvrir_twitter_assurance" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="77" type="text" class="textbox textbox10 padding10_tout font12" id="xing_assurance" name="xing_assurance" value="<?php echo $tableau_valeur['xing_assurance']; ?>"> <i id="ouvrir_xing_assurance" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="75" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_assurance" name="siteweb_assurance" value="<?php echo $tableau_valeur['siteweb_assurance']; ?>"> <i id="ouvrir_siteweb_assurance" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabindex="78" class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_bien_immo" id="bouton_bien_immo"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_bien_immo" id="bouton_supprimer_bien_immo">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_bien_immo" id="bouton_annuler_bien_immo"><?php echo Langue("BTN_BIENS_IMMOBILIERS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	$(".textbox11").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#utilisation").val("<?php echo $tableau_valeur['utilisation']; ?>");
	$("#statut").val("<?php echo $tableau_valeur['statut']; ?>");
	$("#type").val("<?php echo $tableau_valeur['type']; ?>");
	$("#occupation").val("<?php echo $tableau_valeur['occupation']; ?>");
	$("#cout_type").val("<?php echo $tableau_valeur['cout_type']; ?>");
	$("#cout_monnaie").val("<?php echo $tableau_valeur['cout_monnaie']; ?>");
	$("#monnaie_banque").val("<?php echo $tableau_valeur['monnaie_banque']; ?>");
	$("#monnaie_locataire").val("<?php echo $tableau_valeur['monnaie_locataire']; ?>");
	$("#pays").val("<?php echo $tableau_valeur['pays']; ?>");
	$("#pays_proprietaire").val("<?php echo $tableau_valeur['pays_proprietaire']; ?>");
	$("#pays_banque").val("<?php echo $tableau_valeur['pays_banque']; ?>");
	$("#pays_assurance").val("<?php echo $tableau_valeur['pays_assurance']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#utilisation").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#statut").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#type").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#occupation").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#cout_type").chosen({width: "100px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#cout_monnaie").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#monnaie_banque").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#monnaie_locataire").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_proprietaire").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_banque").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_assurance").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email_proprietaire").click(function(event) {event.preventDefault();if (checkRegexp($("#email_proprietaire"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_proprietaire").val();}});
	$("#ouvrir_email2_proprietaire").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_proprietaire"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_proprietaire").val();}});
	$("#ouvrir_email_locataire").click(function(event) {event.preventDefault();if (checkRegexp($("#email_locataire"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_locataire").val();}});
	$("#ouvrir_email2_locataire").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_locataire"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_locataire").val();}});
	$("#ouvrir_email_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#email_banque"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_banque").val();}});
	$("#ouvrir_email2_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_banque"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_banque").val();}});
	$("#ouvrir_email_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#email_assurance"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_assurance").val();}});
	$("#ouvrir_email2_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_assurance"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_assurance").val();}});
	
	$("#ouvrir_facebook_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_banque"),regex_defaut['facebook'])) {window.open($("#facebook_banque").val());}});
	$("#ouvrir_twitter_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_banque"),regex_defaut['twitter'])) {window.open($("#twitter_banque").val());}});
	$("#ouvrir_linkedin_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_banque"),regex_defaut['linkedin'])) {window.open($("#linkedin_banque").val());}});
	$("#ouvrir_xing_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_banque"),regex_defaut['xing'])) {window.open($("#xing_banque").val());}});
	$("#ouvrir_siteweb_banque").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_banque"),regex_defaut['url'])) {window.open($("#siteweb_banque").val());}});
	$("#ouvrir_facebook_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_assurance"),regex_defaut['facebook'])) {window.open($("#facebook_assurance").val());}});
	$("#ouvrir_twitter_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_assurance"),regex_defaut['twitter'])) {window.open($("#twitter_assurance").val());}});
	$("#ouvrir_linkedin_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_assurance"),regex_defaut['linkedin'])) {window.open($("#linkedin_assurance").val());}});
	$("#ouvrir_xing_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_assurance"),regex_defaut['xing'])) {window.open($("#xing_assurance").val());}});
	$("#ouvrir_siteweb_assurance").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_assurance"),regex_defaut['url'])) {window.open($("#siteweb_assurance").val());}});

	$("#date_locataire").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
   }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#datedebut_banque").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
   }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#datefin_banque").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
   }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);

	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_bien_immo").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_bien_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=biens_immobiliers&action=index";
	});
	
	$("#bouton_supprimer_bien_immo").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_bien_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=biens_immobiliers&action=supprimer_bien_immo&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_bien_immo").click(function(event)
	{
		event.preventDefault();
		$("#form_bien_immo").submit();
	});
	
	$("#bouton_imprimer_contact").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_bien_immo").click();
	});
	
	$("#fichier_bien_immo").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#cout_montant").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#cout_montant"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#cout_montant").addClass("form-erreur");} else {$("#cout_montant").removeClass("form-erreur");}});
	$("#montant_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#montant_banque"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_banque").addClass("form-erreur");} else {$("#montant_banque").removeClass("form-erreur");}});
	$("#taux_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#taux_banque"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#taux_banque").addClass("form-erreur");} else {$("#taux_banque").removeClass("form-erreur");}});
	$("#loyer_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#loyer_locataire"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#loyer_locataire").addClass("form-erreur");} else {$("#loyer_locataire").removeClass("form-erreur");}});

	$("#telephone").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}});
	$("#telephone2").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}});
	$("#telephone_proprietaire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#telephone_proprietaire").addClass("form-erreur");} else {$("#telephone_proprietaire").removeClass("form-erreur");}});
	$("#telephone2_proprietaire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#telephone2_proprietaire").addClass("form-erreur");} else {$("#telephone2_proprietaire").removeClass("form-erreur");}});
	$("#mobile_proprietaire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#mobile_proprietaire").addClass("form-erreur");} else {$("#mobile_proprietaire").removeClass("form-erreur");}});
	$("#telephone_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_banque"),regex_defaut['tel'])) {bValid=false;$("#telephone_banque").addClass("form-erreur");} else {$("#telephone_banque").removeClass("form-erreur");}});
	$("#telephone2_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_banque"),regex_defaut['tel'])) {bValid=false;$("#telephone2_banque").addClass("form-erreur");} else {$("#telephone2_banque").removeClass("form-erreur");}});
	$("#mobile_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_banque"),regex_defaut['tel'])) {bValid=false;$("#mobile_banque").addClass("form-erreur");} else {$("#mobile_banque").removeClass("form-erreur");}});
	$("#fax_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_banque"),regex_defaut['tel'])) {bValid=false;$("#fax_banque").addClass("form-erreur");} else {$("#fax_banque").removeClass("form-erreur");}});
	$("#telephone_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_locataire"),regex_defaut['tel'])) {bValid=false;$("#telephone_locataire").addClass("form-erreur");} else {$("#telephone_locataire").removeClass("form-erreur");}});
	$("#telephone2_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_locataire"),regex_defaut['tel'])) {bValid=false;$("#telephone2_locataire").addClass("form-erreur");} else {$("#telephone2_locataire").removeClass("form-erreur");}});
	$("#mobile_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_locataire"),regex_defaut['tel'])) {bValid=false;$("#mobile_locataire").addClass("form-erreur");} else {$("#mobile_locataire").removeClass("form-erreur");}});
	$("#telephone_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_assurance"),regex_defaut['tel'])) {bValid=false;$("#telephone_assurance").addClass("form-erreur");} else {$("#telephone_assurance").removeClass("form-erreur");}});
	$("#telephone2_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_assurance"),regex_defaut['tel'])) {bValid=false;$("#telephone2_assurance").addClass("form-erreur");} else {$("#telephone2_assurance").removeClass("form-erreur");}});
	$("#mobile_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_assurance"),regex_defaut['tel'])) {bValid=false;$("#mobile_assurance").addClass("form-erreur");} else {$("#mobile_assurance").removeClass("form-erreur");}});
	$("#fax_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_assurance"),regex_defaut['tel'])) {bValid=false;$("#fax_assurance").addClass("form-erreur");} else {$("#fax_assurance").removeClass("form-erreur");}});

	$("#email_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_locataire"),regex_defaut['email'])) {bValid=false;$("#email_locataire").addClass("form-erreur");} else {$("#email_locataire").removeClass("form-erreur");}});
	$("#email2_locataire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_locataire"),regex_defaut['email'])) {bValid=false;$("#email2_locataire").addClass("form-erreur");} else {$("#email2_locataire").removeClass("form-erreur");}});
	$("#email_proprietaire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_proprietaire"),regex_defaut['email'])) {bValid=false;$("#email_proprietaire").addClass("form-erreur");} else {$("#email_proprietaire").removeClass("form-erreur");}});
	$("#email2_proprietaire").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_proprietaire"),regex_defaut['email'])) {bValid=false;$("#email2_proprietaire").addClass("form-erreur");} else {$("#email2_proprietaire").removeClass("form-erreur");}});
	$("#email_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_banque"),regex_defaut['email'])) {bValid=false;$("#email_banque").addClass("form-erreur");} else {$("#email_banque").removeClass("form-erreur");}});
	$("#email2_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_banque"),regex_defaut['email'])) {bValid=false;$("#email2_banque").addClass("form-erreur");} else {$("#email2_banque").removeClass("form-erreur");}});
	$("#email_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_assurance"),regex_defaut['email'])) {bValid=false;$("#email_assurance").addClass("form-erreur");} else {$("#email_assurance").removeClass("form-erreur");}});
	$("#email2_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_assurance"),regex_defaut['email'])) {bValid=false;$("#email2_assurance").addClass("form-erreur");} else {$("#email2_assurance").removeClass("form-erreur");}});

	$("#facebook_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_banque"),regex_defaut['facebook'])) {bValid=false;$("#facebook_banque").addClass("form-erreur");} else {$("#facebook_banque").removeClass("form-erreur");}});
	$("#twitter_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_banque"),regex_defaut['twitter'])) {bValid=false;$("#twitter_banque").addClass("form-erreur");} else {$("#twitter_banque").removeClass("form-erreur");}});
	$("#linkedin_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_banque"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_banque").addClass("form-erreur");} else {$("#linkedin_banque").removeClass("form-erreur");}});
	$("#xing_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_banque"),regex_defaut['xing'])) {bValid=false;$("#xing_banque").addClass("form-erreur");} else {$("#xing_banque").removeClass("form-erreur");}});
	$("#siteweb_banque").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_banque"),regex_defaut['url'])) {bValid=false;$("#siteweb_banque").addClass("form-erreur");} else {$("#siteweb_banque").removeClass("form-erreur");}});
	$("#facebook_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_assurance"),regex_defaut['facebook'])) {bValid=false;$("#facebook_assurance").addClass("form-erreur");} else {$("#facebook_assurance").removeClass("form-erreur");}});
	$("#twitter_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_assurance"),regex_defaut['twitter'])) {bValid=false;$("#twitter_assurance").addClass("form-erreur");} else {$("#twitter_assurance").removeClass("form-erreur");}});
	$("#linkedin_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_assurance"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_assurance").addClass("form-erreur");} else {$("#linkedin_assurance").removeClass("form-erreur");}});
	$("#xing_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_assurance"),regex_defaut['xing'])) {bValid=false;$("#xing_assurance").addClass("form-erreur");} else {$("#xing_assurance").removeClass("form-erreur");}});
	$("#siteweb_assurance").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_assurance"),regex_defaut['url'])) {bValid=false;$("#siteweb_assurance").addClass("form-erreur");} else {$("#siteweb_assurance").removeClass("form-erreur");}});

	$("#form_bien_immo").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#cout_montant"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#cout_montant").addClass("form-erreur");} else {$("#cout_montant").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#montant_banque"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#montant_banque").addClass("form-erreur");} else {$("#montant_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#taux_banque"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#taux_banque").addClass("form-erreur");} else {$("#taux_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#loyer_locataire"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#loyer_locataire").addClass("form-erreur");} else {$("#loyer_locataire").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#telephone_proprietaire").addClass("form-erreur");} else {$("#telephone_proprietaire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#telephone2_proprietaire").addClass("form-erreur");} else {$("#telephone2_proprietaire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_proprietaire"),regex_defaut['tel'])) {bValid=false;$("#mobile_proprietaire").addClass("form-erreur");} else {$("#mobile_proprietaire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_locataire"),regex_defaut['tel'])) {bValid=false;$("#telephone_locataire").addClass("form-erreur");} else {$("#telephone_locataire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_locataire"),regex_defaut['tel'])) {bValid=false;$("#telephone2_locataire").addClass("form-erreur");} else {$("#telephone2_locataire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_locataire"),regex_defaut['tel'])) {bValid=false;$("#mobile_locataire").addClass("form-erreur");} else {$("#mobile_locataire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_banque"),regex_defaut['tel'])) {bValid=false;$("#telephone_banque").addClass("form-erreur");} else {$("#telephone_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_banque"),regex_defaut['tel'])) {bValid=false;$("#telephone2_banque").addClass("form-erreur");} else {$("#telephone2_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_banque"),regex_defaut['tel'])) {bValid=false;$("#mobile_banque").addClass("form-erreur");} else {$("#mobile_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_banque"),regex_defaut['tel'])) {bValid=false;$("#fax_banque").addClass("form-erreur");} else {$("#fax_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_assurance"),regex_defaut['tel'])) {bValid=false;$("#telephone_assurance").addClass("form-erreur");} else {$("#telephone_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_assurance"),regex_defaut['tel'])) {bValid=false;$("#telephone2_assurance").addClass("form-erreur");} else {$("#telephone2_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_assurance"),regex_defaut['tel'])) {bValid=false;$("#mobile_assurance").addClass("form-erreur");} else {$("#mobile_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_assurance"),regex_defaut['tel'])) {bValid=false;$("#fax_assurance").addClass("form-erreur");} else {$("#fax_assurance").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email_proprietaire"),regex_defaut['email'])) {bValid=false;$("#email_proprietaire").addClass("form-erreur");} else {$("#email_proprietaire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_proprietaire"),regex_defaut['email'])) {bValid=false;$("#email2_proprietaire").addClass("form-erreur");} else {$("#email2_proprietaire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_locataire"),regex_defaut['email'])) {bValid=false;$("#email_locataire").addClass("form-erreur");} else {$("#email_locataire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_locataire"),regex_defaut['email'])) {bValid=false;$("#email2_locataire").addClass("form-erreur");} else {$("#email2_locataire").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_banque"),regex_defaut['email'])) {bValid=false;$("#email_banque").addClass("form-erreur");} else {$("#email_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_banque"),regex_defaut['email'])) {bValid=false;$("#email2_banque").addClass("form-erreur");} else {$("#email2_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_assurance"),regex_defaut['email'])) {bValid=false;$("#email_assurance").addClass("form-erreur");} else {$("#email_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_assurance"),regex_defaut['email'])) {bValid=false;$("#email2_assurance").addClass("form-erreur");} else {$("#email2_assurance").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#facebook_banque"),regex_defaut['facebook'])) {bValid=false;$("#facebook_banque").addClass("form-erreur");} else {$("#facebook_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_banque"),regex_defaut['twitter'])) {bValid=false;$("#twitter_banque").addClass("form-erreur");} else {$("#twitter_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_banque"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_banque").addClass("form-erreur");} else {$("#linkedin_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_banque"),regex_defaut['xing'])) {bValid=false;$("#xing_banque").addClass("form-erreur");} else {$("#xing_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_banque"),regex_defaut['url'])) {bValid=false;$("#siteweb_banque").addClass("form-erreur");} else {$("#siteweb_banque").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#facebook_assurance"),regex_defaut['facebook'])) {bValid=false;$("#facebook_assurance").addClass("form-erreur");} else {$("#facebook_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_assurance"),regex_defaut['twitter'])) {bValid=false;$("#twitter_assurance").addClass("form-erreur");} else {$("#twitter_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_assurance"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_assurance").addClass("form-erreur");} else {$("#linkedin_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_assurance"),regex_defaut['xing'])) {bValid=false;$("#xing_assurance").addClass("form-erreur");} else {$("#xing_assurance").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_assurance"),regex_defaut['url'])) {bValid=false;$("#siteweb_assurance").addClass("form-erreur");} else {$("#siteweb_assurance").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_bien_immo").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("biens_immobiliers","ajouter_bien_immo&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
