<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_cdtheque" title="<?php echo Langue("LBL_LOISIRS_CDTHEQUE_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-compact-disc"></i> <?php echo Langue("LBL_LOISIRS_CDTHEQUE_TITRE_MENU"); ?></p>
<?php
	unset($req_cdtheque,$row_cdtheque,$rows_cdtheque);
	$req_cdtheque=mysqli_query($link_bdd,"SELECT * FROM `cdtheque` WHERE id_util='".$_SESSION['id_util']."' ORDER BY titre ASC");
	if (mysqli_num_rows($req_cdtheque)!="")
	{
		while ($row_cdtheque=mysqli_fetch_array($req_cdtheque))
		{
			$rows_cdtheque[]=$row_cdtheque;
		}
		echo '<table id="tableau_cdtheque" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="30%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_LIVRES_TITRE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_CDTHEQUE_INTERPRETE").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_LIVRES_GENRE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_DUREE").'</p></th>
				<th width="15%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_LIVRES_STATUT").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_cdtheque);$i++)
		{
			echo '<tr id="table_cdtheque'.$rows_cdtheque[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_cdtheque[$i]['titre'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_cdtheque[$i]['interprete'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_PLAYLISTS_STYLE_".$rows_cdtheque[$i]['genre']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($rows_cdtheque[$i]['duree'],0).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_LOISIRS_CDTHEQUE_STATUT_".$rows_cdtheque[$i]['statut']).'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_cdtheque'.$rows_cdtheque[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("cdtheque","ajouter_cdtheque&id='.$rows_cdtheque[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_LOISIRS_CDTHEQUE_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#ajouter_cdtheque").click(function(event) {event.preventDefault();Message(1);Action_Page("cdtheque","ajouter_cdtheque");});

	$("#tableau_cdtheque").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 50,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
