<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	$liste_magasin="";
	$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_magasin)!="")
	{
		while ($row_magasin=mysqli_fetch_array($req_magasin))
		{
			$rows_magasin[]=$row_magasin;
		}
		for ($i=0;$i<count($rows_magasin);$i++)
		{
			$liste_id_mag[$i]=$rows_magasin[$i]['id'];
			$liste_nom_mag[$i]=Decryptage($rows_magasin[$i]['nom']);
		}
		array_multisort($liste_nom_mag,SORT_ASC,SORT_STRING,$liste_id_mag);
		for ($i=0;$i<count($liste_nom_mag);$i++)
		{
			$liste_magasin .='<option value="'.$liste_id_mag[$i].'">'.$liste_nom_mag[$i].'</option>';
		}
	} else {$liste_id_mag[0]="";}

	if (isset($_GET['id']))
	{
		$req_liste=mysqli_query($link_bdd,"SELECT * FROM `listes_courses` WHERE id='".$_GET['id']."'");
		$row_liste=mysqli_fetch_array($req_liste);
		$id=$row_liste['id'];
		$magasin=$row_liste['id_magasin'];
		$informations_complementaires=$row_liste['informations_complementaires'];
		$cree=1;
		$produits=$row_liste['produits'];
		$etat=$row_liste['etat'];
	}
	else
	{
		do
		{
			$id=rand(1,999999);
			$req=mysqli_query($link_bdd,"SELECT * FROM `listes_courses` WHERE id='".$id."'");
		} while (mysqli_num_rows($req)!="");
		$informations_complementaires="";
		$cree=0;
		$magasin=$liste_id_mag[0];
		$produits="";
		$etat="0";
	}
	
	$liste_produits="";
	$req_produit=mysqli_query($link_bdd,"SELECT * FROM `produits` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_produit)!="")
	{
		while ($row_produit=mysqli_fetch_array($req_produit))
		{
			$rows_produit[]=$row_produit;
		}
		for ($i=0;$i<count($rows_produit);$i++)
		{
			$id_prod[$i]=$rows_produit[$i]['id'];
			$prod[$i]=$rows_produit[$i]['nom'];
			$cat[$i]=Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_".$rows_produit[$i]['categorie']);
		}
		array_multisort($cat,SORT_STRING,SORT_ASC,$prod,SORT_STRING,SORT_ASC,$id_prod);
		$cat_en_cours="";
		for ($i=0;$i<count($prod);$i++)
		{
			if ($cat_en_cours!=$cat[$i]) {if ($liste_produits!="") {$liste_produits .='</optgroup>';} $liste_produits .='<optgroup label="'.$cat[$i].'">';$cat_en_cours=$cat[$i];}
			$liste_produits .='<option value="'.$id_prod[$i].'">'.$prod[$i].'</option>';
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_liste" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-shopping-cart"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_AJOUTER"); ?></p>
	<form id="form_liste" name="form_liste" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="courses">
	<input type="hidden" id="action" name="action" value="save_liste">
	<input type="hidden" id="id" name="id" value="<?php echo $id; ?>">
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_REFERENCE").' <font class="fontrouge">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_REFERENCE_AUTOGENEREE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" readonly id="id2" name="id2" value="<?php echo $id; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_ETAT").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex=3 class="textbox textbox2 padding10_tout font12" id="etat" name="etat">
					<option value="0" <?php if ($etat=="0") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_ETAT_0"); ?></option>
					<option value="1" <?php if ($etat=="1") {echo "SELECTED";} ?>><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_ETAT_1"); ?></option>
				</select>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_MAGASIN").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="magasin" name="magasin"><?php echo $liste_magasin; ?></select></td>
			</tr>
			</table>
		</div>

		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_PRODUITS"); ?></p>
			<table id="tableau_produits" cellspacing=0 cellpadding=0 border=0 width="100%" class="fontnormal font12 lineheight24">
			<tr>
				<td width="50%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_PRODUITS"); ?></td>
				<td width="15%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_QUANTITE"); ?></td>
				<td width="15%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_PU"); ?></td>
				<td width="20%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><i id="bouton_plus_produit" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_AJOUTER"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_TOTAL"); ?></td>
			</tr>
<?php
			$decoupe_produits=explode("|",$produits);
			$total=Array();
			for ($i=0;$i<count($decoupe_produits);$i++)
			{
				$decoupe=explode("~",$decoupe_produits[$i]);
				if (!isset($decoupe[0])) {$decoupe[0]="";} else {if ($decoupe[0]=="") {$decoupe[0]="";}}
				if (!isset($decoupe[1])) {$decoupe[1]="";}
				if ($liste_produits!="")
				{
					$req_produits=mysqli_query($link_bdd,"SELECT * FROM `produits` WHERE id='".$decoupe[0]."'");
					if (mysqli_num_rows($req_produits)!="")
					{
						$row_produits=mysqli_fetch_array($req_produits);
						$decoupe_prix=explode('|',$row_produits['prix']);
						$prix="?";
						$monnaie="";
						$total_produit="";
						for ($j=0;$j<count($decoupe_prix);$j++)
						{
							$decoupe2=explode("~",$decoupe_prix[$j]);
							if ($decoupe2[0]==$magasin) {$prix=$decoupe2[1];$monnaie=$decoupe2[2];}
						}
						if ($prix!="?")
						{
							$total_produit=$prix*$decoupe[1];
							if (!isset($total[$monnaie])) {$total[$monnaie]=0;}
							$total[$monnaie]=$total[$monnaie]+$total_produit;
							$prix=Convertir_Nombre_Ecran($prix,2);
							$total_produit=Convertir_Nombre_Ecran($total_produit,2);
						} else {$total_produit="?";}
						echo '<tr>
								<td class="font12 lineheight24 padding10_bas"><select name="produits[]" id="produits'.$i.'" class="textbox textbox2 padding10_tout font12">'.$liste_produits.'</select></td>
								<td class="font12 lineheight24 padding10_bas"><input type="text" name="quantite[]" id="quantite'.$i.'" value="'.$decoupe[1].'" class="textbox textbox5 padding10_tout font12"></td>
								<td class="font12 lineheight24 padding10_bas"><span id="pu'.$i.'" class="tab_prix">'.$prix.' '.$monnaie.'</span></td>
								<td class="font12 lineheight24 padding10_bas"><span id="total'.$i.'" class="tab_prix">'.$total_produit.' '.$monnaie.'</span></td>
							  </tr>';
						echo '<script language="Javascript">
								$(document).ready(function()
								{
									$("#produits'.$i.'").val("'.$decoupe[0].'");
									largeur=($(window).width()-60)/2-50;
									$("#produits'.$i.'").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
									$("#produits'.$i.'").change(function(event) 
									{
										event.preventDefault();
										$("#pu'.$i.'").html("");
										$("#total'.$i.'").html("");
										$("#total_estime").html("<font class=\"fontrouge\">'.Langue_JS("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_TOTAL_CALCUL").'</font>");
									});
									$("#quantite'.$i.'").change(function(event) 
									{
										event.preventDefault();
										$("#pu'.$i.'").html("");
										$("#total'.$i.'").html("");
										$("#total_estime").html("<font class=\"fontrouge\">'.Langue_JS("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_TOTAL_CALCUL").'</font>");
									});
								});
							  </script>';
					}
				}
			}
			echo '</table><table cellspacing=0 cellpadding=0 border=0 width="100%" class="fontnormal font12 lineheight24">
					<tr>
					<td class="font12 fontgras lineheight24 padding10_bas verticalalignhaut" width="80%">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_TOTAL_ESTIME").'</td>
					<td class="font12 fontgras lineheight24 padding10_bas verticalalignhaut"><span id="total_estime">';
			foreach ($total AS $cle => $value)
			{
				echo Convertir_Nombre_Ecran($value,2).' '.$cle.'<br />';
			}
			echo '	</span></td>
				  </tr>';
?>
			</table>
		</div>

		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $informations_complementaires; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_liste" id="bouton_liste"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($cree==1) {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_liste" id="bouton_supprimer_liste">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_liste" id="bouton_annuler_liste"><?php echo Langue("BTN_VIE_QUOTIDIENNE_COURSES_LISTES_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
ligne_en_cours=<?php echo count($decoupe_produits)+1; ?>;
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	$(".textbox5").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#magasin").val("<?php echo $magasin; ?>");
	$("#etat").val("<?php echo $etat; ?>");

	largeur=($(window).width()-60)/2-50;
	$("#etat").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#magasin").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#magasin").change(function(event) 
	{
		event.preventDefault();
		if ($("#magasin").val()=="<?php echo $magasin; ?>") {$(".tab_prix").css("visibility","visible");} else {$(".tab_prix").css("visibility","hidden");}
		$("#total_estime").html('<font class="fontrouge"><?php echo Langue_JS("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_TOTAL_CALCUL"); ?></font>');
	});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_liste").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_liste").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=courses&action=index";
	});
	
	$("#bouton_supprimer_liste").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_liste").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=courses&action=supprimer_liste&id=<?php echo $id; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_imprimer_liste").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_plus_produit").click(function(event)
	{
		event.preventDefault();
		msg='<tr><td class="font12 lineheight24 padding10_bas"><select name="produits[]" id="produits'+ligne_en_cours+'" class="textbox textbox2 padding10_tout font12"><?php echo $liste_produits; ?></select></td><td class="font12 lineheight24 padding10_bas"><input type="text" name="quantite[]" id="quantite'+ligne_en_cours+'" value="" class="textbox textbox5 padding10_tout font12"></td><td class="font12 lineheight24 padding10_bas">&nbsp;</td><td class="font12 lineheight24 padding10_bas">&nbsp;</td></tr>';
		msg=msg+'<script language="Javascript">$(document).ready(function(){$("#produits'+ligne_en_cours+'").val("<?php echo $id_prod[0]; ?>");largeur=($(window).width()-60)/2-50;$("#produits'+ligne_en_cours+'").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});});<\/script>';
		$("#tableau_produits").append(msg);
		$(".textbox5").css("width","100px");
		ligne_en_cours=ligne_en_cours+1;
	});
	
	$("#bouton_liste").click(function(event)
	{
		event.preventDefault();
		$("#form_liste").submit();
	});
	
	$("#form_liste").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if ($("#magasin").val()!="")
		{
			$("#bouton_liste").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("courses","ajouter_liste&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
