<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "courses/parametres.php";
	foreach ($tableau_magasin AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur["genre"]="11";
	$tableau_valeur["pays"]=Parametre_Util("pays");
	
	if (isset($_GET['id']))
	{
		$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id='".$_GET['id']."'");
		$row_magasin=mysqli_fetch_array($req_magasin);
		$tableau_valeur['id']=$row_magasin['id'];
		foreach ($tableau_magasin AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_magasin[$cle]));
		}
	}
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
	
	$liste_categories="";
	for ($i=0;$i<=21;$i++)
	{
		$liste_id_cat[$i]=$i;
		$liste_cat[$i]=Langue("LBL_VIE_QUOTIDIENNE_COURSES_CATEGORIE_".$i);
	}
	array_multisort($liste_cat,SORT_ASC,SORT_STRING,$liste_id_cat);
	for ($i=0;$i<count($liste_cat);$i++)
	{
		$liste_categories .='<option value="'.$liste_id_cat[$i].'">'.$liste_cat[$i].'</option>';
	}
	
	$liste_heures='<option value="--">--</option>';
	for ($i=0;$i<=23;$i++)
	{
		for ($j=0;$j<=55;$j=$j+5)
		{
			$heure="";
			if ($i<=9) {$heure="0".$i.":";} else {$heure=$i.':';}
			if ($j<=9) {$heure .="0".$j;} else {$heure .=$j;}
			$liste_heures .='<option value="'.$heure.'">'.$heure.'</option>';
		}
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_magasin" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-store"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_AJOUTER"); ?></p>
	<form id="form_magasin" name="form_magasin" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="courses">
	<input type="hidden" id="action" name="action" value="save_magasin">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_magasin" name="fichier_magasin" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=4 class="verticalalignhaut">
<?php
					if (file_exists("./cache/magasins/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/magasins/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_FAMILLE_CARNET_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_VIE_QUOTIDIENNE_COURSES_MAGASINS_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_CATEGORIE"); ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="genre" name="genre"><?php echo $liste_categories; ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_COORDONNEES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="3" type="text" class="textbox textbox2 padding10_tout font12" id="rue" name="rue" value="<?php echo $tableau_valeur['rue']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="telephone" name="telephone" value="<?php echo $tableau_valeur['telephone']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="4" type="text" class="textbox textbox2 padding10_tout font12" id="complement" name="complement" value="<?php echo $tableau_valeur['complement']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="9" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2" name="telephone2" value="<?php echo $tableau_valeur['telephone2']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="5" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal" name="codepostal" value="<?php echo $tableau_valeur['codepostal']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="10" type="text" class="textbox textbox2 padding10_tout font12" id="mobile" name="mobile" value="<?php echo $tableau_valeur['mobile']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="6" type="text" class="textbox textbox2 padding10_tout font12" id="ville" name="ville" value="<?php echo $tableau_valeur['ville']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="11" type="text" class="textbox textbox10 padding10_tout font12" id="email" name="email" value="<?php echo $tableau_valeur['email']; ?>"> <i id="ouvrir_email" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="7" class="textbox textbox2 padding10_tout font12" id="pays" name="pays"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="12" type="text" class="textbox textbox10 padding10_tout font12" id="email2" name="email2" value="<?php echo $tableau_valeur['email2']; ?>"> <i id="ouvrir_email2" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas padding5_gauche">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="13" type="text" class="textbox textbox10 padding10_tout font12" id="facebook" name="facebook" value="<?php echo $tableau_valeur['facebook']; ?>"> <i id="ouvrir_facebook" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">LinkedIn<br /><input tabIndex="16" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin" name="linkedin" value="<?php echo $tableau_valeur['linkedin']; ?>"> <i id="ouvrir_linkedin" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="14" type="text" class="textbox textbox10 padding10_tout font12" id="twitter" name="twitter" value="<?php echo $tableau_valeur['twitter']; ?>"> <i id="ouvrir_twitter" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="17" type="text" class="textbox textbox10 padding10_tout font12" id="xing" name="xing" value="<?php echo $tableau_valeur['xing']; ?>"> <i id="ouvrir_xing" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="15" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb" name="siteweb" value="<?php echo $tableau_valeur['siteweb']; ?>"> <i id="ouvrir_siteweb" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_HORAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="fontnormal font12 lineheight24">
			<tr><td width="30%" class="fontgras padding10_haut padding10_bas"><?php echo Langue("LBL_JOUR"); ?></td><td width="35%" class="textecentre fontgras padding10_haut padding10_bas"><?php echo Langue("LBL_MATIN"); ?></td><td width="35%" class="textecentre fontgras padding10_haut padding10_bas"><?php echo Langue("LBL_APRES_MIDI"); ?></td>
<?php
			$tabindex=17;
			$decoupe=explode("||",$tableau_valeur['horaires']);
			for ($i=1;$i<=7;$i++)
			{
				if (isset($decoupe[$i-1])) {$decoupe_heure=explode("~",$decoupe[$i-1]);}
				if (!isset($decoupe_heure[0])) {$decoupe_heure[0]="--";} else {if ($decoupe_heure[0]=="") {$decoupe_heure[0]="--";}}
				if (!isset($decoupe_heure[1])) {$decoupe_heure[1]="--";} else {if ($decoupe_heure[1]=="") {$decoupe_heure[1]="--";}}
				if (!isset($decoupe_heure[2])) {$decoupe_heure[2]="--";} else {if ($decoupe_heure[2]=="") {$decoupe_heure[2]="--";}}
				if (!isset($decoupe_heure[3])) {$decoupe_heure[3]="--";} else {if ($decoupe_heure[3]=="") {$decoupe_heure[3]="--";}}
				$tabindex2=$tabindex+1;
				$tabindex3=$tabindex2+1;
				$tabindex4=$tabindex3+1;
				echo '<tr>
						<td width="30%" class="padding10_haut padding10_bas">'.Langue("LBL_JOUR".$i).'</td>
						<td width="35%" class="textecentre">'.str_replace("%heure_debut",'<select tabindex="'.$tabindex.'" class="textbox padding10_tout font12" id="heure_debut_matin'.$i.'" name="heure_debut_matin'.$i.'">'.$liste_heures.'"</select>',str_replace("%heure_fin",'<select tabindex="'.$tabindex2.'" class="textbox padding10_tout font12" id="heure_fin_matin'.$i.'" name="heure_fin_matin'.$i.'">'.$liste_heures.'</option>',Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_HORAIRES_DECOUPE"))).'</td>
						<td width="35%" class="textecentre">'.str_replace("%heure_debut",'<select tabindex="'.$tabindex3.'" class="textbox padding10_tout font12" id="heure_debut_am'.$i.'" name="heure_debut_am'.$i.'">'.$liste_heures.'"</select>',str_replace("%heure_fin",'<select tabindex="'.$tabindex4.'" class="textbox padding10_tout font12" id="heure_fin_am'.$i.'" name="heure_fin_am'.$i.'">'.$liste_heures.'</option>',Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_HORAIRES_DECOUPE"))).'</td>';
				echo '<script language="Javascript">
						$(document).ready(function()
						{
							$("#heure_debut_matin'.$i.'").val("'.$decoupe_heure[0].'");
							$("#heure_fin_matin'.$i.'").val("'.$decoupe_heure[1].'");
							$("#heure_debut_am'.$i.'").val("'.$decoupe_heure[2].'");
							$("#heure_fin_am'.$i.'").val("'.$decoupe_heure[3].'");
							
							$("#heure_debut_matin'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
							$("#heure_fin_matin'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
							$("#heure_debut_am'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
							$("#heure_fin_am'.$i.'").chosen({disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
						});
					  </script>';
				echo '</tr>';
				$tabindex=$tabindex4+1;
			}
?>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea tabindex="<?php echo $tabindex; ?>" class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_magasin" id="bouton_magasin"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_magasin" id="bouton_supprimer_magasin">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_magasin" id="bouton_annuler_magasin"><?php echo Langue("BTN_VIE_QUOTIDIENNE_COURSES_MAGASINS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#pays").val("<?php echo $tableau_valeur['pays']; ?>");
	$("#genre").val("<?php echo $tableau_valeur['genre']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#genre").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email").click(function(event) {event.preventDefault();if (checkRegexp($("#email"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email").val();}});
	$("#ouvrir_email2").click(function(event) {event.preventDefault();if (checkRegexp($("#email2"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2").val();}});
	
	$("#ouvrir_facebook").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook"),regex_defaut['facebook'])) {window.open($("#facebook").val());}});
	$("#ouvrir_twitter").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter"),regex_defaut['twitter'])) {window.open($("#twitter").val());}});
	$("#ouvrir_linkedin").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin"),regex_defaut['linkedin'])) {window.open($("#linkedin").val());}});
	$("#ouvrir_xing").click(function(event) {event.preventDefault();if (checkRegexp($("#xing"),regex_defaut['xing'])) {window.open($("#xing").val());}});
	$("#ouvrir_siteweb").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb"),regex_defaut['url'])) {window.open($("#siteweb").val());}});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_magasin").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_magasin").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=courses&action=magasins";
	});
	
	$("#bouton_supprimer_magasin").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_magasin").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=courses&action=supprimer_magasin&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_magasin").click(function(event)
	{
		event.preventDefault();
		$("#form_magasin").submit();
	});
	
	$("#bouton_imprimer_magasin").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_magasin").click();
	});
	
	$("#fichier_magasin").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#telephone").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}});
	$("#telephone2").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}});
	$("#mobile").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile"),regex_defaut['tel'])) {bValid=false;$("#mobile").addClass("form-erreur");} else {$("#mobile").removeClass("form-erreur");}});
	
	$("#email").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email"),regex_defaut['email'])) {bValid=false;$("#email").addClass("form-erreur");} else {$("#email").removeClass("form-erreur");}});
	$("#email2").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2"),regex_defaut['email'])) {bValid=false;$("#email2").addClass("form-erreur");} else {$("#email2").removeClass("form-erreur");}});

	$("#facebook").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook"),regex_defaut['facebook'])) {bValid=false;$("#facebook").addClass("form-erreur");} else {$("#facebook").removeClass("form-erreur");}});
	$("#twitter").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter"),regex_defaut['twitter'])) {bValid=false;$("#twitter").addClass("form-erreur");} else {$("#twitter").removeClass("form-erreur");}});
	$("#linkedin").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin").addClass("form-erreur");} else {$("#linkedin").removeClass("form-erreur");}});
	$("#xing").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing"),regex_defaut['xing'])) {bValid=false;$("#xing").addClass("form-erreur");} else {$("#xing").removeClass("form-erreur");}});
	$("#siteweb").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb"),regex_defaut['url'])) {bValid=false;$("#siteweb").addClass("form-erreur");} else {$("#siteweb").removeClass("form-erreur");}});

	$("#form_magasin").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone"),regex_defaut['tel'])) {bValid=false;$("#telephone").addClass("form-erreur");} else {$("#telephone").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2"),regex_defaut['tel'])) {bValid=false;$("#telephone2").addClass("form-erreur");} else {$("#telephone2").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile"),regex_defaut['tel'])) {bValid=false;$("#mobile").addClass("form-erreur");} else {$("#mobile").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email"),regex_defaut['email'])) {bValid=false;$("#email").addClass("form-erreur");} else {$("#email").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2"),regex_defaut['email'])) {bValid=false;$("#email2").addClass("form-erreur");} else {$("#email2").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#facebook"),regex_defaut['facebook'])) {bValid=false;$("#facebook").addClass("form-erreur");} else {$("#facebook").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter"),regex_defaut['twitter'])) {bValid=false;$("#twitter").addClass("form-erreur");} else {$("#twitter").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin").addClass("form-erreur");} else {$("#linkedin").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing"),regex_defaut['xing'])) {bValid=false;$("#xing").addClass("form-erreur");} else {$("#xing").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb"),regex_defaut['url'])) {bValid=false;$("#siteweb").addClass("form-erreur");} else {$("#siteweb").removeClass("form-erreur");}

		for (i=1;i<=7;i=i+1)
		{
			if ($("#heure_debut_matin"+i).val()=="--" && $("#heure_fin_matin"+i).val()!="--")
			{
				bValid=false;
				$("#heure_debut_matin"+i+"_chosen a").addClass("form-erreur");
			}
			else
			{
				$("#heure_debut_matin"+i+"_chosen a").removeClass("form-erreur");
			}
			if ($("#heure_fin_am"+i).val()=="--" && $("#heure_debut_am"+i).val()!="--")
			{
				bValid=false;
				$("#heure_fin_am"+i+"_chosen a").addClass("form-erreur");
			}
			else
			{
				$("#heure_fin_am"+i+"_chosen a").removeClass("form-erreur");
			}
			if ($("#heure_debut_matin"+i).val()!="--" && $("#heure_fin_matin"+i).val()!="--")
			{
				if ($("#heure_debut_matin"+i).val()>$("#heure_fin_matin"+i).val())
				{
					bValid=false;
					$("#heure_debut_matin"+i+"_chosen a").addClass("form-erreur");
					$("#heure_fin_matin"+i+"_chosen a").addClass("form-erreur");
				}
				else
				{
					$("#heure_debut_matin"+i+"_chosen a").removeClass("form-erreur");
					$("#heure_fin_matin"+i+"_chosen a").removeClass("form-erreur");
				}
			}
			if ($("#heure_debut_am"+i).val()!="--" && $("#heure_fin_am"+i).val()!="--")
			{
				if ($("#heure_debut_am"+i).val()>$("#heure_fin_am"+i).val())
				{
					bValid=false;
					$("#heure_debut_am"+i+"_chosen a").addClass("form-erreur");
					$("#heure_fin_am"+i+"_chosen a").addClass("form-erreur");
				}
				else
				{
					$("#heure_debut_am"+i+"_chosen a").removeClass("form-erreur");
					$("#heure_fin_am"+i+"_chosen a").removeClass("form-erreur");
				}
			}
		}
		
		if (bValid==true)
		{
			$("#bouton_magasin").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("courses","ajouter_magasin&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
