<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "courses/parametres.php";
	foreach ($tableau_produit AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	$tableau_valeur["categorie"]="0";
	$tableau_valeur["unite_calories"]="0";
	$tableau_valeur["unite_lipides"]="0";
	$tableau_valeur["unite_acides_gras"]="0";
	$tableau_valeur["unite_glucides"]="0";
	$tableau_valeur["unite_sucres"]="0";
	$tableau_valeur["unite_proteines"]="0";
	$tableau_valeur["unite_fibres"]="0";
	$tableau_valeur["unite_sel"]="0";
	
	if (isset($_GET['id']))
	{
		$req_produit=mysqli_query($link_bdd,"SELECT * FROM `produits` WHERE id='".$_GET['id']."'");
		$row_produit=mysqli_fetch_array($req_produit);
		foreach ($tableau_produit AS $cle => $value)
		{
			$tableau_valeur[$cle]=$row_produit[$cle];
		}
	}

	$liste_categorie="";
	for ($i=0;$i<=16;$i++)
	{
		$liste_id_cat[$i]=$i;
		$liste_cat[$i]=Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_".$i);
	}
	array_multisort($liste_cat,SORT_ASC,SORT_STRING,$liste_id_cat);
	for ($i=0;$i<count($liste_cat);$i++)
	{
		$liste_categorie .='<option value="'.$liste_id_cat[$i].'">'.$liste_cat[$i].'</option>';
	}
	
	$liste_magasin="";
	$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_magasin)!="")
	{
		while ($row_magasin=mysqli_fetch_array($req_magasin))
		{
			$rows_magasin[]=$row_magasin;
		}
		for ($i=0;$i<count($rows_magasin);$i++)
		{
			$liste_id_mag[$i]=$rows_magasin[$i]['id'];
			$liste_nom_mag[$i]=Decryptage($rows_magasin[$i]['nom']);
		}
		array_multisort($liste_nom_mag,SORT_ASC,SORT_STRING,$liste_id_mag);
		for ($i=0;$i<count($liste_nom_mag);$i++)
		{
			$liste_magasin .='<option value="'.$liste_id_mag[$i].'">'.$liste_nom_mag[$i].'</option>';
		}
	} else {$liste_id_mag[0]="";}
	
	$liste_monnaie="";
	$monnaie_en_cours="";
	$req_monnaie=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `monnaie` ASC");
	while ($row_monnaie=mysqli_fetch_array($req_monnaie))
	{
		$rows_monnaie[]=$row_monnaie;
	}
	for ($i=0;$i<count($rows_monnaie);$i++)
	{
		if ($monnaie_en_cours!=$rows_monnaie[$i]['monnaie'])
		{
			$liste_monnaie .='<option value="'.$rows_monnaie[$i]['monnaie'].'">'.$rows_monnaie[$i]['monnaie'].'</option>';
			$monnaie_en_cours=$rows_monnaie[$i]['monnaie'];
		}
	}
	
	$liste_unites_calories="";
	if (Parametre_Util("unite_calorie")=="1")
	{
		$liste_unites_calories .='<option value="0">J</option>';
		$liste_unites_calories .='<option value="1">kJ</option>';
	}
	else
	{
		$liste_unites_calories .='<option value="0">cal</option>';
		$liste_unites_calories .='<option value="1">kcal</option>';
	}
	
	$liste_unites_masse="";
	if (Parametre_Util("unite_masse")=="1")
	{
		$liste_unites_masse .='<option value="0">mg</option>';
		$liste_unites_masse .='<option value="1">g</option>';
	}
	else
	{
		$liste_unites_masse .='<option value="0">oz</option>';
		$liste_unites_masse .='<option value="1">lbs</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout">
	<div class="floatdroite"><span id="bouton_imprimer_produit" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-barcode"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_AJOUTER"); ?></p>
	<form id="form_produit" name="form_produit" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="courses">
	<input type="hidden" id="action" name="action" value="save_produit">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_produit" name="fichier_produit" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_GENERALES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" maxlength="50" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=6 class="verticalalignhaut">
<?php
					if (file_exists("./cache/produits/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/produits/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_VIE_QUOTIDIENNE_COURSES_PRODUITS_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_VIE_QUOTIDIENNE_COURSES_PRODUITS_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CATEGORIE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="2" class="textbox textbox2 padding10_tout font12" id="categorie" name="categorie"><?php echo $liste_categorie; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_MARQUE"); ?><br /><input tabIndex="3" type="text" maxlength="100" class="textbox textbox2 padding10_tout font12" id="marque" name="marque" value="<?php echo $tableau_valeur['marque']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_CONDITIONNEMENT"); ?><br /><input tabIndex="4" maxlength="50" type="text" class="textbox textbox2 padding10_tout font12" id="conditionnement" name="conditionnement" value="<?php echo $tableau_valeur['conditionnement']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_POIDS"); ?><br /><input tabIndex="5" type="text" maxlength="50" class="textbox textbox2 padding10_tout font12" id="poids" name="poids" value="<?php echo $tableau_valeur['poids']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_CONTENANCE"); ?><br /><input tabIndex="6" type="text" maxlength="50" class="textbox textbox2 padding10_tout font12" id="contenance" name="contenance" value="<?php echo $tableau_valeur['contenance']; ?>"></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_VALEUR_ENERGETIQUE"); ?><br /><input tabIndex="7" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="calories" name="calories" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['calories'],2); ?>"><select tabindex="8" name="unite_calories" id="unite_calories"><?php echo $liste_unites_calories; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_GLUCIDES"); ?><br /><input tabIndex="15" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="glucides" name="glucides" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['glucides'],2); ?>"><select tabindex="16" name="unite_glucides" id="unite_glucides"><?php echo $liste_unites_masse; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_LIPIDES"); ?><br /><input tabIndex="9" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="lipides" name="lipides" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['lipides'],2); ?>"><select tabindex="10" name="unite_lipides" id="unite_lipides"><?php echo $liste_unites_masse; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_GLUCIDES_SUCRES"); ?><br /><input tabIndex="17" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="sucres" name="sucres" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['sucres'],2); ?>"><select tabindex="18" name="unite_sucres" id="unite_sucres"><?php echo $liste_unites_masse; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_LIPIDES_SATURES"); ?><br /><input tabIndex="11" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="acides_gras" name="acides_gras" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['acides_gras'],2); ?>"><select tabindex="12" name="unite_acides_gras" id="unite_acides_gras"><?php echo $liste_unites_masse; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_PROTEINES"); ?><br /><input tabIndex="19" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="proteines" name="proteines" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['proteines'],2); ?>"><select tabindex="20" name="unite_proteines" id="unite_proteines"><?php echo $liste_unites_masse; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_SEL"); ?><br /><input tabIndex="13" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="sel" name="sel" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['sel'],2); ?>"><select tabindex="14" name="unite_sel" id="unite_sel"><?php echo $liste_unites_masse; ?></select></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_VALEUR_NUTRITIONNELLE_FIBRES"); ?><br /><input tabIndex="21" type="text" class="textbox textbox5 padding10_tout font12 margin5_droite" id="fibres" name="fibres" value="<?php echo Convertir_Nombre_Ecran($tableau_valeur['fibres'],2); ?>"><select tabindex="22" name="unite_fibres" id="unite_fibres"><?php echo $liste_unites_masse; ?></select></td>
			</tr>
			</table>
		</div>
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_PRIX"); ?></p>
			<table id="tableau_prix" cellspacing=0 cellpadding=0 border=0 width="100%" class="fontnormal font12 lineheight24">
			<tr>
				<td width="50%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_MAGASIN"); ?></td>
				<td width="50%" class="fontgras font12 lineheight24 padding10_bas padding10_haut"><i id="bouton_plus_prix" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_AJOUTER_PRIX"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_PRIX"); ?></td>
			</tr>
<?php
			$decoupe_prix=explode("|",$tableau_valeur['prix']);
			for ($i=0;$i<count($decoupe_prix);$i++)
			{
				$decoupe=explode("~",$decoupe_prix[$i]);
				if (!isset($decoupe[0])) {$decoupe[0]=$liste_id_mag[0];} else {if ($decoupe[0]=="") {$decoupe[0]=$liste_id_mag[0];}}
				if (!isset($decoupe[1])) {$decoupe[1]="";}
				if (!isset($decoupe[2])) {$decoupe[2]=Parametre_Util("monnaie");}
				$req_mag=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id='".$decoupe[0]."'");
				if (mysqli_num_rows($req_mag)!="")
				{
					echo '<tr>
							<td class="font12 lineheight24 padding10_bas"><select name="magasin[]" id="magasin'.$i.'" class="textbox textbox2 padding10_tout font12">'.$liste_magasin.'</select></td>
							<td class="font12 lineheight24 padding10_bas"><input type="text" name="prix[]" id="prix'.$i.'" value="'.Convertir_Nombre_Ecran($decoupe[1],2).'" class="textbox textbox5 padding10_tout font12 margin5_droite"><select name="monnaie[]" id="monnaie'.$i.'" class="textbox textbox2 padding10_tout font12">'.$liste_monnaie.'</select></td>
						  </tr>';
					echo '<script language="Javascript">
							$(document).ready(function()
							{
								$("#magasin'.$i.'").val("'.$decoupe[0].'");
								$("#monnaie'.$i.'").val("'.$decoupe[2].'");
								largeur=($(window).width()-60)/2-50;
								$("#magasin'.$i.'").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
								$("#monnaie'.$i.'").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"'.Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT").'",placeholder_text_single:"'.Langue_JS("LBL_CHOSEN_SELECTION").'"});
							});
						  </script>';
				}
			}
?>
			</table>
		</div>

		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_produit" id="bouton_produit"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_produit" id="bouton_supprimer_produit">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_produit" id="bouton_annuler_produit"><?php echo Langue("BTN_VIE_QUOTIDIENNE_COURSES_PRODUITS_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
ligne_en_cours=<?php echo count($decoupe_prix)+1; ?>;
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	largeur=$(window).width()-160;
	$(".textbox4").css("width",largeur+"px");
	$(".textbox5").css("width","100px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#categorie").val("<?php echo $tableau_valeur['categorie']; ?>");
	$("#unite_calories").val("<?php echo $tableau_valeur['unite_calories']; ?>");
	$("#unite_lipides").val("<?php echo $tableau_valeur['unite_lipides']; ?>");
	$("#unite_acides_gras").val("<?php echo $tableau_valeur['unite_acides_gras']; ?>");
	$("#unite_glucides").val("<?php echo $tableau_valeur['unite_glucides']; ?>");
	$("#unite_sucres").val("<?php echo $tableau_valeur['unite_sucres']; ?>");
	$("#unite_proteines").val("<?php echo $tableau_valeur['unite_proteines']; ?>");
	$("#unite_fibres").val("<?php echo $tableau_valeur['unite_fibres']; ?>");
	$("#unite_sel").val("<?php echo $tableau_valeur['unite_sel']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#categorie").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_calories").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_lipides").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_acides_gras").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_glucides").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_sucres").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_proteines").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_fibres").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#unite_sel").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_produit").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_produit").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=courses&action=produits";
	});
	
	$("#bouton_supprimer_produit").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_produit").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=courses&action=supprimer_produit&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_plus_prix").click(function(event)
	{
		event.preventDefault();
		msg='<tr><td class="font12 lineheight24 padding10_bas"><select name="magasin[]" id="magasin'+ligne_en_cours+'" class="textbox textbox2 magas padding10_tout font12"><?php echo $liste_magasin; ?></select></td><td class="font12 lineheight24 padding10_bas"><input type="text" name="prix[]" id="prix'+ligne_en_cours+'" value="" class="textbox textbox5 padding10_tout font12 margin5_droite"><select name="monnaie[]" id="monnaie'+ligne_en_cours+'" class="textbox padding10_tout font12"><?php echo $liste_monnaie; ?></select></td></tr>';
		msg=msg+'<script language="Javascript">$(document).ready(function() {$("#magasin'+ligne_en_cours+'").val("<?php echo $liste_id_mag[0]; ?>");$("#monnaie'+ligne_en_cours+'").val("<?php echo Parametre_Util("monnaie"); ?>");largeur=($(window).width()-60)/2-50;$("#magasin'+ligne_en_cours+'").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});$("#monnaie'+ligne_en_cours+'").chosen({width: "75px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});});<\/script>';
		$("#tableau_prix").append(msg);
		$(".textbox5").css("width","100px");
		ligne_en_cours=ligne_en_cours+1;
	});
	
	$("#bouton_imprimer_produit").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_produit").click(function(event)
	{
		event.preventDefault();
		$("#form_produit").submit();
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_produit").click();
	});
	
	$("#fichier_produit").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#calories").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#calories"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#calories").addClass("form-erreur");} else {$("#calories").removeClass("form-erreur");}});
	$("#lipides").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#lipides"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#lipides").addClass("form-erreur");} else {$("#lipides").removeClass("form-erreur");}});
	$("#acides_gras").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#acides_gras"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#acides_gras").addClass("form-erreur");} else {$("#acides_gras").removeClass("form-erreur");}});
	$("#glucides").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#glucides"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#glucides").addClass("form-erreur");} else {$("#glucides").removeClass("form-erreur");}});
	$("#sucres").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#sucres"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#sucres").addClass("form-erreur");} else {$("#sucres").removeClass("form-erreur");}});
	$("#proteines").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#proteines"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#proteines").addClass("form-erreur");} else {$("#proteines").removeClass("form-erreur");}});
	$("#fibres").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fibres"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#fibres").addClass("form-erreur");} else {$("#fibres").removeClass("form-erreur");}});
	$("#sel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#sel"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#sel").addClass("form-erreur");} else {$("#sel").removeClass("form-erreur");}});

	$("#form_produit").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}
		if (!checkValue($("#categorie"))) {bValid=false;$("#categorie").addClass("form-erreur");} else {$("#categorie").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#calories"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#calories").addClass("form-erreur");} else {$("#calories").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#lipides"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#lipides").addClass("form-erreur");} else {$("#lipides").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#acides_gras"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#acides_gras").addClass("form-erreur");} else {$("#acides_gras").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#glucides"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#glucides").addClass("form-erreur");} else {$("#glucides").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#sucres"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#sucres").addClass("form-erreur");} else {$("#sucres").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#proteines"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#proteines").addClass("form-erreur");} else {$("#proteines").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fibres"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#fibres").addClass("form-erreur");} else {$("#fibres").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#sel"),regex_defaut['nombre_decimal<?php echo Parametre_Util("format_nombre"); ?>'])) {bValid=false;$("#sel").addClass("form-erreur");} else {$("#sel").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_produit").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("courses","ajouter_produit&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
