<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="liste_magasins" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_MAGASINS_LISTE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-store fa-stack-1x fontblanc fa-inverse"></i></span><span id="liste_produits" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_PRODUITS_LISTE"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-barcode fa-stack-1x fontblanc fa-inverse"></i></span><span id="ajouter_liste" title="<?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main margin30_droite"><i class="fas fa-circle fontbleu fa-stack-2x margin30_droite"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-shopping-cart"></i> <?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_TITRE"); ?></p>
<?php
	unset($req_liste,$row_liste,$rows_liste);
	$req_liste=mysqli_query($link_bdd,"SELECT * FROM `listes_courses` WHERE id_util='".$_SESSION['id_util']."' ORDER BY id ASC");
	if (mysqli_num_rows($req_liste)!="")
	{
		while ($row_liste=mysqli_fetch_array($req_liste))
		{
			$rows_liste[]=$row_liste;
		}
		echo '<table id="tableau_liste" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
		echo '<thead><tr><th width="40%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_REFERENCE").'</p></th>
				<th width="40%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_MAGASIN").'</p></th>
				<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_ETAT").'</p></th>
			  </tr></thead><tbody>';
		for ($i=0;$i<count($rows_liste);$i++)
		{
			$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id='".$rows_liste[$i]['id_magasin']."'");
			$row_magasin=mysqli_fetch_array($req_magasin);
			echo '<tr id="table_liste'.$rows_liste[$i]['id'].'" class="souris_main">
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.$rows_liste[$i]['id'].'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($row_magasin['nom']).'</p></td>
					<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_ETAT_".$rows_liste[$i]['etat']).'</p></td>
				  </tr>';
			echo '<script type="text/javascript">
					$(document).ready(function()
					{
						$("#table_liste'.$rows_liste[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","ajouter_liste&id='.$rows_liste[$i]['id'].'");});
					});
					</script>';
		}
		echo '</tbody></table>';
	}
	else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_AUCUN").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$("#liste_magasins").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","magasins");});
	$("#liste_produits").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","produits");});
	$("#ajouter_liste").click(function(event) 
	{
		event.preventDefault();
<?php
		$req_magasin=mysqli_query($link_bdd,"SELECT * FROM `magasins` WHERE id_util='".$_SESSION['id_util']."'");
		if (mysqli_num_rows($req_magasin)=="") {echo 'alert("'.Langue_JS("LBL_VIE_QUOTIDIENNE_COURSES_LISTES_MAGASIN_DABORD").'")';} else {echo 'Message(1);Action_Page("courses","ajouter_liste");';}
?>
	});

	$("#tableau_liste").DataTable({
		"dom": 'frtp',
		"responsive": true,
		"pageLength": 20,
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
