<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div class="entete_general">
	<?php if ($_SESSION['id_util']!="") {include "menu.php";} ?>
	<span id="logo_lien" class="souris_main padding80_gauche verticalalignmilieu lineheight56"><img src="./images/logo.png" border="0" class="logo verticalalignmilieu"></span>
	<div class="floatdroite fontblanc font12 padding50_droite" style="line-height:60px;">
<?php	if ($_SESSION['id_util']!="") { ?>
			<a class="lien_blanc fontgras souris_main" id="lien_deconnexion"><?php echo Langue("LBL_CONNEXION_DECONNEXION"); ?></a>
<?php	} else { ?>
		<p class="textedroite"><select name="langue_util" id="langue_util" class="textbox padding10_tout font12 textegaucheimportant">
		<?php
			foreach ($langue_appli AS $cle => $value)
			{
				echo '<option value="'.$cle.'"';
				if ($cle==$_SESSION['langue_util']) {echo ' SELECTED';}
				echo '>'.$value.'</option>';
			}
		?>
			</select>
			</p>
<?php	} ?>
	</div>
</div>
<script language="Javascript">
$(document).ready(function()
{
// Gestion du changement de langue
	$("#langue_util").chosen({disable_search_threshold: 10});

	$("#langue_util").change(function(event)
	{
		Message(1);
		var request = $.ajax({type: "POST", url: "index2.php", data: "module=utilisateur&action=change_langue&langue_util="+$("#langue_util").val()});
		request.done(function(msg)
		{
			location.reload(true);
		});
	});

// Gestion du clic sur le logo
	$("#logo_lien").click(function(event)
	{
		event.preventDefault();
		Message(1);
<?php if ($_SESSION['id_util']=="") {echo 'Action_Page("utilisateur","index");';} else {echo 'Action_Page("membres_famille","index");';} ?>
	});

// Gestion de la déconnexion
	$("#lien_deconnexion").click(function(event)
	{
		event.preventDefault();
		Message(1);
		document.location.href="index2.php?module=utilisateur&action=logout";
	});
});
</script>
