<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	session_start();
	date_default_timezone_set('UTC');

	include "config.php";
	
	include "langues/fr_FR.php";
	foreach($Langue_Application AS $cle => $value)
	{
		$Langue[$cle]=$value;
	}
	if ($_SESSION['langue_util']!='fr_FR')
	{
		include "langues/".$_SESSION['langue_util'].".php";
		foreach($Langue_Application AS $cle => $value)
		{
			$Langue[$cle]=$value;
		}
	}
	
	include "variables.php";
	include "fonctions/fonctions.php";

	if (isset($_GET['module'])) { $module_faire=$_GET['module']; } else { $module_faire=$_POST['module']; }
	if (isset($_GET['action'])) { $action_faire=$_GET['action']; } else { $action_faire=$_POST['action']; }
	
	Connexion_DB();

	include $module_faire . "/" . $action_faire . ".php";
?>
