<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	session_start();
	date_default_timezone_set('UTC');

	if (!isset($_SESSION['id_util'])) {$_SESSION['id_util']="";}
	if (!isset($_SESSION['langue_util'])) {$_SESSION['langue_util']="fr_FR";}
	
	include "config.php";
	
	include "langues/fr_FR.php";
	foreach($Langue_Application AS $cle => $value)
	{
		$Langue[$cle]=$value;
	}
	if ($_SESSION['langue_util']!='fr_FR')
	{
		include "langues/".$_SESSION['langue_util'].".php";
		foreach($Langue_Application AS $cle => $value)
		{
			$Langue[$cle]=$value;
		}
	}
	
	include "variables.php";
	include "fonctions/fonctions.php";

	Connexion_DB();
	
	if (isset($_GET['module'])) { $module_faire=$_GET['module']; } else { $module_faire="utilisateur"; }
	if (isset($_GET['action'])) { $action_faire=$_GET['action']; } else { $action_faire="index"; }
?>
<!doctype html>
<html lang="fr">
<head>
  <meta charset="utf-8">
	<title>Mea-familia</title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="Cache-control" content="no-cache" />
	<meta name="expires" content="0" />
	
	<link href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300&display=swap" rel="stylesheet">
	
	<link rel="stylesheet" href="css/all.min.css">
	<link rel="stylesheet" href="css/jquery-ui.min.css">
	<link rel="stylesheet" href="css/menu.css">
	<link rel="stylesheet" href="css/style.css">
	
	<script src="lib/jquery.min.js" type="text/javascript"></script>
	<script src="lib/jquery-ui.min.js" type="text/javascript"></script>
	<script src="lib/i18n/datepicker-<?php echo $_SESSION['langue_util']; ?>.js" type="text/javascript"></script>
	<script src="lib/jquery.print.js" type="text/javascript"></script>
	<script src="lib/php.full.min.js" type="text/javascript"></script>
	<script src="fonctions/fonctions_js.js" type="text/javascript"></script>
</head>
<body class="body">
<?php include $module_faire.'/'.$action_faire.'.php'; ?>
</body>
</html>