<?php
	session_start();

	if (!isset($_SESSION['langue_util'])) {$_SESSION['langue_util']="fr_FR";}
	if (!isset($_SESSION['licence_ok'])) {$_SESSION['licence_ok']="0";}
	if (!isset($_SESSION['hostname'])) {$_SESSION['hostname']="";}
	if (!isset($_SESSION['bdd'])) {$_SESSION['bdd']="";}
	if (!isset($_SESSION['creer_bdd'])) {$_SESSION['creer_bdd']="";}
	if (!isset($_SESSION['user'])) {$_SESSION['user']="";}
	if (!isset($_SESSION['creer_user'])) {$_SESSION['creer_user']="";}
	if (!isset($_SESSION['mdp'])) {$_SESSION['mdp']="";}
	if (!isset($_SESSION['mdproot'])) {$_SESSION['mdproot']="";}
	if (!isset($_SESSION['identifiantadmin'])) {$_SESSION['identifiantadmin']="";}
	if (!isset($_SESSION['mdpadmin'])) {$_SESSION['mdpadmin']="";}
	
	include "../variables.php";

	include "langues/fr_FR.php";
	foreach($Langue_Application AS $cle => $value)
	{
		$Langue[$cle]=str_replace("Mea-familia",'<b>Mea-familia</b>',$value);
		$Langue_JS[$cle]=str_replace("'","\'",$value);
	}
	if ($_SESSION['langue_util']!='fr_FR')
	{
		include "langues/".$_SESSION['langue_util'].".php";
		foreach($Langue_Application AS $cle => $value)
		{
			$Langue[$cle]=str_replace("Mea-familia",'<b>Mea-familia</b>',$value);
			$Langue_JS[$cle]=str_replace("'","\'",$value);
		}
	}
	
	if (isset($_GET['action'])) { $action_faire=$_GET['action']; } else { $action_faire="install1"; }
?>
<!doctype html>
<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Mea-familia - Installation</title>
	<meta http-equiv="pragma" content="no-cache" />
	<meta http-equiv="Cache-control" content="no-cache" />
	<meta name="expires" content="0" />
	
	<link rel="apple-touch-icon" sizes="57x57" href="../images/favicons/apple-icon-57x57.png">
	<link rel="apple-touch-icon" sizes="60x60" href="../images/favicons/apple-icon-60x60.png">
	<link rel="apple-touch-icon" sizes="72x72" href="../images/favicons/apple-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="76x76" href="../images/favicons/apple-icon-76x76.png">
	<link rel="apple-touch-icon" sizes="114x114" href="../images/favicons/apple-icon-114x114.png">
	<link rel="apple-touch-icon" sizes="120x120" href="../images/favicons/apple-icon-120x120.png">
	<link rel="apple-touch-icon" sizes="144x144" href="../images/favicons/apple-icon-144x144.png">
	<link rel="apple-touch-icon" sizes="152x152" href="../images/favicons/apple-icon-152x152.png">
	<link rel="apple-touch-icon" sizes="180x180" href="../images/favicons/apple-icon-180x180.png">
	<link rel="icon" type="image/png" sizes="192x192"  href="../images/favicons/android-icon-192x192.png">
	<link rel="icon" type="image/png" sizes="32x32" href="../images/favicons/favicon-32x32.png">
	<link rel="icon" type="image/png" sizes="96x96" href="../images/favicons/favicon-96x96.png">
	<link rel="icon" type="image/png" sizes="16x16" href="../images/favicons/favicon-16x16.png">
	<link rel="manifest" href="../images/favicons/manifest.json">
	<meta name="msapplication-TileColor" content="#ffffff">
	<meta name="msapplication-TileImage" content="../images/favicons/ms-icon-144x144.png">
	<meta name="theme-color" content="#ffffff">
	
	<link href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300&display=swap" rel="stylesheet">
	
	<link rel="stylesheet" href="../css/all.min.css">
	<link rel="stylesheet" href="../css/style.css">
	<link rel="stylesheet" href="../css/jquery-ui.min.css">
	<link rel="stylesheet" href="../css/chosen.css">
	
	<script src="../lib/jquery.min.js" type="text/javascript"></script>
	<script src="../lib/jquery-ui.min.js" type="text/javascript"></script>
	<script src="../lib/chosen.jquery.min.js" type="text/javascript"></script>
	
	<script src="../lib/php.full.min.js" type="text/javascript"></script>
	
	<script src="../fonctions/fonctions_js.js" type="text/javascript"></script>
</head>
<body class="body">
<div align=center id="message_chargement" class="message_chargement bloc_cache padding10_tout" style="z-index:99999;"><i class="fas fa-circle-notch font24 fontblanc fa-spin"></i></div>
<?php include "entete.php"; ?>
<div id="partie_centrale" class="partie_centrale verticalalignhaut">
	<?php include $action_faire.'.php'; ?>
</div>
<script language="Javascript">
$(document).ready(function()
{	
	hauteur=$(window).height()-60;
	largeur=$(window).width();
	$("#partie_centrale").css("width",largeur+"px").css("height",hauteur+"px");
	
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	$(window).resize(function() {location.reload();});
});
</script>
</body>
</html>