<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	include "membres_famille/parametres.php";
	foreach ($tableau_membre AS $cle => $value)
	{
		$tableau_valeur[$cle]="";
	}
	
	$tableau_valeur['id']="";
	$tableau_valeur["pays_medecin"]=Parametre_Util("pays");
	$tableau_valeur["pays_personnel"]=Parametre_Util("pays");
	$tableau_valeur["pays_professionnel"]=Parametre_Util("pays");
	
	if (isset($_GET['id']))
	{
		$req_membre=mysqli_query($link_bdd,"SELECT * FROM `membres_famille` WHERE id='".$_GET['id']."'");
		$row_membre=mysqli_fetch_array($req_membre);
		$tableau_valeur['id']=$row_membre['id'];
		foreach ($tableau_membre AS $cle => $value)
		{
			$tableau_valeur[$cle]=br2nl(Decryptage($row_membre[$cle]));
		}
	}
	$liste_pays="";
	$req_pays=mysqli_query($link_bdd,"SELECT * FROM `pays` ORDER BY `".$_SESSION['langue_util']."` ASC");
	while ($row_pays=mysqli_fetch_array($req_pays))
	{
		$rows_pays[]=$row_pays;
	}
	for ($i=0;$i<count($rows_pays);$i++)
	{
		$liste_pays .='<option value="'.$rows_pays[$i]['cle'].'">'.$rows_pays[$i][$_SESSION['langue_util']].'</option>';
	}
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div class="floatdroite"><span id="bouton_imprimer_membre" title="<?php echo Langue("LBL_IMPRIMER"); ?>" class="tooltip fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-print fa-stack-1x fontblanc fa-inverse"></i></span></div><div id="zone_a_imprimer"><p class="font36 fontopensans fontprincipal padding20_bas"><i class="fas fa-users"></i> <?php echo Langue("LBL_FAMILLE_MEMBRES_AJOUTER"); ?></p>
	<form id="form_membre" name="form_membre" action="index2.php" method="POST" enctype="multipart/form-data">
	<input type="hidden" id="module" name="module" value="membres_famille">
	<input type="hidden" id="action" name="action" value="save_membre">
	<input type="hidden" id="id" name="id" value="<?php echo $tableau_valeur['id']; ?>">
	<input type="file" id="fichier_membre" name="fichier_membre" accept="image/jpeg" style="display:none;" />
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_IDENTITE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut"><?php echo Langue("LBL_FAMILLE_NOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="1" type="text" class="textbox textbox2 padding10_tout font12" id="nom" name="nom" value="<?php echo $tableau_valeur['nom']; ?>"></td>
				<td width="50%" rowspan=4 class="verticalalignhaut">
<?php
					if (file_exists("./cache/membres/img_".$tableau_valeur['id'].".jpg"))
					{
						echo '<p class="textecentre padding10_tout"><img src="./cache/membres/img_'.$tableau_valeur['id'].'.jpg?'.date("YmdHis").'" border=0 title="'.Langue("BTN_FAMILLE_MEMBRES_PHOTO_UPLOAD").'" id="bouton_fichier" class="souris_main"></p>';
					}
					else
					{
						echo '<table id="bouton_fichier" cellpadding=0 cellspacing=0 border=0 class="souris_main margin10_haut" align="center"><tr><td class="td_image_vierge textecentre padding10_tout font12 lineheight24">'.Langue("BTN_FAMILLE_MEMBRES_PHOTO_UPLOAD").'</td></tr></table>';
					}
?>
					<p id="texte_upload" class="textecentre"></p>
				</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_PRENOM").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="2" type="text" class="textbox textbox2 padding10_tout font12" id="prenom" name="prenom" value="<?php echo $tableau_valeur['prenom']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_DATE_NAISSANCE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><input tabIndex="3" type="text" class="textbox padding10_tout font12" id="date_naissance" name="date_naissance" value="<?php echo Date_Convertir($tableau_valeur['date_naissance'],"Y-m-d",Parametre_Util('format_date')); ?>" size="15" maxlength="10"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_FAMILLE_GENRE").' <font class="fontrouge">'.Langue("LBL_OBLIGATOIRE").'</font>'; ?><br /><select tabIndex="4" class="textbox textbox2 padding10_tout font12" id="genre" name="genre">
					<option value="1" <?php if ($tableau_valeur['genre']==1) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_GENRE1"); ?></option>
					<option value="2" <?php if ($tableau_valeur['genre']==2) {echo "SELECTED";} ?>><?php echo Langue("LBL_FAMILLE_GENRE2"); ?></option>
				</select>
				</td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_DONNEES_PERSONNELLES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="5" type="text" class="textbox textbox2 padding10_tout font12" id="rue_personnel" name="rue_personnel" value="<?php echo $tableau_valeur['rue_personnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="10" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_personnel" name="telephone_personnel" value="<?php echo $tableau_valeur['telephone_personnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="6" type="text" class="textbox textbox2 padding10_tout font12" id="complement_personnel" name="complement_personnel" value="<?php echo $tableau_valeur['complement_personnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="11" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_personnel" name="telephone2_personnel" value="<?php echo $tableau_valeur['telephone2_personnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="7" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_personnel" name="codepostal_personnel" value="<?php echo $tableau_valeur['codepostal_personnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="12" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_personnel" name="mobile_personnel" value="<?php echo $tableau_valeur['mobile_personnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="8" type="text" class="textbox textbox2 padding10_tout font12" id="ville_personnel" name="ville_personnel" value="<?php echo $tableau_valeur['ville_personnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="14" type="text" class="textbox textbox10 padding10_tout font12" id="email_personnel" name="email_personnel" value="<?php echo $tableau_valeur['email_personnel']; ?>"> <i id="ouvrir_email_personnel" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="9" class="textbox textbox2 padding10_tout font12" id="pays_personnel" name="pays_personnel"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="15" type="text" class="textbox textbox10 padding10_tout font12" id="email2_personnel" name="email2_personnel" value="<?php echo $tableau_valeur['email2_personnel']; ?>"> <i id="ouvrir_email2_personnel" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_SKYPE"); ?><br /><input tabIndex="16" type="text" class="textbox textbox2 padding10_tout font12" id="skype_personnel" name="skype_personnel" value="<?php echo $tableau_valeur['skype_personnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas padding5_gauche">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="17" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_personnel" name="facebook_personnel" value="<?php echo $tableau_valeur['facebook_personnel']; ?>"> <i id="ouvrir_facebook_personnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Pinterest<br /><input tabIndex="19" type="text" class="textbox textbox10 padding10_tout font12" id="pinterest_personnel" name="pinterest_personnel" value="<?php echo $tableau_valeur['pinterest_personnel']; ?>"> <i id="ouvrir_pinterest_personnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas">Twitter<br /><input tabIndex="18" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_personnel" name="twitter_personnel" value="<?php echo $tableau_valeur['twitter_personnel']; ?>"> <i id="ouvrir_twitter_personnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="20" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_personnel" name="siteweb_personnel" value="<?php echo $tableau_valeur['siteweb_personnel']; ?>"> <i id="ouvrir_siteweb_personnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_DONNEES_PROFESSIONNELLES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_ADRESSE"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_COORDONNEES_EMAIL"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FONCTION"); ?><br /><input tabIndex="21" type="text" class="textbox textbox2 padding10_tout font12" id="fonction_professionnel" name="fonction_professionnel" value="<?php echo $tableau_valeur['fonction_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="28" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_professionnel" name="telephone_professionnel" value="<?php echo $tableau_valeur['telephone_professionnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_SOCIETE"); ?><br /><input tabIndex="22" type="text" class="textbox textbox2 padding10_tout font12" id="societe_professionnel" name="societe_professionnel" value="<?php echo $tableau_valeur['societe_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE2"); ?><br /><input tabIndex="29" type="text" class="textbox textbox2 padding10_tout font12" id="telephone2_professionnel" name="telephone2_professionnel" value="<?php echo $tableau_valeur['telephone2_professionnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="23" type="text" class="textbox textbox2 padding10_tout font12" id="rue_professionnel" name="rue_professionnel" value="<?php echo $tableau_valeur['rue_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="30" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_professionnel" name="mobile_professionnel" value="<?php echo $tableau_valeur['mobile_professionnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="24" type="text" class="textbox textbox2 padding10_tout font12" id="complement_professionnel" name="complement_professionnel" value="<?php echo $tableau_valeur['complement_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAX"); ?><br /><input tabIndex="31" type="text" class="textbox textbox2 padding10_tout font12" id="fax_professionnel" name="fax_professionnel" value="<?php echo $tableau_valeur['fax_professionnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="25" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_professionnel" name="codepostal_professionnel" value="<?php echo $tableau_valeur['codepostal_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL"); ?><br /><input tabIndex="32" type="text" class="textbox textbox10 padding10_tout font12" id="email_professionnel" name="email_professionnel" value="<?php echo $tableau_valeur['email_professionnel']; ?>"> <i id="ouvrir_email_professionnel" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="26" type="text" class="textbox textbox2 padding10_tout font12" id="ville_professionnel" name="ville_professionnel" value="<?php echo $tableau_valeur['ville_professionnel']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_EMAIL2"); ?><br /><input tabIndex="33" type="text" class="textbox textbox10 padding10_tout font12" id="email2_professionnel" name="email2_professionnel" value="<?php echo $tableau_valeur['email2_professionnel']; ?>"> <i id="ouvrir_email2_professionnel" class="tooltip fas fa-edit font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_EMAIL"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="27" class="textbox textbox2 padding10_tout font12" id="pays_professionnel" name="pays_professionnel"><?php echo $liste_pays; ?></select></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_SKYPE"); ?><br /><input tabIndex="34" type="text" class="textbox textbox2 padding10_tout font12" id="skype_professionnel" name="skype_professionnel" value="<?php echo $tableau_valeur['skype_professionnel']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>

			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_RESEAUX_SOCIAUX"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule">&nbsp;</td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Facebook<br /><input tabIndex="35" type="text" class="textbox textbox10 padding10_tout font12" id="facebook_professionnel" name="facebook_professionnel" value="<?php echo $tableau_valeur['facebook_professionnel']; ?>"> <i id="ouvrir_facebook_professionnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">Linkedin<br /><input tabIndex="38" type="text" class="textbox textbox10 padding10_tout font12" id="linkedin_professionnel" name="linkedin_professionnel" value="<?php echo $tableau_valeur['linkedin_professionnel']; ?>"> <i id="ouvrir_linkedin_professionnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">Twitter<br /><input tabIndex="36" type="text" class="textbox textbox10 padding10_tout font12" id="twitter_professionnel" name="twitter_professionnel" value="<?php echo $tableau_valeur['twitter_professionnel']; ?>"> <i id="ouvrir_twitter_professionnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding20_bas">XING<br /><input tabIndex="39" type="text" class="textbox textbox10 padding10_tout font12" id="xing_professionnel" name="xing_professionnel" value="<?php echo $tableau_valeur['xing_professionnel']; ?>"> <i id="ouvrir_xing_professionnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding10_bas"><?php echo Langue("LBL_SITEWEB"); ?><br /><input tabIndex="37" type="text" class="textbox textbox10 padding10_tout font12" id="siteweb_professionnel" name="siteweb_professionnel" value="<?php echo $tableau_valeur['siteweb_professionnel']; ?>"> <i id="ouvrir_siteweb_professionnel" class="tooltip fas fa-external-link-alt font16 souris_main verticalalignmilieu" title="<?php echo Langue("LBL_OUVRIR_LIEN"); ?>"></i></td>
				<td width="50%" class="fontnormal padding10_bas">&nbsp;</td>
			</tr>
			</table>
		</div>
	
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_FAMILLE_MEMBRES_SANTE"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_INFOS_GENERALES"); ?></td>
				<td width="50%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_FAMILLE_MEMBRES_MEDECIN"); ?></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_NUMERO_SECURITE_SOCIALE"); ?><br /><input tabIndex="40" type="text" class="textbox textbox2 padding10_tout font12" id="securite_sociale" name="securite_sociale" value="<?php echo $tableau_valeur['securite_sociale']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_MEDECIN"); ?><br /><input tabIndex="45" type="text" class="textbox textbox2 padding10_tout font12" id="medecin" name="medecin" value="<?php echo $tableau_valeur['medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_MUTUELLE"); ?><br /><input tabIndex="41" type="text" class="textbox textbox2 padding10_tout font12" id="mutuelle" name="mutuelle" value="<?php echo $tableau_valeur['mutuelle']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_RUE"); ?><br /><input tabIndex="46" type="text" class="textbox textbox2 padding10_tout font12" id="rue_medecin" name="rue_medecin" value="<?php echo $tableau_valeur['rue_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_REFERENCE_MUTUELLE"); ?><br /><input tabIndex="42" type="text" class="textbox textbox2 padding10_tout font12" id="reference_mutuelle" name="reference_mutuelle" value="<?php echo $tableau_valeur['reference_mutuelle']; ?>"></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_COMPLEMENT"); ?><br /><input tabIndex="47" type="text" class="textbox textbox2 padding10_tout font12" id="complement_medecin" name="complement_medecin" value="<?php echo $tableau_valeur['complement_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_GROUPE_RHESUS"); ?><br /><select tabIndex="43" class="textbox textbox2 padding10_tout font12" id="grouperhesus" name="grouperhesus">
					<option value="AP" <?php if ($tableau_valeur['grouperhesus']=="AP") {echo "SELECTED";} ?>>A+</option>
					<option value="AN" <?php if ($tableau_valeur['grouperhesus']=="AN") {echo "SELECTED";} ?>>A-</option>
					<option value="BP" <?php if ($tableau_valeur['grouperhesus']=="BP") {echo "SELECTED";} ?>>B+</option>
					<option value="BN" <?php if ($tableau_valeur['grouperhesus']=="BN") {echo "SELECTED";} ?>>A-</option>
					<option value="ABP" <?php if ($tableau_valeur['grouperhesus']=="ABP") {echo "SELECTED";} ?>>AB+</option>
					<option value="ABN" <?php if ($tableau_valeur['grouperhesus']=="ABN") {echo "SELECTED";} ?>>AB-</option>
					<option value="OP" <?php if ($tableau_valeur['grouperhesus']=="OP") {echo "SELECTED";} ?>>O+</option>
					<option value="ON" <?php if ($tableau_valeur['grouperhesus']=="ON") {echo "SELECTED";} ?>>O-</option>
				</select>
				</td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_CODEPOSTAL"); ?><br /><input tabIndex="48" type="text" class="textbox textbox2 padding10_tout font12" id="codepostal_medecin" name="codepostal_medecin" value="<?php echo $tableau_valeur['codepostal_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas verticalalignhaut" rowspan=4><?php echo Langue("LBL_FAMILLE_MEMBRES_ALLERGIES"); ?><br /><textarea tabIndex="44" class="textbox textbox2 padding10_tout font12 lineheight24 fontnormal" id="allergies" name="allergies" rows=10><?php echo $tableau_valeur['allergies']; ?></textarea></td>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_VILLE"); ?><br /><input tabIndex="49" type="text" class="textbox textbox2 padding10_tout font12" id="ville_medecin" name="ville_medecin" value="<?php echo $tableau_valeur['ville_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_PAYS"); ?><br /><select tabIndex="50" class="textbox textbox2 padding10_tout font12" id="pays_medecin" name="pays_medecin"><?php echo $liste_pays; ?></select></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_TELEPHONE"); ?><br /><input tabIndex="51" type="text" class="textbox textbox2 padding10_tout font12" id="telephone_medecin" name="telephone_medecin" value="<?php echo $tableau_valeur['telephone_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas"><?php echo Langue("LBL_MOBILE"); ?><br /><input tabIndex="52" type="text" class="textbox textbox2 padding10_tout font12" id="mobile_medecin" name="mobile_medecin" value="<?php echo $tableau_valeur['mobile_medecin']; ?>"></td>
			</tr>
			<tr>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
				<td width="50%" class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			</table>
			
			<table id="table_traitement_permanent" cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td colspan=7 width="100%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_FAMILLE_MEMBRES_TRAITEMENT_JOURNALIER"); ?></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_MEDICAMENT"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_MATIN"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_MIDI"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_SOIR"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_COUCHER"); ?></td>
				<td class="fontnormal padding20_bas"><i id="bouton_plus_traitement_journalier" title="<?php echo Langue("LBL_FAMILLE_MEMBRES_AJOUTER_MEDICAMENT"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_FAMILLE_MEMBRES_AUTRE"); ?></td>
			</tr>
<?php
			$decoupe_traitement=explode("|",$tableau_valeur["traitement_medical"]);
			sort($decoupe_traitement,SORT_STRING);
			for ($i=0;$i<count($decoupe_traitement);$i++)
			{
				$decoupe=explode("~",$decoupe_traitement[$i]);
				if (!isset($decoupe[1])) {$decoupe[1]="";}
				if (!isset($decoupe[2])) {$decoupe[2]="";}
				if (!isset($decoupe[3])) {$decoupe[3]="";}
				if (!isset($decoupe[4])) {$decoupe[4]="";}
				if (!isset($decoupe[5])) {$decoupe[5]="";}
				echo '<tr>
						<td class="padding20_bas"><input type="text" class="textbox textbox6 padding10_tout font12 margin10_droite" name="medicament[]" value="'.$decoupe[0].'"></td>
						<td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="matin[]" value="'.$decoupe[1].'"></td>
						<td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="midi[]" value="'.$decoupe[2].'"></td>
						<td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="soir[]" value="'.$decoupe[3].'"></td>
						<td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="coucher[]" value="'.$decoupe[4].'"></td>
						<td class="padding20_bas"><input style="width:250px" type="text" class="textbox padding10_tout font12" name="autre[]" value="'.$decoupe[5].'"></td>
					  </tr>';
			}
?>
			</table>

			<table id="table_vaccin" cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td colspan=4 class="fontnormal padding20_bas">&nbsp;</td>
			</tr>
			<tr>
				<td colspan=4 width="100%" class="fontnormal padding20_bas padding20_haut font14 fontgras fontmajuscule"><?php echo Langue("LBL_FAMILLE_VACCINATIONS"); ?></td>
			</tr>
			<tr>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_MEMBRES_VACCIN"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_VACCIN"); ?></td>
				<td class="fontnormal padding20_bas"><?php echo Langue("LBL_FAMILLE_ANIMAUX_DATE_VALIDE"); ?></td>
				<td class="fontnormal padding20_bas"><i id="bouton_plus_vaccin" title="<?php echo Langue("LBL_FAMILLE_MEMBRES_AJOUTER_VACCIN"); ?>" class="floatdroite tooltip fas fa-plus-circle font18 fontbleu souris_main"></i><?php echo Langue("LBL_FAMILLE_ANIMAUX_RAPPEL"); ?></td>
			</tr>
<?php
			$decoupe_vaccins=explode("|",$tableau_valeur["vaccins"]);
			rsort($decoupe_vaccins,SORT_STRING);
			for ($i=0;$i<count($decoupe_vaccins);$i++)
			{
				$decoupe=explode("~",$decoupe_vaccins[$i]);
				if (!isset($decoupe[1])) {$decoupe[1]="";}
				if (!isset($decoupe[2])) {$decoupe[2]="";}
				if (!isset($decoupe[3])) {$decoupe[3]="0";}
				echo '<tr>
						<td class="padding20_bas"><input type="text" class="textbox textbox5 padding10_tout font12 margin10_droite" name="vaccin[]" value="'.$decoupe[1].'"></td>
						<td class="padding20_bas"><input type="text" class="datation textbox textbox4 padding10_tout font12 margin10_droite" name="date_vaccin[]" value="'.Date_Convertir($decoupe[0],"Y-m-d",Parametre_Util('format_date')).'" maxlength="10"></td>
						<td class="padding20_bas"><input type="text" class="datation textbox textbox4 padding10_tout font12 margin10_droite" name="date_limite[]" value="'.Date_Convertir($decoupe[2],"Y-m-d",Parametre_Util('format_date')).'" maxlength="10"></td>
						<td class="padding20_bas"><select class="selectrappel textbox padding10_tout font12" name="rappel[]">';
				echo '<option value="0"';
				if ($decoupe[3]=="0") {echo ' SELECTED';}
				echo '>'.Langue('LBL_NON_FAIT').'</option>';
				echo '<option value="1"';
				if ($decoupe[3]=="1") {echo ' SELECTED';}
				echo '>'.Langue('LBL_FAIT').'</option>';
				echo '	</select></td>
					  </tr>';
			}
?>
			</table>
		</div>
		
		<div class="bloc_donnees padding10_tout margin20_bas clear">
			<p class="font24 fontopensans padding10_bas fontgras soustitre"><i class="fas fa-caret-right"></i> <?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?></p>
			<table cellspacing=0 cellpadding=0 border=0 width="100%" class="font12 lineheight24">
			<tr>
				<td width="100%" class="fontnormal padding20_haut"><?php echo Langue("LBL_INFOS_COMPLEMENTAIRES"); ?><br /><textarea class="textbox textbox3 padding10_tout font12 lineheight24 fontnormal" id="informations_complementaires" name="informations_complementaires" rows=15><?php echo $tableau_valeur['informations_complementaires']; ?></textarea></td>
			</tr>
			</table>
		</div>
	</div> <!-- Fin de la zone d'impression -->
	<p id="msg_erreur" class="fontgras fontrouge textecentre font12"></p>
	<p class="padding20_bas"><button class="bouton textbox15 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_membre" id="bouton_membre"><?php echo Langue("BTN_ENREGISTRER"); ?></button></p>
	<p class="textegauche padding20_bas"><?php if ($tableau_valeur['id']!="") {echo '<button class="bouton_supprimer textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_supprimer_membre" id="bouton_supprimer_membre">'.Langue("BTN_SUPPRIMER").'</button>';} else {echo '<button class="bouton_invisible textbox16 margin5_droite padding10_tout font12 fontblanc souris_main fontgras" name="bouton_invisible" id="bouton_invisible">&nbsp;</button>';} ?>
	<button class="bouton_annuler textbox16 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_annuler_membre" id="bouton_annuler_membre"><?php echo Langue("BTN_FAMILLE_MEMBRES_LISTE"); ?></button></p>
	</form>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);
	
	largeur=($(window).width()-60)/2-50;
	$(".textbox2").css("width",largeur+"px");
	largeur=$(window).width()-100;
	$(".textbox3").css("width",largeur+"px");
	$(".textbox4").css("width","100px");
	largeur=$(window).width()-520;
	$(".textbox5").css("width",largeur+"px").css("min-width","150px");
	largeur=$(window).width()-720;
	$(".textbox6").css("width",largeur+"px").css("min-width","150px");
	largeur=($(window).width()-60)/2-75;
	$(".textbox10").css("width",largeur+"px");
	largeur=$(window).width()-60;
	$(".textbox15").css("width",largeur+"px");
	largeur=($(window).width()-70)/2;
	$(".textbox16").css("width",largeur+"px");
	
	$("#pays_personnel").val("<?php echo $tableau_valeur['pays_personnel']; ?>");
	$("#pays_professionnel").val("<?php echo $tableau_valeur['pays_professionnel']; ?>");
	$("#pays_medecin").val("<?php echo $tableau_valeur['pays_medecin']; ?>");
	
	largeur=($(window).width()-60)/2-50;
	$("#genre").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_personnel").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_professionnel").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#grouperhesus").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#pays_medecin").chosen({width: largeur+"px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$(".selectrappel").chosen({width: "140px",disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	
	$("#ouvrir_email_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#email_personnel"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_personnel").val();}});
	$("#ouvrir_email2_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_personnel"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_personnel").val();}});
	$("#ouvrir_email_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#email_professionnel"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email_professionnel").val();}});
	$("#ouvrir_email2_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#email2_professionnel"),regex_defaut['email'])) {document.location.href="mailto:"+$("#email2_professionnel").val();}});

	$("#ouvrir_facebook_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_personnel"),regex_defaut['facebook'])) {window.open($("#facebook_personnel").val());}});
	$("#ouvrir_twitter_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_personnel"),regex_defaut['twitter'])) {window.open($("#twitter_personnel").val());}});
	$("#ouvrir_pinterest_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#pinterest_personnel"),regex_defaut['pinterest'])) {window.open($("#pinterest_personnel").val());}});
	$("#ouvrir_siteweb_personnel").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_personnel"),regex_defaut['url'])) {window.open($("#siteweb_personnel").val());}});
	$("#ouvrir_facebook_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#facebook_professionnel"),regex_defaut['facebook'])) {window.open($("#facebook_professionnel").val());}});
	$("#ouvrir_twitter_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#twitter_professionnel"),regex_defaut['twitter'])) {window.open($("#twitter_professionnel").val());}});
	$("#ouvrir_linkedin_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#linkedin_professionnel"),regex_defaut['linkedin'])) {window.open($("#linkedin_professionnel").val());}});
	$("#ouvrir_xing_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#xing_professionnel"),regex_defaut['xing'])) {window.open($("#xing_professionnel").val());}});
	$("#ouvrir_siteweb_professionnel").click(function(event) {event.preventDefault();if (checkRegexp($("#siteweb_professionnel"),regex_defaut['url'])) {window.open($("#siteweb_professionnel").val());}});
	
	$("#date_naissance").datepicker(
	{
		changeMonth: true,
		changeYear: true,
 		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
   }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$(".datation").datepicker(
	{
		changeMonth: true,
		changeYear: true,
		dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"
    }).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);
	
	$("#bouton_invisible").click(function(event) {event.preventDefault();});
	
	$("#bouton_annuler_membre").click(function(event)
	{
		event.preventDefault();
		Message(1);
		$("#bouton_annuler_membre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		document.location.href="index.php?module=membres_famille&action=index";
	});
	
	$("#bouton_supprimer_membre").click(function(event)
	{
		event.preventDefault();
		$("#bouton_supprimer_membre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
		Charge_Dialog("index2.php?module=membres_famille&action=supprimer_membre&id=<?php echo $tableau_valeur['id']; ?>","<i class='fas fa-trash-alt fontprincipal'></i> <?php echo Langue_JS("BTN_SUPPRIMER"); ?>",500,300);
	});
	
	$("#bouton_imprimer_membre").click(function(event)
	{
		event.preventDefault();
		$("#zone_a_imprimer").print({deferred: $.Deferred().done(function() {window.close();})});
	});
	
	$("#bouton_plus_vaccin").click(function(event)
	{
		event.preventDefault();
		$("#table_vaccin").append('<tr><td class="padding20_bas"><input type="text" class="textbox textbox5 padding10_tout font12 margin10_droite" name="vaccin[]" value=""></td><td class="padding20_bas"><input type="text" class="datation textbox padding10_tout font12 margin10_droite" name="date_vaccin[]" value="" style="width:100px" maxlength="10"></td><td class="padding20_bas"><input type="text" class="datation textbox padding10_tout font12" name="date_limite[]" value="" style="width:100px" maxlength="10"></td><td class="padding20_bas"><select class="selectrappel textbox padding10_tout font12" name="rappel[]"><option value="0"><?php echo Langue_JS("LBL_NON_FAIT"); ?></option><option value="1"><?php echo Langue_JS("LBL_FAIT"); ?></option></select><script type="text/javascript">$(".datation").datepicker({changeMonth: true,changeYear: true,dateFormat: "<?php echo str_replace("d","dd",str_replace("m","mm",str_replace("Y","yy",Parametre_Util('format_date')))); ?>"}).datepicker($.datepicker.regional["<?php echo $_SESSION['langue_util']; ?>"]);<\/script></td></tr>');
		largeur=$(window).width()-520;
		$(".textbox5").css("width",largeur+"px").css("min-width","150px");
		$(".selectrappel").chosen({width: "140px",disable_search_threshold: 10});
	});
	
	$("#bouton_plus_traitement_journalier").click(function(event)
	{
		event.preventDefault();
		$("#table_traitement_permanent").append('<tr><td class="padding20_bas"><input type="text" class="textbox textbox6 padding10_tout font12 margin10_droite" name="medicament[]" value=""></td><td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="matin[]" value=""></td><td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="midi[]" value=""></td><td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="soir[]" value=""></td><td class="padding20_bas"><input style="width:50px" type="text" class="textbox padding10_tout font12 margin10_droite" name="coucher[]" value=""></td><td class="padding20_bas"><input style="width:250px" type="text" class="textbox padding10_tout font12" name="autre[]" value=""></td></tr>');
		largeur=$(window).width()-720;
		$(".textbox6").css("width",largeur+"px").css("min-width","150px");
	});
	
	$("#bouton_fichier").click(function(event)
	{
		event.preventDefault();
		$("#fichier_membre").click();
	});
	
	$("#fichier_membre").change(function(event)
	{
		event.preventDefault();
		$("#texte_upload").html("<?php echo Langue_JS('LBL_PHOTO_UPLOAD'); ?>").addClass("font12 fontrouge");
	});
	
	$("#bouton_membre").click(function(event)
	{
		event.preventDefault();
		$("#form_membre").submit();
	});
	
	$("#telephone_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_personnel"),regex_defaut['tel'])) {bValid=false;$("#telephone_personnel").addClass("form-erreur");} else {$("#telephone_personnel").removeClass("form-erreur");}});
	$("#telephone2_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_personnel"),regex_defaut['tel'])) {bValid=false;$("#telephone2_personnel").addClass("form-erreur");} else {$("#telephone2_personnel").removeClass("form-erreur");}});
	$("#mobile_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_personnel"),regex_defaut['tel'])) {bValid=false;$("#mobile_personnel").addClass("form-erreur");} else {$("#mobile_personnel").removeClass("form-erreur");}});
	$("#telephone_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_professionnel"),regex_defaut['tel'])) {bValid=false;$("#telephone_professionnel").addClass("form-erreur");} else {$("#telephone_professionnel").removeClass("form-erreur");}});
	$("#telephone2_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone2_professionnel"),regex_defaut['tel'])) {bValid=false;$("#telephone2_professionnel").addClass("form-erreur");} else {$("#telephone2_professionnel").removeClass("form-erreur");}});
	$("#mobile_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_professionnel"),regex_defaut['tel'])) {bValid=false;$("#mobile_professionnel").addClass("form-erreur");} else {$("#mobile_professionnel").removeClass("form-erreur");}});
	$("#fax_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#fax_professionnel"),regex_defaut['tel'])) {bValid=false;$("#fax_professionnel").addClass("form-erreur");} else {$("#fax_professionnel").removeClass("form-erreur");}});
	$("#telephone_medecin").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#telephone_medecin"),regex_defaut['tel'])) {bValid=false;$("#telephone_medecin").addClass("form-erreur");} else {$("#telephone_medecin").removeClass("form-erreur");}});
	$("#mobile_medecin").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#mobile_medecin"),regex_defaut['tel'])) {bValid=false;$("#mobile_medecin").addClass("form-erreur");} else {$("#mobile_medecin").removeClass("form-erreur");}});
	
	$("#email_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_personnel"),regex_defaut['email'])) {bValid=false;$("#email_personnel").addClass("form-erreur");} else {$("#email_personnel").removeClass("form-erreur");}});
	$("#email2_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_personnel"),regex_defaut['email'])) {bValid=false;$("#email2_personnel").addClass("form-erreur");} else {$("#email2_personnel").removeClass("form-erreur");}});
	$("#email_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email_professionnel"),regex_defaut['email'])) {bValid=false;$("#email_professionnel").addClass("form-erreur");} else {$("#email_professionnel").removeClass("form-erreur");}});
	$("#email2_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#email2_professionnel"),regex_defaut['email'])) {bValid=false;$("#email2_professionnel").addClass("form-erreur");} else {$("#email2_professionnel").removeClass("form-erreur");}});

	$("#facebook_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_personnel"),regex_defaut['facebook'])) {bValid=false;$("#facebook_personnel").addClass("form-erreur");} else {$("#facebook_personnel").removeClass("form-erreur");}});
	$("#twitter_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_personnel"),regex_defaut['twitter'])) {bValid=false;$("#twitter_personnel").addClass("form-erreur");} else {$("#twitter_personnel").removeClass("form-erreur");}});
	$("#pinterest_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#pinterest_personnel"),regex_defaut['pinterest'])) {bValid=false;$("#pinterest_personnel").addClass("form-erreur");} else {$("#pinterest_personnel").removeClass("form-erreur");}});
	$("#siteweb_personnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_personnel"),regex_defaut['url'])) {bValid=false;$("#siteweb_personnel").addClass("form-erreur");} else {$("#siteweb_personnel").removeClass("form-erreur");}});
	$("#facebook_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#facebook_professionnel"),regex_defaut['facebook'])) {bValid=false;$("#facebook_professionnel").addClass("form-erreur");} else {$("#facebook_professionnel").removeClass("form-erreur");}});
	$("#twitter_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#twitter_professionnel"),regex_defaut['twitter'])) {bValid=false;$("#twitter_professionnel").addClass("form-erreur");} else {$("#twitter_professionnel").removeClass("form-erreur");}});
	$("#linkedin_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#linkedin_professionnel"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_professionnel").addClass("form-erreur");} else {$("#linkedin_professionnel").removeClass("form-erreur");}});
	$("#xing_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#xing_professionnel"),regex_defaut['xing'])) {bValid=false;$("#xing_professionnel").addClass("form-erreur");} else {$("#xing_professionnel").removeClass("form-erreur");}});
	$("#siteweb_professionnel").blur(function(event) {event.preventDefault();if (!checkRegexp_nonnulle($("#siteweb_professionnel"),regex_defaut['url'])) {bValid=false;$("#siteweb_professionnel").addClass("form-erreur");} else {$("#siteweb_professionnel").removeClass("form-erreur");}});

	$("#form_membre").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		if (!checkValue($("#nom"))) {bValid=false;$("#nom").addClass("form-erreur");} else {$("#nom").removeClass("form-erreur");}
		if (!checkValue($("#prenom"))) {bValid=false;$("#prenom").addClass("form-erreur");} else {$("#prenom").removeClass("form-erreur");}
		if (!checkValue($("#date_naissance"))) {bValid=false;$("#date_naissance").addClass("form-erreur");} else {$("#date_naissance").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#telephone_personnel"),regex_defaut['tel'])) {bValid=false;$("#telephone_personnel").addClass("form-erreur");} else {$("#telephone_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_personnel"),regex_defaut['tel'])) {bValid=false;$("#telephone2_personnel").addClass("form-erreur");} else {$("#telephone2_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_personnel"),regex_defaut['tel'])) {bValid=false;$("#mobile_personnel").addClass("form-erreur");} else {$("#mobile_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_professionnel"),regex_defaut['tel'])) {bValid=false;$("#telephone_professionnel").addClass("form-erreur");} else {$("#telephone_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone2_professionnel"),regex_defaut['tel'])) {bValid=false;$("#telephone2_professionnel").addClass("form-erreur");} else {$("#telephone2_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_professionnel"),regex_defaut['tel'])) {bValid=false;$("#mobile_professionnel").addClass("form-erreur");} else {$("#mobile_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#fax_professionnel"),regex_defaut['tel'])) {bValid=false;$("#fax_professionnel").addClass("form-erreur");} else {$("#fax_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#telephone_medecin"),regex_defaut['tel'])) {bValid=false;$("#telephone_medecin").addClass("form-erreur");} else {$("#telephone_medecin").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#mobile_medecin"),regex_defaut['tel'])) {bValid=false;$("#mobile_medecin").addClass("form-erreur");} else {$("#mobile_medecin").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#email_personnel"),regex_defaut['email'])) {bValid=false;$("#email_personnel").addClass("form-erreur");} else {$("#email_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_personnel"),regex_defaut['email'])) {bValid=false;$("#email2_personnel").addClass("form-erreur");} else {$("#email2_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email_professionnel"),regex_defaut['email'])) {bValid=false;$("#email_professionnel").addClass("form-erreur");} else {$("#email_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#email2_professionnel"),regex_defaut['email'])) {bValid=false;$("#email2_professionnel").addClass("form-erreur");} else {$("#email2_professionnel").removeClass("form-erreur");}

		if (!checkRegexp_nonnulle($("#facebook_personnel"),regex_defaut['facebook'])) {bValid=false;$("#facebook_personnel").addClass("form-erreur");} else {$("#facebook_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_personnel"),regex_defaut['twitter'])) {bValid=false;$("#twitter_personnel").addClass("form-erreur");} else {$("#twitter_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#pinterest_personnel"),regex_defaut['pinterest'])) {bValid=false;$("#pinterest_personnel").addClass("form-erreur");} else {$("#pinterest_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_personnel"),regex_defaut['url'])) {bValid=false;$("#siteweb_personnel").addClass("form-erreur");} else {$("#siteweb_personnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#facebook_professionnel"),regex_defaut['facebook'])) {bValid=false;$("#facebook_professionnel").addClass("form-erreur");} else {$("#facebook_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#twitter_professionnel"),regex_defaut['twitter'])) {bValid=false;$("#twitter_professionnel").addClass("form-erreur");} else {$("#twitter_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#linkedin_professionnel"),regex_defaut['linkedin'])) {bValid=false;$("#linkedin_professionnel").addClass("form-erreur");} else {$("#linkedin_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#xing_professionnel"),regex_defaut['xing'])) {bValid=false;$("#xing_professionnel").addClass("form-erreur");} else {$("#xing_professionnel").removeClass("form-erreur");}
		if (!checkRegexp_nonnulle($("#siteweb_professionnel"),regex_defaut['url'])) {bValid=false;$("#siteweb_professionnel").addClass("form-erreur");} else {$("#siteweb_professionnel").removeClass("form-erreur");}

		if (bValid==true)
		{
			$("#bouton_membre").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			$("#msg_erreur").html("").removeClass("form-erreur padding10_tout margin20_bas");
			Message(1);
			var $form = $( this );
			url = $form.attr( 'action' );
			var request = $.ajax(
			{
				type: "POST",
				url: url,
				data: new FormData(this),
				contentType: false,
				cache: false,
				processData:false,
				success: function(msg)
				{
					Action_Page("membres_famille","ajouter_membre&id="+msg);
				}
			});
		} else {$("#msg_erreur").html("<?php echo Langue_JS("LBL_CORRIGER_CHAMPS_ROUGES"); ?>").addClass("form-erreur padding10_tout margin20_bas");}
	});
});
</script>
