<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div class="menu_administration"></div>
<button class="btn-nav">
	<div class="bar arrow-top-r"></div>
	<div class="bar arrow-middle-r"></div>
	<div class="bar arrow-bottom-r"></div>
</button>
<nav id="menu_nav" class="nav-container hidden hideNav">
		<p><img src="./images/vide.png" height="80px"></p>
		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-male font20"></i><i class="fas fa-female padding10_droite font20"></i><?php echo Langue("LBL_FAMILLE_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_membres_famille" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-users padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_FAMILLE_MEMBRES_TITRE"); ?></td></tr>
		<tr id="lien_animaux" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-dog padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_FAMILLE_ANIMAUX_TITRE"); ?></td></tr>
		<tr id="lien_carnet_adresses" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-address-card padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_FAMILLE_CARNET_ADRESSES_TITRE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>

		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-home padding10_droite font20"></i><?php echo Langue("LBL_BIENS_IMMOBILIERS_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_biens_immobiliers" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-home padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_BIENS_IMMOBILIERS_TITRE"); ?></td></tr>
		<tr id="lien_biens_immobiliers_equipements" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-couch padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_EQUIPEMENTS_IMMOBILIERS_TITRE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>

		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-money-bill-wave padding10_droite font20"></i><?php echo Langue("LBL_FINANCES_COMPTES_MON_ARGENT_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_comptes_bancaires" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-university padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_FINANCES_COMPTES_TITRE"); ?></td></tr>
		<tr id="lien_operations_bancaires" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-money-bill-wave padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_LISTE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>

		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-calendar-day padding10_droite font20"></i><?php echo Langue("LBL_VIE_QUOTIDIENNE_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_agenda" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-calendar-alt padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_VIE_QUOTIDIENNE_AGENDA_TITRE"); ?></td></tr>
		<tr id="lien_organisation_maison" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-table padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_VIE_QUOTIDIENNE_CORVEES_TITRE"); ?></td></tr>
		<tr id="lien_activites_membres" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="far fa-futbol padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_VIE_QUOTIDIENNE_ACTIVITES_MEMBRES_TITRE"); ?></td></tr>
		<tr id="lien_recettes" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-apple-alt padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_VIE_QUOTIDIENNE_RECETTES_TITRE"); ?></td></tr>
		<tr id="lien_courses" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-shopping-cart padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_VIE_QUOTIDIENNE_COURSES_TITRE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>

		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-snowboarding padding10_droite font20"></i><?php echo Langue("LBL_LOISIRS_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_bibliotheque" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-book padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_LOISIRS_LIVRES_TITRE_MENU"); ?></td></tr>
		<tr id="lien_cdtheque" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-compact-disc padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_LOISIRS_CDTHEQUE_TITRE_MENU"); ?></td></tr>
		<tr id="lien_playlists" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-music padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_LOISIRS_PLAYLISTS_TITRE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>
		
		<p class="item_titre lineheight32 font16 fontblanc padding30_gauche fontgras"><i class="fas fa-tools padding10_droite font20"></i><?php echo Langue("LBL_ADMINISTRATION_TITRE"); ?></p>
		<table cellspacing=0 cellpadding=0 border=0 width="100%">
		<tr id="lien_compte" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-user padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_ADMINISTRATION_COMPTE"); ?></td></tr>
		<tr id="lien_administration" class="item_lien souris_main lineheight24"><td class="padding50_gauche"><i class="fas fa-tools padding10_droite font16"></i></td><td width="100%"><?php echo Langue("LBL_ADMINISTRATION_ADMINISTRATION_TITRE"); ?></td></tr>
		</table>
		<p class="lineheight24 font12">&nbsp;</p>
		<p class="lineheight24 font12">&nbsp;</p>
		<p class="padding30_gauche padding30_droite font11 fontgris lineheight22"><a class="lien_gris" href="index.php?module=autres&action=licence" onClick="Message(1)"><?php echo Langue("LBL_AUTRES_LICENCE"); ?></a> - <a class="lien_gris" href="index.php?module=autres&action=aproposde" onClick="Message(1)"><?php echo Langue("LBL_AUTRES_APROPOSDE"); ?></a> - <a class="lien_gris" href="index.php?module=autres&action=changelog" onClick="Message(1)"><?php echo Langue("LBL_AUTRES_CHANGELOG"); ?></a> - <a class="lien_gris" href="index.php?module=autres&action=cookies" onClick="Message(1)"><?php echo Langue("LBL_AUTRES_COOKIES"); ?></a> - <a class="lien_gris" href="mailto:contact@mea-familia.com" onClick="Message(1)"><?php echo Langue("LBL_AUTRES_CONTACT"); ?></a></p>		
		<p class="padding30_gauche font11 fontgris lineheight22">Copyright &copy; 2020<?php if (date("Y")>2020) {echo '-'.date("Y");} ?> <b>Mea-familia</b> - All rights reserved.</p>
</nav>

<script language="Javascript">
$(document).ready(function()
{	
	$(".btn-nav").on("click tap", function()
	{
		$(".nav-container").toggleClass("showNav hideNav").removeClass("hidden").css("visibility","visible");
		$(this).toggleClass("animated");
	});
	
	$("#lien_membres_famille").click(function(event) {event.preventDefault();Message(1);Action_Page("membres_famille","index");});
	$("#lien_animaux").click(function(event) {event.preventDefault();Message(1);Action_Page("animaux","index");});
	$("#lien_carnet_adresses").click(function(event) {event.preventDefault();Message(1);Action_Page("carnet_adresses","index");});

	$("#lien_biens_immobiliers").click(function(event) {event.preventDefault();Message(1);Action_Page("biens_immobiliers","index");});
	$("#lien_biens_immobiliers_equipements").click(function(event) {event.preventDefault();Message(1);Action_Page("equipements_immobiliers","index");});

	$("#lien_organisation_maison").click(function(event) {event.preventDefault();Message(1);Action_Page("organisation_maison","index");});
	$("#lien_activites_membres").click(function(event) {event.preventDefault();Message(1);Action_Page("activites_membres","index");});
	$("#lien_agenda").click(function(event) {event.preventDefault();Message(1);Action_Page("agenda","index");});
	$("#lien_recettes").click(function(event) {event.preventDefault();Message(1);Action_Page("recettes","index");});
	$("#lien_courses").click(function(event) {event.preventDefault();Message(1);Action_Page("courses","index");});
	
	$("#lien_comptes_bancaires").click(function(event) {event.preventDefault();Message(1);Action_Page("comptes_bancaires","index");});
	$("#lien_operations_bancaires").click(function(event) {event.preventDefault();Message(1);Action_Page("operations_bancaires","index");});
	
	$("#lien_bibliotheque").click(function(event) {event.preventDefault();Message(1);Action_Page("livres","index");});
	$("#lien_cdtheque").click(function(event) {event.preventDefault();Message(1);Action_Page("cdtheque","index");});
	$("#lien_playlists").click(function(event) {event.preventDefault();Message(1);Action_Page("playlists","index");});
	
	$("#lien_compte").click(function(event) {event.preventDefault();Message(1);Action_Page("compte","index");});
	$("#lien_administration").click(function(event) {event.preventDefault();Message(1);Action_Page("administration","index");});
});
</script>
