<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

	$id_compte="";
	$req_comptes=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id_util='".$_SESSION['id_util']."' ORDER BY nom ASC");
	if (mysqli_num_rows($req_comptes)!="")
	{
		while ($row_comptes=mysqli_fetch_array($req_comptes))
		{
			$rows_comptes[]=$row_comptes;
		}
		for ($i=0;$i<count($rows_comptes);$i++)
		{
			$liste_id_compte[$i]=$rows_comptes[$i]['id'];
			$liste_nom_compte[$i]=Decryptage($rows_comptes[$i]['nom']);
		}
		array_multisort($liste_nom_compte,SORT_ASC,SORT_STRING,$liste_id_compte);
		$id_compte=$liste_id_compte[0];
	}
	
	if (isset($_GET['id_compte'])) 
	{
		$id_compte=$_GET['id_compte'];
	}

	$req_compte=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id='".$id_compte."'");
	$row_compte=mysqli_fetch_array($req_compte);
?>
<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<p class="font36 fontopensans fontprincipal padding20_bas"><span id="ajouter_operation" title="<?php echo Langue("LBL_FINANCES_COMPTES_OPERATIONS_AJOUTER"); ?>" class="tooltip font24 floatdroite fa-stack fa-2x souris_main"><i class="fas fa-circle fontbleu fa-stack-2x"></i><i class="fas fa-plus fa-stack-1x fontblanc fa-inverse"></i></span><i class="fas fa-money-bill-wave"></i> <?php echo str_replace("%compte",'<i>'.Decryptage($row_compte['nom']).'</i>',Langue("LBL_FINANCES_COMPTES_OPERATIONS_LISTE_COMPTE")); ?></p>
<?php
	if (mysqli_num_rows($req_comptes)!="")
	{
		echo '<p class="font16 fontgras textecentre padding10_tout">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_COMPTE_BANCAIRE").$espace[$_SESSION['langue_util']].': <select name="id_compte_en_cours" id="id_compte_en_cours" class="textegauche font16 textbox padding10_tout font12 margin10_droite">';
		for ($i=0;$i<count($liste_id_compte);$i++)
		{
			echo '<option value="'.$liste_id_compte[$i].'"';
			if ($liste_id_compte[$i]==$id_compte) {echo ' SELECTED';}
			echo '>'.$liste_nom_compte[$i].'</option>';
		}
		echo '</select></p>';

		unset($req_operation,$row_operation,$rows_operation);
		$req_operation=mysqli_query($link_bdd,"SELECT * FROM `operations_bancaires` WHERE id_util='".$_SESSION['id_util']."' AND id_compte='".$id_compte."' ORDER BY date_operation DESC");
		if (mysqli_num_rows($req_operation)!="")
		{
			while ($row_operation=mysqli_fetch_array($req_operation))
			{
				$rows_operation[]=$row_operation;
			}
			echo '<table id="tableau_operation" class="cell-border hover responsive nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">';
			echo '<thead><tr>
					<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_DATE").'</p></th>
					<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT").'</p></th>
					<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_TIERS").'</p></th>
					<th width="13%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_CATEGORIE").'</p></th>
					<th width="20%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_INFOS_COMPLEMENTAIRES").'</p></th>
					<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_DEBIT").'</p></th>
					<th width="10%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_CREDIT").'</p></th>
					<th width="7%" class="textecentre"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_RAPPROCHE").'</p></th>
				  </tr></thead><tbody>';
			for ($i=0;$i<count($rows_operation);$i++)
			{
				if ($rows_operation[$i]['montant']<0)
				{
					$credit="";
					$debit=-1*$rows_operation[$i]['montant'];
				}
				else
				{
					$debit="";
					$credit=$rows_operation[$i]['montant'];
				}
				$rapproche="&nbsp;";
				if ($rows_operation[$i]['rapproche']=="1") {$rapproche='<i class="fas fa-check font16"></i>';}
				echo '<tr id="table_operation'.$rows_operation[$i]['id'].'" class="souris_main">
						<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Date_Convertir(Decryptage($rows_operation[$i]['date_operation']),"Y-m-d",Parametre_Util('format_date')).'</p></td>
						<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_MODE_PAIEMENT_".Decryptage($rows_operation[$i]['mode_paiement'])).'</p></td>
						<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_operation[$i]['tiers']).'</p></td>
						<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_CATEGORIES".$rows_operation[$i]['categorie']).'</p></td>
						<td class="textegauche verticalalignhaut"><p class="font12 lineheight24">'.Decryptage($rows_operation[$i]['commentaire']).'</p></td>
						<td class="textedroite verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($debit,2).'</p></td>
						<td class="textedroite verticalalignhaut"><p class="font12 lineheight24">'.Convertir_Nombre_Ecran($credit,2).'</p></td>
						<td class="textecentre verticalalignmilieu">'.$rapproche.'</td>
					  </tr>';
				echo '<script type="text/javascript">
						$(document).ready(function()
						{
							$("#table_operation'.$rows_operation[$i]['id'].'").click(function(event) {event.preventDefault();Message(1);Action_Page("operations_bancaires","ajouter_operation&id='.$rows_operation[$i]['id'].'&id_compte='.$id_compte.'");});
						});
						</script>';
			}
			echo '</tbody></table><p>&nbsp;</p>
					<table class="dataTable cell-border nowrap" cellspacing=0 cellpadding=0 border=0 width="100%">
					<tr>';
			$plus="";
			$req_estime=mysqli_query($link_bdd,"SELECT SUM(montant) AS total FROM `operations_bancaires` WHERE id_compte='".$id_compte."' AND rapproche!='1'");
			$total_compte=Decryptage($row_compte['solde']);
			if (mysqli_num_rows($req_estime)!="")
			{
				$row_estime=mysqli_fetch_array($req_estime);
				$total_compte=$total_compte+$row_estime['total'];
			}
			if ($total_compte<0) {$plus="fontrouge";}
			echo '<td width="50%" class="textecentre verticalalignhaut"><p class="font14 lineheight28 fontgras">'.Langue("LBL_FINANCES_COMPTES_SOLDE_ESTIME").$espace[$_SESSION['langue_util']].': <font class="'.$plus.'">'.Convertir_Nombre_Ecran($total_compte,2).' '.Decryptage($row_compte['monnaie']).'</font></p></td>';
			$plus="";
			$value=Decryptage($row_compte['solde']);
			if ($value<0) {$plus="fontrouge";}
			echo '<td width="50%" class="textecentre verticalalignhaut"><p class="font14 lineheight28 fontgras">'.Langue("LBL_FINANCES_COMPTES_SOLDE_RAPPROCHE").$espace[$_SESSION['langue_util']].': <font class="'.$plus.'">'.Convertir_Nombre_Ecran($value,2).' '.Decryptage($row_compte['monnaie']).'</font></p></td></tr></table>';
		}
		else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_FINANCES_COMPTES_OPERATIONS_AUCUN").'</p>';}
	} else {echo '<p class="textecentre font12 padding50_haut">'.Langue("LBL_FINANCES_COMPTES_COMPTE_DABORD").'</p>';}
?>
</div>
<script language="Javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100;
	$("#fenetre_principale").css("min-height",hauteur);

	$.fn.dataTable.moment('<?php echo str_replace("d","DD",str_replace("m","MM",str_replace("Y","YYYY",Parametre_Util('format_date')))); ?>');
	
	$.fn.dataTable.moment = function ( format, locale ) {
		var types = $.fn.dataTable.ext.type;
		types.detect.unshift( function ( d ) {
			return moment( d, format, locale, true ).isValid() ?
				'moment-'+format :
				null;
		} );
		types.order[ 'moment-'+format+'-pre' ] = function ( d ) {
			return moment( d, format, locale, true ).unix();
		};
	};

	$("#id_compte_en_cours").chosen({disable_search_threshold: 10,no_results_text:"<?php echo Langue_JS("LBL_CHOSEN_AUCUN_RESULTAT"); ?>",placeholder_text_single:"<?php echo Langue_JS("LBL_CHOSEN_SELECTION"); ?>"});
	$("#id_compte_en_cours").change(function(event) {event.preventDefault();Message(1);Action_Page("operations_bancaires","index&id_compte="+$("#id_compte_en_cours").val());});
	
	$("#ajouter_operation").click(function(event) 
	{
		event.preventDefault();
<?php
		$req_banque=mysqli_query($link_bdd,"SELECT * FROM `comptes_bancaires` WHERE id_util='".$_SESSION['id_util']."'");
		if (mysqli_num_rows($req_banque)=="") {echo 'alert("'.Langue_JS("LBL_FINANCES_COMPTES_COMPTE_DABORD").'")';} else {echo 'Message(1);Action_Page("operations_bancaires","ajouter_operation&id_compte='.$id_compte.'");';}
?>
	});

	$("#tableau_operation").DataTable({
        "processing": true,
		"responsive": true,
		"pageLength": 25,
		"order": [[ 0, "desc" ]],
		"language": <?php include './lib/i18n/datatables-'.$_SESSION['langue_util'].'.lang'; ?>
	});
});
</script>
