<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/
?>

<div id="fenetre_principale" class="fenetre_principale backgroundgris padding20_tout fontnormal">
	<div id="div_form" class="backgroundblanc padding20_tout">
		<form name="form_connexion" id="form_connexion" class="backgroundblanc padding20_tout">
			<p class="font26 fontopensans fontgras"><i class="fas fa-sign-in-alt fontprincipal"></i> <?php echo Langue_JS("LBL_CONNEXION_CONNEXION"); ?></p>
			<p class="font12">&nbsp;</p>
			<p class="font12">&nbsp;</p>
			<p id="msg_erreur_connexion" class="fontrouge textecentre font12"></p>
			<p class="textegauche"><input class="textbox textbox2 padding10_tout font12" maxlength="50" type="text" name="identifiant_connexion" id="identifiant_connexion" value="" placeholder="<?php echo Langue("LBL_CONNEXION_VOTRE_IDENTIFIANT"); ?>"></p>
			<p id="msg_identifiant_connexion" class="font12 textegauche">&nbsp;</p>
			<p class="font12">&nbsp;</p>
			<p class="textegauche"><input class="textbox textbox2 padding10_tout font12" maxlength="25" type="password" name="password_connexion" id="password_connexion" value="" placeholder="<?php echo Langue("LBL_CONNEXION_VOTRE_MOTDEPASSE"); ?>"></p>
			<p id="msg_password_connexion" class="font12 textegauche">&nbsp;</p>
			<p class="font12">&nbsp;</p>
			<p class="textegauche"><button class="bouton textbox3 padding10_tout font12 fontblanc souris_main fontgras" name="bouton_connexion" id="bouton_connexion"><?php echo Langue("LBL_CONNEXION_CONNEXION"); ?></button></p>
		</form>
	</div>
<?php
		$filename='https://www.mea-familia.com/version.txt';
		$texte = file_get_contents($filename);
		if ($texte!=Parametre_Config("version_application")) 
		{
			echo '<p class="font12 lineheight24 padding50_haut fontrouge fontgras textecentre">'.str_replace("%version",$texte,Langue("LBL_ADMINISTRATION_MISE_A_JOUR_DISPO")).'</p>';
		}
?>
</div>
<script type="text/javascript">
$(document).ready(function()
{
	hauteur=$(window).height()-100-$(".pieddepage_general").height();
	$("#fenetre_principale").css("min-height",hauteur);

	largeur=($(window).width()-560)/2;
	hauteur=(hauteur-$("#div_form").height()-60)/2;
	$("#div_form").css("width","520px");
	$("#div_form").css("margin-left",largeur+"px").css("margin-top",hauteur+"px");
	
	$(".textbox2").css("width","460px");
	$(".textbox3").css("width","480px");

	$("#bouton_connexion").click(function(event)
	{
		event.preventDefault();
		$("#form_connexion").submit();
	});
	
	$("#form_connexion").submit(function(event)
	{
		event.preventDefault();
		bValid=true;
		$("#msg_erreur_connexion").removeClass("form-erreur margin10_bas padding10_tout");
		$("#msg_erreur_connexion").html("");
		if ($("#identifiant_connexion").val()=="")
		{
			bValid=false;
			$("#msg_identifiant_connexion").removeClass("fontvert").addClass("fontrouge");
			$("#msg_identifiant_connexion").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_VOTRE_IDENTIFIANT_VIDE"); ?>");
		} else { $("#msg_identifiant_connexion").html("&nbsp;"); }
		if ($("#password_connexion").val()=="")
		{
			bValid=false;
			$("#msg_password_connexion").removeClass("fontvert").addClass("fontrouge");
			$("#msg_password_connexion").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_VOTRE_MOTDEPASSE_VIDE"); ?>");
		} else { $("#msg_password_connexion").html("&nbsp;"); }
		if (bValid==true)
		{
			$("#bouton_connexion").html('<i class="fas fa-circle-notch fa-spin"></i>').prop("disabled",true);
			var request = $.ajax({type: "POST", url: "index2.php", data: "module=utilisateur&action=save_connexion&identifiant="+$("#identifiant_connexion").val()+"&password="+$("#password_connexion").val() });
			request.done(function(msg)
			{
				switch (msg)
				{
					case "OK":
						Action_Page("membres_famille","index");
						break;
					case "Erreur":
						$("#msg_erreur_connexion").addClass("form-erreur margin10_bas padding10_tout");
						$("#msg_erreur_connexion").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_IDENTIFIANT_INCONNU"); ?>");
						$("#bouton_connexion").html("<?php echo Langue_JS("LBL_CONNEXION_CONNEXION"); ?>").prop("disabled",false);
						break;
					case "Erreur2":
						$("#msg_erreur_connexion").addClass("form-erreur margin10_bas padding10_tout");
						$("#msg_erreur_connexion").html("<?php echo Langue_JS("MSG_ERR_CONNEXION_IDENTIFICATION"); ?>");
						$("#bouton_connexion").html("<?php echo Langue_JS("LBL_CONNEXION_CONNEXION"); ?>").prop("disabled",false);
						break;
				}
			});
		}
	});
});
</script>
