<?php
/*********************************************************************************************
 * VERSION FRANCAISE																		 *
 * =================																		 *
 * Mea-familia est un gestionnaire de famille développé par plusieurs contributeurs.		 *
 * 																							 *
 * Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ;	 *
 * sans même la garantie implicite de QUALITÉ MARCHANDE ou D'ADAPTATION POUR UN USAGE		 *
 * PARTICULIER.																				 *
 * 																							 *
 * Vous pouvez contacter les contributeurs par email à l'adresse contact@mea-familia.com.	 *
 *																							 *
 * Si vous modifiez l'application en respectant la licence de Mea-familia, vous devez		 *
 * afficher la mention "Powered by Mea-familia" et laisser la mention de copyright 			 *
 * "COPYRIGHT 2020-(Année en cours) Mea-familia - All rights reserved".						 *
 *																							 *
 *																							 *
 * ENGLISH VERSION																			 *
 * ===============																			 *
 * Mea-familia is a family management application developed by several contributors.		 *
 *																							 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; *
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. *
 * 																							 *
 * You can contact the contributors at email address contact@mea-familia.com.				 *
 * 																							 *
 * If you modify the application in accordance by the Mea-familia license, you must display  *
 * the notice "Powered by Mea-familia" and leave the copyright notice 						 *
 * "COPYRIGHT 2020-(Current year) Mea-familia - All rights reserved".						 *
 *********************************************************************************************/

$espace=array(
	'de_DE'=>"",
	'en_GB'=>"",
	'en_US'=>"",
	'es_ES'=>"",
	'fr_FR'=>" ",
	'it_IT'=>"",
	'pt_PT'=>"",
);

$decimal=array(
	'de_DE'=>",",
	'en_GB'=>".",
	'en_US'=>".",
	'es_ES'=>",",
	'fr_FR'=>",",
	'it_IT'=>",",
	'pt_PT'=>",",
);

$millier=array(
	'de_DE'=>".",
	'en_GB'=>",",
	'en_US'=>",",
	'es_ES'=>" ",
	'fr_FR'=>" ",
	'it_IT'=>" ",
	'pt_PT'=>" ",
);

$monnaie_defaut=array(
	'de_DE' => "EUR",
	'en_GB' => "GBP",
	'en_US' => "USD",
	'es_ES' => "EUR",
	'fr_FR' => "EUR",
);

// 1 : J	2 : calories
$calorie_defaut=array(
	'de_DE' => "2",
	'en_GB' => "1",
	'en_US' => "1",
	'es_ES' => "2",
	'fr_FR' => "2",
);

// 1 : g	2 : lb /oz
$masse_defaut=array(
	'de_DE' => "1",
	'en_GB' => "2",
	'en_US' => "2",
	'es_ES' => "1",
	'fr_FR' => "1",
);

// 1 : 1 234 567,89
// 2 : 1.234.567,89
// 3 : 1,234,567.89
$nombre_defaut=array(
	'de_DE' => "2",
	'en_GB' => "3",
	'en_US' => "3",
	'es_ES' => "2",
	'fr_FR' => "1",
	'it_IT' => "2",
	'pt_PT' => "1",
);

// Format des dates : https://fr.wikipedia.org/wiki/Date
$format_date_defaut=array(
	'de_DE'=>"d.m.Y",
	'en_GB'=>"d/m/Y",
	'en_US'=>"m-d-Y",
	'es_ES'=>"d/m/Y",
	'fr_FR'=>"d/m/Y",
	'it_IT'=>"d/m/Y",
	'pt_PT'=>"d/m/Y",
);

$format_date_dispo=array(	"d.m.Y","d-m-Y","d/m/Y",
							"d.Y.m","d-Y-m","d/Y/m",
							"Y.m.d","Y-m-d","Y/m/d",
							"Y.d.m","Y-d-m","Y/d/m",
							"m.d.Y","m-d-Y","m/d/Y",
							"m.Y.d","m-Y-d","m/Y/d",
						);
							
// reCaptcha
$langue_recaptcha=array(
	'de_DE'=>"de",
	'en_GB'=>"en-GB",
	'en_US'=>"en",
	'es_ES'=>"es",
	'fr_FR'=>"fr",
	'it_IT'=>"it",
	'pt_PT'=>"pt",
);

// Code pays : http://www.lingoes.net/en/translator/langcode.htm
// Nom des langues dans la langue : https://fr.wikipedia.org/wiki/Liste_des_codes_ISO_639-1
// Nom des pays : https://fr.wikipedia.org/wiki/ISO_3166-1
$pays_defaut=array(
	'de_DE' => "DE",
	'en_GB' => "GB",
	'en_US' => "US",
	'es_ES' => "ES",
	'fr_FR' => "FR",
);

$langue_appli=array(
	'en_US' => "English (US)",
	'fr_FR' => "Français",
);

$langue_traduction=array(
	'de_DE' => "Deutsch",
	'en_GB' => "English (UK)",
	'en_US' => "English (US)",
	'es_ES' => "Español",
	'fr_FR' => "Français",
	'it_IT' => "Italiano",
	'pt_PT' => "Português",
);
?>
